# vim:fileencoding=utf-8:sw=4:et

# auto-generated by “generate-chinese-variants.py”, do not edit here!
#
# Copyright (c) 2013 Mike FABIAN <mfabian@redhat.com>
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 3.0 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import sys

VARIANTS_TABLE = {
    # Meaning of the bits in the values:
    # 1 = 1 << 0       simplified Chinese
    # 2 = 1 << 1       traditional Chinese
    # 3 = (1 | 1 << 1) used both in simplified *and* traditional Chinese
    # 4 = 1 << 2       mixture of simplified and traditional Chinese
    u'〇': 3,
    u'㐷': 1,
    u'㐹': 1,
    u'㐽': 1,
    u'㑇': 1,
    u'㑈': 1,
    u'㑔': 1,
    u'㑩': 1,
    u'㑮': 2,
    u'㑯': 2,
    u'㑳': 2,
    u'㑶': 2,
    u'㑺': 1,
    u'㒓': 2,
    u'㒜': 2,
    u'㒣': 2,
    u'㒿': 2,
    u'㓄': 2,
    u'㓖': 2,
    u'㓥': 1,
    u'㓨': 2,
    u'㔃': 2,
    u'㔅': 2,
    u'㔉': 1,
    u'㔋': 2,
    u'㔝': 2,
    u'㔢': 2,
    u'㕒': 2,
    u'㕢': 2,
    u'㖊': 1,
    u'㖞': 1,
    u'㖦': 2,
    u'㖮': 2,
    u'㗙': 2,
    u'㗢': 2,
    u'㗣': 2,
    u'㗰': 2,
    u'㗲': 2,
    u'㗶': 2,
    u'㗻': 2,
    u'㗼': 2,
    u'㗿': 2,
    u'㘎': 1,
    u'㘓': 2,
    u'㘔': 2,
    u'㘖': 2,
    u'㘙': 2,
    u'㘚': 2,
    u'㘤': 2,
    u'㙔': 2,
    u'㙡': 2,
    u'㙢': 2,
    u'㙬': 2,
    u'㙺': 2,
    u'㙾': 2,
    u'㚯': 1,
    u'㛀': 1,
    u'㛝': 2,
    u'㛟': 1,
    u'㛠': 1,
    u'㛣': 1,
    u'㛤': 1,
    u'㛿': 1,
    u'㜄': 2,
    u'㜏': 2,
    u'㜐': 2,
    u'㜗': 2,
    u'㜞': 2,
    u'㜢': 2,
    u'㜥': 2,
    u'㜭': 2,
    u'㜮': 2,
    u'㜷': 2,
    u'㜺': 2,
    u'㝞': 2,
    u'㝟': 2,
    u'㝦': 1,
    u'㞞': 2,
    u'㟆': 1,
    u'㟜': 1,
    u'㟥': 1,
    u'㟺': 2,
    u'㠁': 2,
    u'㠏': 2,
    u'㠠': 2,
    u'㠣': 2,
    u'㡎': 1,
    u'㡓': 2,
    u'㡞': 2,
    u'㢗': 2,
    u'㢝': 2,
    u'㤖': 1,
    u'㤘': 1,
    u'㤭': 1,
    u'㤲': 2,
    u'㤽': 1,
    u'㥪': 1,
    u'㥮': 2,
    u'㥷': 2,
    u'㦈': 1,
    u'㦊': 2,
    u'㦎': 2,
    u'㦖': 2,
    u'㦛': 2,
    u'㦞': 2,
    u'㦦': 2,
    u'㦬': 2,
    u'㦭': 2,
    u'㧏': 1,
    u'㧐': 1,
    u'㧑': 1,
    u'㧛': 1,
    u'㧟': 1,
    u'㧰': 1,
    u'㨛': 2,
    u'㨟': 2,
    u'㨥': 2,
    u'㨫': 1,
    u'㨻': 2,
    u'㩇': 2,
    u'㩋': 2,
    u'㩌': 2,
    u'㩜': 2,
    u'㩣': 2,
    u'㩭': 2,
    u'㩳': 2,
    u'㩵': 2,
    u'㩷': 2,
    u'㩹': 2,
    u'㪎': 2,
    u'㪹': 2,
    u'㬣': 2,
    u'㬮': 2,
    u'㭎': 1,
    u'㭏': 1,
    u'㭣': 1,
    u'㭤': 1,
    u'㭴': 1,
    u'㮓': 2,
    u'㮝': 2,
    u'㮠': 1,
    u'㮲': 2,
    u'㯂': 2,
    u'㯆': 2,
    u'㯤': 2,
    u'㯸': 2,
    u'㯼': 2,
    u'㰂': 2,
    u'㰅': 2,
    u'㰍': 2,
    u'㰰': 2,
    u'㰳': 2,
    u'㱩': 1,
    u'㱮': 1,
    u'㲯': 2,
    u'㲰': 2,
    u'㲲': 2,
    u'㲿': 1,
    u'㳔': 1,
    u'㳕': 1,
    u'㳠': 1,
    u'㳡': 1,
    u'㳢': 1,
    u'㳽': 3,
    u'㴋': 1,
    u'㴸': 2,
    u'㴿': 2,
    u'㵍': 2,
    u'㵑': 2,
    u'㵒': 2,
    u'㵗': 2,
    u'㵤': 2,
    u'㵾': 2,
    u'㶆': 2,
    u'㶉': 1,
    u'㶌': 2,
    u'㶍': 2,
    u'㶏': 2,
    u'㶒': 2,
    u'㶕': 2,
    u'㶶': 1,
    u'㶽': 1,
    u'㷃': 2,
    u'㷍': 2,
    u'㷪': 1,
    u'㷲': 2,
    u'㷶': 2,
    u'㷻': 2,
    u'㷿': 2,
    u'㸅': 2,
    u'㸊': 2,
    u'㸐': 2,
    u'㹓': 2,
    u'㹽': 2,
    u'㺍': 1,
    u'㺏': 2,
    u'㺑': 2,
    u'㺜': 2,
    u'㻅': 1,
    u'㻏': 1,
    u'㻘': 1,
    u'㻪': 1,
    u'㻶': 2,
    u'㻽': 2,
    u'㼆': 2,
    u'㼈': 2,
    u'㼻': 2,
    u'㾡': 1,
    u'㾵': 2,
    u'㾺': 2,
    u'㿉': 2,
    u'㿎': 2,
    u'㿖': 2,
    u'㿗': 2,
    u'㿧': 2,
    u'㿹': 2,
    u'䀉': 2,
    u'䀍': 2,
    u'䀥': 1,
    u'䀴': 2,
    u'䀹': 2,
    u'䁖': 1,
    u'䁝': 2,
    u'䁪': 2,
    u'䁱': 2,
    u'䁻': 2,
    u'䂎': 2,
    u'䂓': 2,
    u'䂵': 1,
    u'䃁': 2,
    u'䃅': 1,
    u'䃕': 2,
    u'䃘': 2,
    u'䃢': 2,
    u'䃣': 2,
    u'䃤': 2,
    u'䃮': 2,
    u'䃴': 2,
    u'䅉': 1,
    u'䅐': 2,
    u'䅘': 2,
    u'䅟': 1,
    u'䅪': 1,
    u'䅳': 2,
    u'䆅': 2,
    u'䆉': 2,
    u'䇓': 2,
    u'䇚': 1,
    u'䇲': 1,
    u'䉍': 2,
    u'䉐': 2,
    u'䉑': 2,
    u'䉙': 2,
    u'䉤': 1,
    u'䉬': 2,
    u'䉱': 2,
    u'䉲': 2,
    u'䉶': 2,
    u'䊜': 2,
    u'䊟': 2,
    u'䊭': 2,
    u'䊲': 2,
    u'䊵': 2,
    u'䊷': 2,
    u'䊺': 2,
    u'䋃': 2,
    u'䋆': 2,
    u'䋍': 2,
    u'䋎': 2,
    u'䋏': 2,
    u'䋐': 2,
    u'䋑': 2,
    u'䋔': 2,
    u'䋙': 2,
    u'䋚': 2,
    u'䋦': 2,
    u'䋫': 2,
    u'䋹': 2,
    u'䋺': 2,
    u'䋻': 2,
    u'䋼': 2,
    u'䋽': 2,
    u'䋾': 2,
    u'䋿': 2,
    u'䌁': 2,
    u'䌇': 2,
    u'䌈': 2,
    u'䌋': 2,
    u'䌌': 2,
    u'䌐': 2,
    u'䌖': 2,
    u'䌝': 2,
    u'䌞': 2,
    u'䌟': 2,
    u'䌥': 2,
    u'䌪': 2,
    u'䌰': 2,
    u'䌶': 1,
    u'䌷': 1,
    u'䌸': 1,
    u'䌹': 1,
    u'䌺': 1,
    u'䌻': 1,
    u'䌼': 1,
    u'䌽': 1,
    u'䌾': 1,
    u'䌿': 1,
    u'䍀': 1,
    u'䍁': 1,
    u'䍤': 2,
    u'䍷': 2,
    u'䍽': 2,
    u'䎘': 2,
    u'䎙': 2,
    u'䎬': 1,
    u'䎱': 2,
    u'䏊': 2,
    u'䏝': 1,
    u'䐢': 2,
    u'䐣': 2,
    u'䐪': 1,
    u'䐷': 2,
    u'䐹': 2,
    u'䐽': 2,
    u'䑗': 2,
    u'䑼': 2,
    u'䓓': 1,
    u'䓕': 1,
    u'䓖': 1,
    u'䓣': 2,
    u'䓨': 1,
    u'䔇': 2,
    u'䔈': 2,
    u'䔡': 2,
    u'䕡': 2,
    u'䕤': 2,
    u'䕳': 2,
    u'䕹': 2,
    u'䕼': 2,
    u'䖀': 2,
    u'䖅': 2,
    u'䖚': 2,
    u'䖼': 1,
    u'䗃': 2,
    u'䗅': 2,
    u'䗖': 1,
    u'䗥': 2,
    u'䗻': 2,
    u'䗽': 2,
    u'䗿': 2,
    u'䘛': 1,
    u'䘞': 1,
    u'䙊': 1,
    u'䙌': 1,
    u'䙓': 1,
    u'䙔': 2,
    u'䙡': 2,
    u'䙱': 2,
    u'䙼': 2,
    u'䚆': 2,
    u'䚉': 2,
    u'䚕': 2,
    u'䚞': 2,
    u'䚩': 2,
    u'䚳': 2,
    u'䚵': 2,
    u'䚽': 2,
    u'䛀': 2,
    u'䛄': 2,
    u'䛌': 2,
    u'䛍': 2,
    u'䛓': 1,
    u'䛘': 2,
    u'䛛': 2,
    u'䛞': 2,
    u'䛠': 2,
    u'䛤': 2,
    u'䛬': 2,
    u'䛭': 2,
    u'䛳': 2,
    u'䛽': 2,
    u'䛿': 2,
    u'䜀': 2,
    u'䜄': 2,
    u'䜉': 2,
    u'䜋': 2,
    u'䜍': 2,
    u'䜎': 2,
    u'䜏': 2,
    u'䜒': 2,
    u'䜖': 2,
    u'䜚': 2,
    u'䜝': 2,
    u'䜣': 1,
    u'䜤': 1,
    u'䜥': 1,
    u'䜧': 1,
    u'䜩': 1,
    u'䝏': 2,
    u'䝕': 2,
    u'䝙': 1,
    u'䝭': 2,
    u'䝯': 2,
    u'䝻': 2,
    u'䝼': 2,
    u'䞀': 2,
    u'䞁': 2,
    u'䞂': 2,
    u'䞈': 2,
    u'䞉': 2,
    u'䞋': 2,
    u'䞌': 1,
    u'䞍': 1,
    u'䞎': 1,
    u'䞐': 1,
    u'䞓': 2,
    u'䞶': 2,
    u'䟃': 2,
    u'䟆': 2,
    u'䟏': 2,
    u'䟐': 2,
    u'䟢': 1,
    u'䟺': 2,
    u'䠆': 2,
    u'䠟': 2,
    u'䠠': 2,
    u'䠩': 2,
    u'䠮': 2,
    u'䠱': 2,
    u'䡁': 2,
    u'䡅': 2,
    u'䡇': 2,
    u'䡊': 2,
    u'䡐': 2,
    u'䡗': 2,
    u'䡘': 2,
    u'䡝': 2,
    u'䡟': 2,
    u'䡦': 2,
    u'䡩': 2,
    u'䡰': 2,
    u'䡴': 2,
    u'䡵': 2,
    u'䡶': 2,
    u'䡷': 2,
    u'䡻': 2,
    u'䡾': 2,
    u'䢀': 1,
    u'䢁': 1,
    u'䢂': 1,
    u'䢈': 2,
    u'䢨': 2,
    u'䤌': 2,
    u'䤍': 2,
    u'䤠': 2,
    u'䤤': 2,
    u'䤥': 2,
    u'䤨': 2,
    u'䤩': 2,
    u'䤪': 2,
    u'䤬': 2,
    u'䤵': 2,
    u'䤸': 2,
    u'䤻': 2,
    u'䤼': 2,
    u'䥄': 2,
    u'䥇': 2,
    u'䥑': 2,
    u'䥕': 2,
    u'䥖': 2,
    u'䥗': 2,
    u'䥛': 2,
    u'䥝': 2,
    u'䥞': 2,
    u'䥩': 2,
    u'䥯': 2,
    u'䥱': 2,
    u'䥴': 2,
    u'䥶': 2,
    u'䥷': 2,
    u'䥸': 2,
    u'䥺': 1,
    u'䥽': 1,
    u'䥾': 1,
    u'䥿': 1,
    u'䦀': 1,
    u'䦁': 1,
    u'䦂': 1,
    u'䦃': 1,
    u'䦅': 1,
    u'䦆': 1,
    u'䦌': 2,
    u'䦎': 2,
    u'䦘': 2,
    u'䦛': 2,
    u'䦝': 2,
    u'䦟': 2,
    u'䦪': 2,
    u'䦯': 2,
    u'䦱': 2,
    u'䦳': 2,
    u'䦶': 1,
    u'䦷': 1,
    u'䧞': 2,
    u'䧢': 2,
    u'䨴': 2,
    u'䩄': 1,
    u'䩫': 2,
    u'䪊': 2,
    u'䪍': 2,
    u'䪏': 2,
    u'䪐': 2,
    u'䪓': 2,
    u'䪗': 2,
    u'䪘': 2,
    u'䪜': 2,
    u'䪝': 2,
    u'䪥': 2,
    u'䪴': 2,
    u'䪼': 2,
    u'䪾': 2,
    u'䫀': 2,
    u'䫂': 2,
    u'䫈': 2,
    u'䫉': 2,
    u'䫌': 2,
    u'䫏': 2,
    u'䫐': 2,
    u'䫜': 2,
    u'䫟': 2,
    u'䫠': 2,
    u'䫥': 2,
    u'䫩': 2,
    u'䫴': 2,
    u'䫶': 2,
    u'䫻': 2,
    u'䫼': 2,
    u'䫾': 2,
    u'䬀': 2,
    u'䬂': 2,
    u'䬅': 2,
    u'䬍': 2,
    u'䬎': 2,
    u'䬐': 2,
    u'䬓': 2,
    u'䬔': 2,
    u'䬘': 2,
    u'䬝': 2,
    u'䬞': 2,
    u'䬟': 2,
    u'䬣': 2,
    u'䬧': 2,
    u'䬪': 2,
    u'䬫': 2,
    u'䬬': 2,
    u'䬯': 2,
    u'䬲': 2,
    u'䬳': 2,
    u'䬶': 2,
    u'䬹': 2,
    u'䬾': 2,
    u'䭀': 2,
    u'䭃': 2,
    u'䭅': 2,
    u'䭇': 2,
    u'䭈': 2,
    u'䭉': 2,
    u'䭑': 2,
    u'䭒': 2,
    u'䭓': 2,
    u'䭔': 2,
    u'䭕': 2,
    u'䭘': 2,
    u'䭞': 2,
    u'䭡': 2,
    u'䭢': 2,
    u'䭣': 2,
    u'䭪': 1,
    u'䭭': 2,
    u'䭿': 2,
    u'䮂': 2,
    u'䮄': 2,
    u'䮈': 2,
    u'䮗': 2,
    u'䮝': 2,
    u'䮞': 2,
    u'䮠': 2,
    u'䮧': 2,
    u'䮫': 2,
    u'䮰': 2,
    u'䮲': 2,
    u'䮳': 2,
    u'䮸': 2,
    u'䮽': 2,
    u'䮾': 2,
    u'䮿': 2,
    u'䯀': 2,
    u'䯃': 1,
    u'䯄': 1,
    u'䯅': 1,
    u'䯤': 2,
    u'䰎': 2,
    u'䰐': 2,
    u'䰖': 2,
    u'䰫': 2,
    u'䰲': 2,
    u'䰷': 2,
    u'䰻': 2,
    u'䰽': 2,
    u'䰾': 2,
    u'䱀': 2,
    u'䱁': 2,
    u'䱂': 2,
    u'䱅': 2,
    u'䱇': 2,
    u'䱌': 2,
    u'䱍': 2,
    u'䱎': 2,
    u'䱐': 2,
    u'䱒': 2,
    u'䱓': 2,
    u'䱗': 2,
    u'䱙': 2,
    u'䱚': 2,
    u'䱛': 2,
    u'䱜': 2,
    u'䱟': 2,
    u'䱡': 2,
    u'䱤': 2,
    u'䱥': 2,
    u'䱧': 2,
    u'䱬': 2,
    u'䱭': 2,
    u'䱰': 2,
    u'䱱': 2,
    u'䱴': 2,
    u'䱵': 2,
    u'䱷': 2,
    u'䱸': 2,
    u'䱹': 2,
    u'䱻': 2,
    u'䱽': 2,
    u'䱾': 2,
    u'䲁': 2,
    u'䲅': 2,
    u'䲉': 2,
    u'䲏': 2,
    u'䲕': 2,
    u'䲖': 2,
    u'䲗': 2,
    u'䲘': 2,
    u'䲙': 2,
    u'䲚': 2,
    u'䲛': 2,
    u'䲝': 1,
    u'䲞': 1,
    u'䲟': 1,
    u'䲠': 1,
    u'䲡': 1,
    u'䲢': 1,
    u'䲣': 1,
    u'䲤': 1,
    u'䲨': 2,
    u'䲰': 2,
    u'䲸': 2,
    u'䲹': 2,
    u'䲼': 2,
    u'䳅': 2,
    u'䳇': 2,
    u'䳍': 2,
    u'䳏': 2,
    u'䳒': 2,
    u'䳓': 2,
    u'䳕': 2,
    u'䳚': 2,
    u'䳜': 2,
    u'䳟': 2,
    u'䳢': 2,
    u'䳤': 2,
    u'䳧': 2,
    u'䳨': 2,
    u'䳫': 2,
    u'䳭': 2,
    u'䳮': 2,
    u'䳲': 2,
    u'䳺': 2,
    u'䴇': 2,
    u'䴈': 2,
    u'䴉': 2,
    u'䴋': 2,
    u'䴓': 1,
    u'䴔': 1,
    u'䴕': 1,
    u'䴖': 1,
    u'䴗': 1,
    u'䴘': 1,
    u'䴙': 1,
    u'䴚': 2,
    u'䴝': 2,
    u'䴬': 2,
    u'䴭': 2,
    u'䴮': 2,
    u'䴱': 2,
    u'䴲': 2,
    u'䴳': 2,
    u'䴴': 2,
    u'䴵': 2,
    u'䴷': 2,
    u'䴸': 2,
    u'䴹': 2,
    u'䴺': 2,
    u'䴽': 2,
    u'䵂': 2,
    u'䵃': 2,
    u'䵆': 2,
    u'䵐': 2,
    u'䵘': 2,
    u'䵳': 2,
    u'䵴': 2,
    u'䵶': 2,
    u'䵷': 2,
    u'䶕': 2,
    u'䶗': 2,
    u'䶢': 2,
    u'䶣': 2,
    u'䶦': 2,
    u'䶧': 2,
    u'䶨': 2,
    u'䶪': 2,
    u'䶮': 1,
    u'䶱': 2,
    u'䶲': 2,
    u'万': 3,
    u'与': 1,
    u'丑': 3,
    u'专': 1,
    u'业': 1,
    u'丛': 1,
    u'东': 1,
    u'丝': 1,
    u'丟': 2,
    u'丢': 3,
    u'两': 3,
    u'严': 1,
    u'並': 2,
    u'丧': 1,
    u'个': 3,
    u'丰': 3,
    u'临': 1,
    u'为': 1,
    u'丽': 1,
    u'举': 1,
    u'么': 3,
    u'义': 3,
    u'乌': 1,
    u'乐': 3,
    u'乔': 3,
    u'习': 1,
    u'乡': 1,
    u'书': 1,
    u'买': 1,
    u'乱': 3,
    u'乾': 3,
    u'亂': 2,
    u'了': 3,
    u'争': 3,
    u'于': 3,
    u'亏': 3,
    u'云': 3,
    u'亚': 1,
    u'亞': 2,
    u'产': 1,
    u'亩': 1,
    u'亲': 1,
    u'亵': 1,
    u'亸': 1,
    u'亿': 1,
    u'仅': 3,
    u'仆': 3,
    u'从': 3,
    u'仑': 1,
    u'仓': 1,
    u'仪': 3,
    u'们': 1,
    u'价': 3,
    u'众': 3,
    u'优': 3,
    u'伙': 3,
    u'会': 3,
    u'伛': 1,
    u'伞': 1,
    u'伟': 1,
    u'传': 1,
    u'伡': 1,
    u'伣': 1,
    u'伤': 3,
    u'伥': 1,
    u'伦': 1,
    u'伧': 1,
    u'伪': 1,
    u'伫': 1,
    u'佇': 2,
    u'体': 3,
    u'余': 3,
    u'佣': 3,
    u'佥': 1,
    u'併': 2,
    u'來': 2,
    u'侖': 2,
    u'侠': 3,
    u'侣': 1,
    u'侥': 1,
    u'侦': 1,
    u'侧': 1,
    u'侨': 1,
    u'侩': 3,
    u'侪': 1,
    u'侬': 1,
    u'侶': 2,
    u'俁': 2,
    u'係': 2,
    u'俓': 2,
    u'俔': 2,
    u'俠': 2,
    u'俣': 1,
    u'俥': 2,
    u'俦': 3,
    u'俨': 1,
    u'俩': 1,
    u'俪': 1,
    u'俫': 1,
    u'俭': 1,
    u'倀': 2,
    u'倆': 2,
    u'倈': 2,
    u'倉': 2,
    u'個': 2,
    u'們': 2,
    u'借': 3,
    u'倫': 2,
    u'倲': 2,
    u'债': 1,
    u'倾': 1,
    u'偉': 2,
    u'偑': 2,
    u'偩': 2,
    u'偬': 3,
    u'側': 2,
    u'偵': 2,
    u'偻': 3,
    u'偽': 2,
    u'偾': 1,
    u'偿': 1,
    u'傌': 2,
    u'傑': 2,
    u'傖': 2,
    u'傘': 2,
    u'備': 2,
    u'傢': 2,
    u'傥': 1,
    u'傧': 1,
    u'储': 1,
    u'傩': 1,
    u'傪': 2,
    u'傭': 2,
    u'傯': 2,
    u'傱': 2,
    u'傳': 2,
    u'傴': 2,
    u'債': 2,
    u'傷': 2,
    u'傾': 2,
    u'僀': 2,
    u'僂': 2,
    u'僅': 2,
    u'僆': 2,
    u'僉': 2,
    u'働': 2,
    u'僑': 2,
    u'僓': 2,
    u'僕': 2,
    u'僗': 2,
    u'僞': 2,
    u'僤': 2,
    u'僥': 2,
    u'僨': 2,
    u'僩': 2,
    u'僴': 2,
    u'價': 2,
    u'僾': 2,
    u'儀': 2,
    u'儁': 2,
    u'儂': 2,
    u'億': 2,
    u'儅': 2,
    u'儈': 2,
    u'儉': 2,
    u'儐': 2,
    u'儔': 2,
    u'儕': 2,
    u'儖': 2,
    u'儘': 2,
    u'償': 2,
    u'儢': 2,
    u'儣': 2,
    u'儥': 2,
    u'儩': 2,
    u'優': 2,
    u'儰': 2,
    u'儱': 2,
    u'儲': 2,
    u'儷': 2,
    u'儸': 2,
    u'儹': 2,
    u'儺': 2,
    u'儻': 2,
    u'儼': 2,
    u'儿': 3,
    u'克': 3,
    u'兌': 2,
    u'兑': 3,
    u'兒': 2,
    u'兖': 1,
    u'兗': 2,
    u'党': 3,
    u'內': 2,
    u'兩': 2,
    u'兰': 1,
    u'关': 1,
    u'兴': 1,
    u'兹': 1,
    u'养': 1,
    u'兽': 1,
    u'冁': 1,
    u'内': 3,
    u'冈': 1,
    u'冊': 2,
    u'册': 3,
    u'写': 1,
    u'军': 1,
    u'农': 1,
    u'冪': 2,
    u'冬': 3,
    u'冯': 1,
    u'冲': 3,
    u'决': 1,
    u'况': 3,
    u'冻': 1,
    u'净': 1,
    u'准': 3,
    u'凈': 2,
    u'凉': 3,
    u'凍': 2,
    u'减': 3,
    u'凑': 3,
    u'凔': 2,
    u'凙': 2,
    u'凛': 1,
    u'凜': 2,
    u'凟': 2,
    u'几': 3,
    u'凤': 3,
    u'凫': 1,
    u'凭': 3,
    u'凯': 1,
    u'凱': 2,
    u'出': 3,
    u'击': 1,
    u'凿': 1,
    u'刍': 1,
    u'划': 3,
    u'刘': 3,
    u'则': 1,
    u'刚': 1,
    u'创': 1,
    u'删': 3,
    u'別': 2,
    u'刪': 2,
    u'别': 3,
    u'刬': 1,
    u'刭': 1,
    u'刮': 3,
    u'制': 3,
    u'刹': 3,
    u'刽': 1,
    u'刾': 3,
    u'刿': 1,
    u'剀': 1,
    u'剂': 1,
    u'剄': 2,
    u'則': 2,
    u'剋': 2,
    u'剎': 2,
    u'剐': 1,
    u'剑': 1,
    u'剗': 2,
    u'剛': 2,
    u'剝': 2,
    u'剥': 1,
    u'剧': 3,
    u'剮': 2,
    u'剴': 2,
    u'創': 2,
    u'剸': 2,
    u'剾': 2,
    u'劃': 2,
    u'劇': 2,
    u'劉': 2,
    u'劊': 2,
    u'劌': 2,
    u'劍': 2,
    u'劏': 2,
    u'劑': 2,
    u'劗': 2,
    u'劚': 2,
    u'劝': 3,
    u'办': 3,
    u'务': 1,
    u'劢': 1,
    u'动': 3,
    u'励': 3,
    u'劲': 1,
    u'劳': 3,
    u'势': 3,
    u'勁': 2,
    u'勋': 1,
    u'勑': 2,
    u'動': 2,
    u'務': 2,
    u'勚': 1,
    u'勛': 2,
    u'勝': 2,
    u'勞': 2,
    u'勢': 2,
    u'勣': 2,
    u'勩': 2,
    u'勱': 2,
    u'勴': 2,
    u'勵': 2,
    u'勸': 2,
    u'勻': 2,
    u'匀': 3,
    u'匦': 1,
    u'匭': 2,
    u'匮': 1,
    u'匯': 2,
    u'匰': 2,
    u'匱': 2,
    u'匵': 2,
    u'区': 3,
    u'医': 3,
    u'區': 2,
    u'千': 3,
    u'华': 1,
    u'协': 1,
    u'協': 2,
    u'单': 3,
    u'卖': 1,
    u'卜': 3,
    u'卢': 1,
    u'卤': 1,
    u'卨': 2,
    u'卫': 1,
    u'却': 3,
    u'卷': 3,
    u'卻': 2,
    u'厂': 3,
    u'厅': 1,
    u'历': 3,
    u'厉': 3,
    u'压': 3,
    u'厌': 1,
    u'厍': 1,
    u'厐': 1,
    u'厕': 1,
    u'厘': 3,
    u'厙': 2,
    u'厠': 2,
    u'厢': 1,
    u'厣': 1,
    u'厦': 3,
    u'厨': 3,
    u'厩': 3,
    u'厭': 2,
    u'厮': 3,
    u'厱': 2,
    u'厲': 2,
    u'厴': 2,
    u'县': 1,
    u'叁': 1,
    u'参': 3,
    u'參': 2,
    u'叄': 2,
    u'叆': 1,
    u'叇': 1,
    u'双': 3,
    u'发': 1,
    u'变': 1,
    u'叙': 3,
    u'叠': 3,
    u'叢': 2,
    u'只': 3,
    u'台': 3,
    u'叶': 3,
    u'号': 3,
    u'叹': 1,
    u'叽': 1,
    u'吁': 3,
    u'合': 3,
    u'同': 3,
    u'后': 3,
    u'向': 3,
    u'吒': 2,
    u'吓': 3,
    u'吕': 1,
    u'吗': 1,
    u'吣': 1,
    u'吨': 1,
    u'听': 3,
    u'启': 1,
    u'吳': 2,
    u'吴': 3,
    u'吶': 2,
    u'呂': 2,
    u'呐': 1,
    u'呒': 1,
    u'呓': 1,
    u'呕': 1,
    u'呖': 1,
    u'呗': 1,
    u'员': 1,
    u'呙': 1,
    u'呛': 1,
    u'呜': 1,
    u'咏': 3,
    u'咙': 1,
    u'咛': 1,
    u'咝': 1,
    u'咤': 3,
    u'咸': 3,
    u'咼': 2,
    u'响': 3,
    u'哑': 1,
    u'哒': 1,
    u'哓': 1,
    u'哔': 1,
    u'哕': 1,
    u'哗': 1,
    u'哙': 1,
    u'哜': 1,
    u'哝': 1,
    u'哟': 1,
    u'員': 2,
    u'哯': 2,
    u'唄': 2,
    u'唊': 2,
    u'唓': 2,
    u'唚': 2,
    u'唛': 1,
    u'唝': 1,
    u'唠': 1,
    u'唡': 1,
    u'唢': 1,
    u'唤': 1,
    u'唻': 2,
    u'問': 2,
    u'啓': 2,
    u'啞': 2,
    u'啟': 2,
    u'啢': 2,
    u'啧': 1,
    u'啬': 1,
    u'啭': 1,
    u'啮': 1,
    u'啯': 1,
    u'啰': 3,
    u'啴': 1,
    u'啸': 1,
    u'喎': 2,
    u'喚': 2,
    u'喪': 2,
    u'喬': 2,
    u'單': 2,
    u'喲': 2,
    u'喷': 1,
    u'喽': 3,
    u'喾': 1,
    u'嗆': 2,
    u'嗇': 2,
    u'嗊': 2,
    u'嗎': 2,
    u'嗚': 2,
    u'嗧': 2,
    u'嗩': 2,
    u'嗫': 1,
    u'嗳': 1,
    u'嗶': 2,
    u'嗹': 2,
    u'嗿': 2,
    u'嘄': 2,
    u'嘆': 2,
    u'嘇': 2,
    u'嘍': 2,
    u'嘓': 2,
    u'嘔': 2,
    u'嘖': 2,
    u'嘗': 2,
    u'嘘': 1,
    u'嘜': 2,
    u'嘤': 1,
    u'嘩': 2,
    u'嘪': 2,
    u'嘮': 2,
    u'嘯': 2,
    u'嘰': 2,
    u'嘱': 3,
    u'嘳': 2,
    u'嘵': 2,
    u'嘸': 2,
    u'嘺': 2,
    u'嘽': 2,
    u'噁': 2,
    u'噅': 2,
    u'噓': 2,
    u'噚': 2,
    u'噜': 1,
    u'噝': 2,
    u'噞': 2,
    u'噠': 2,
    u'噥': 2,
    u'噦': 2,
    u'噯': 2,
    u'噲': 2,
    u'噴': 2,
    u'噸': 2,
    u'噹': 2,
    u'嚀': 2,
    u'嚂': 2,
    u'嚇': 2,
    u'嚈': 2,
    u'嚌': 2,
    u'嚍': 2,
    u'嚐': 2,
    u'嚕': 2,
    u'嚙': 2,
    u'嚛': 2,
    u'嚝': 2,
    u'嚠': 2,
    u'嚣': 1,
    u'嚦': 2,
    u'嚧': 2,
    u'嚨': 2,
    u'嚩': 2,
    u'嚪': 2,
    u'嚫': 2,
    u'嚬': 2,
    u'嚮': 2,
    u'嚱': 2,
    u'嚲': 2,
    u'嚳': 2,
    u'嚴': 2,
    u'嚶': 2,
    u'嚸': 2,
    u'嚽': 2,
    u'嚿': 2,
    u'囀': 2,
    u'囁': 2,
    u'囂': 2,
    u'囃': 2,
    u'囅': 2,
    u'囇': 2,
    u'囈': 2,
    u'囉': 2,
    u'囋': 2,
    u'囌': 2,
    u'囐': 2,
    u'囑': 2,
    u'囒': 2,
    u'囕': 2,
    u'回': 3,
    u'团': 1,
    u'囪': 2,
    u'园': 3,
    u'困': 3,
    u'囱': 1,
    u'围': 1,
    u'囵': 1,
    u'国': 1,
    u'图': 3,
    u'圆': 1,
    u'圇': 2,
    u'國': 2,
    u'圍': 2,
    u'園': 2,
    u'圓': 2,
    u'圖': 2,
    u'團': 2,
    u'圞': 2,
    u'圣': 1,
    u'圹': 1,
    u'场': 1,
    u'坂': 3,
    u'坏': 3,
    u'块': 3,
    u'坚': 1,
    u'坛': 3,
    u'坜': 1,
    u'坝': 1,
    u'坞': 1,
    u'坟': 1,
    u'坠': 1,
    u'垄': 1,
    u'垅': 1,
    u'垆': 1,
    u'垒': 1,
    u'垦': 1,
    u'垩': 1,
    u'垫': 1,
    u'垭': 1,
    u'垯': 1,
    u'垱': 1,
    u'垲': 1,
    u'垴': 1,
    u'垵': 2,
    u'垷': 2,
    u'垻': 2,
    u'埉': 2,
    u'埘': 1,
    u'埙': 1,
    u'埚': 1,
    u'埡': 2,
    u'埨': 2,
    u'埬': 2,
    u'埯': 1,
    u'埰': 2,
    u'執': 2,
    u'堅': 2,
    u'堈': 2,
    u'堊': 2,
    u'堑': 1,
    u'堕': 3,
    u'堖': 2,
    u'堚': 2,
    u'堝': 2,
    u'堯': 2,
    u'報': 2,
    u'場': 2,
    u'塆': 1,
    u'塊': 2,
    u'塋': 2,
    u'塏': 2,
    u'塒': 2,
    u'塗': 2,
    u'塢': 2,
    u'塤': 2,
    u'塵': 2,
    u'塸': 2,
    u'塹': 2,
    u'塼': 2,
    u'塿': 2,
    u'墆': 2,
    u'墊': 2,
    u'墋': 2,
    u'墏': 2,
    u'墙': 1,
    u'墜': 2,
    u'墝': 2,
    u'墠': 2,
    u'墢': 2,
    u'墧': 2,
    u'墮': 2,
    u'墳': 2,
    u'墶': 2,
    u'墷': 2,
    u'墻': 2,
    u'墾': 2,
    u'墿': 2,
    u'壇': 2,
    u'壈': 2,
    u'壋': 2,
    u'壍': 2,
    u'壏': 2,
    u'壐': 2,
    u'壒': 2,
    u'壓': 2,
    u'壔': 2,
    u'壗': 2,
    u'壘': 2,
    u'壙': 2,
    u'壚': 2,
    u'壛': 2,
    u'壝': 2,
    u'壞': 2,
    u'壟': 2,
    u'壠': 2,
    u'壢': 2,
    u'壣': 2,
    u'壧': 2,
    u'壩': 2,
    u'壪': 2,
    u'壮': 3,
    u'壯': 2,
    u'声': 3,
    u'壳': 3,
    u'壶': 1,
    u'壸': 1,
    u'壺': 2,
    u'壼': 2,
    u'壽': 2,
    u'处': 1,
    u'备': 1,
    u'复': 3,
    u'够': 3,
    u'夠': 2,
    u'夢': 2,
    u'夥': 3,
    u'头': 3,
    u'夸': 3,
    u'夹': 1,
    u'夺': 1,
    u'夾': 2,
    u'奁': 1,
    u'奂': 1,
    u'奋': 1,
    u'奐': 2,
    u'奖': 1,
    u'奥': 1,
    u'奧': 2,
    u'奨': 1,
    u'奩': 2,
    u'奪': 2,
    u'奫': 2,
    u'奬': 2,
    u'奮': 2,
    u'奯': 2,
    u'奲': 2,
    u'奸': 3,
    u'奼': 2,
    u'妆': 1,
    u'妇': 1,
    u'妈': 1,
    u'妝': 2,
    u'妩': 1,
    u'妪': 1,
    u'妫': 1,
    u'姍': 2,
    u'姗': 3,
    u'姜': 3,
    u'姦': 2,
    u'姹': 3,
    u'娄': 3,
    u'娅': 1,
    u'娆': 1,
    u'娇': 3,
    u'娈': 3,
    u'娙': 2,
    u'娛': 2,
    u'娱': 3,
    u'娲': 1,
    u'娴': 1,
    u'婁': 2,
    u'婡': 2,
    u'婦': 2,
    u'婭': 2,
    u'婳': 1,
    u'婴': 1,
    u'婵': 1,
    u'婶': 1,
    u'婸': 2,
    u'媁': 2,
    u'媈': 2,
    u'媜': 2,
    u'媧': 2,
    u'媪': 1,
    u'媭': 1,
    u'媯': 2,
    u'媰': 2,
    u'媼': 2,
    u'媽': 2,
    u'嫈': 2,
    u'嫒': 1,
    u'嫔': 1,
    u'嫗': 2,
    u'嫢': 2,
    u'嫥': 2,
    u'嫧': 2,
    u'嫱': 1,
    u'嫵': 2,
    u'嫻': 2,
    u'嫿': 2,
    u'嬀': 2,
    u'嬃': 2,
    u'嬅': 2,
    u'嬇': 2,
    u'嬈': 2,
    u'嬋': 2,
    u'嬌': 2,
    u'嬐': 2,
    u'嬒': 2,
    u'嬙': 2,
    u'嬡': 2,
    u'嬣': 2,
    u'嬤': 2,
    u'嬦': 2,
    u'嬪': 2,
    u'嬮': 2,
    u'嬰': 2,
    u'嬷': 1,
    u'嬸': 2,
    u'嬻': 2,
    u'嬾': 2,
    u'孄': 2,
    u'孆': 2,
    u'孇': 2,
    u'孋': 2,
    u'孌': 2,
    u'孎': 2,
    u'孙': 3,
    u'学': 1,
    u'孪': 3,
    u'孫': 2,
    u'孲': 2,
    u'學': 2,
    u'孻': 2,
    u'孾': 2,
    u'孿': 2,
    u'宁': 3,
    u'宝': 3,
    u'实': 3,
    u'宠': 1,
    u'审': 1,
    u'宪': 1,
    u'宫': 1,
    u'宮': 2,
    u'家': 3,
    u'宽': 1,
    u'宾': 3,
    u'寝': 1,
    u'寠': 2,
    u'寢': 2,
    u'實': 2,
    u'寧': 2,
    u'審': 2,
    u'寪': 2,
    u'寫': 2,
    u'寬': 2,
    u'寯': 2,
    u'寵': 2,
    u'寶': 2,
    u'寷': 2,
    u'对': 3,
    u'寻': 1,
    u'导': 1,
    u'寿': 3,
    u'将': 1,
    u'將': 2,
    u'專': 2,
    u'尋': 2,
    u'對': 2,
    u'導': 2,
    u'尔': 3,
    u'尘': 1,
    u'尝': 3,
    u'尧': 1,
    u'尴': 1,
    u'尵': 2,
    u'尷': 2,
    u'尸': 3,
    u'尽': 3,
    u'层': 1,
    u'屃': 1,
    u'屆': 2,
    u'屉': 1,
    u'届': 3,
    u'屍': 2,
    u'屓': 2,
    u'屜': 2,
    u'属': 3,
    u'屡': 3,
    u'屢': 2,
    u'層': 2,
    u'屦': 1,
    u'屨': 2,
    u'屩': 2,
    u'屬': 2,
    u'屿': 1,
    u'岁': 3,
    u'岂': 1,
    u'岖': 1,
    u'岗': 1,
    u'岘': 1,
    u'岙': 1,
    u'岚': 1,
    u'岛': 1,
    u'岡': 2,
    u'岭': 1,
    u'岽': 1,
    u'岿': 1,
    u'峃': 1,
    u'峄': 1,
    u'峡': 1,
    u'峣': 1,
    u'峤': 1,
    u'峥': 1,
    u'峦': 3,
    u'峴': 2,
    u'島': 2,
    u'峽': 2,
    u'崂': 1,
    u'崃': 1,
    u'崄': 1,
    u'崍': 2,
    u'崗': 2,
    u'崙': 2,
    u'崠': 2,
    u'崢': 2,
    u'崬': 2,
    u'崭': 1,
    u'崱': 2,
    u'崵': 2,
    u'嵐': 2,
    u'嵘': 1,
    u'嵚': 1,
    u'嵝': 1,
    u'嵷': 2,
    u'嵸': 2,
    u'嵼': 2,
    u'嵽': 2,
    u'嵾': 2,
    u'嶁': 2,
    u'嶄': 2,
    u'嶇': 2,
    u'嶈': 2,
    u'嶔': 2,
    u'嶗': 2,
    u'嶠': 2,
    u'嶢': 2,
    u'嶤': 2,
    u'嶧': 2,
    u'嶨': 2,
    u'嶩': 2,
    u'嶪': 2,
    u'嶮': 2,
    u'嶴': 2,
    u'嶸': 2,
    u'嶹': 2,
    u'嶺': 2,
    u'嶼': 2,
    u'嶽': 2,
    u'巃': 2,
    u'巅': 1,
    u'巆': 2,
    u'巊': 2,
    u'巋': 2,
    u'巑': 2,
    u'巒': 2,
    u'巔': 2,
    u'巖': 2,
    u'巗': 2,
    u'巘': 2,
    u'巚': 2,
    u'巠': 2,
    u'巩': 1,
    u'巯': 1,
    u'巰': 2,
    u'币': 1,
    u'帅': 1,
    u'师': 3,
    u'帏': 1,
    u'帐': 1,
    u'帘': 3,
    u'帜': 1,
    u'帥': 2,
    u'带': 1,
    u'帧': 1,
    u'師': 2,
    u'帮': 3,
    u'帱': 1,
    u'帳': 2,
    u'帴': 2,
    u'帶': 2,
    u'帻': 1,
    u'帼': 1,
    u'幀': 2,
    u'幂': 3,
    u'幃': 2,
    u'幓': 2,
    u'幗': 2,
    u'幘': 2,
    u'幟': 2,
    u'幠': 2,
    u'幣': 2,
    u'幩': 2,
    u'幫': 2,
    u'幬': 2,
    u'幰': 2,
    u'幱': 2,
    u'干': 3,
    u'并': 3,
    u'幹': 2,
    u'幺': 2,
    u'幾': 2,
    u'广': 3,
    u'庄': 3,
    u'庆': 1,
    u'庐': 3,
    u'庑': 1,
    u'库': 1,
    u'应': 3,
    u'庙': 3,
    u'庞': 1,
    u'废': 1,
    u'庫': 2,
    u'庲': 2,
    u'庼': 1,
    u'廁': 2,
    u'廂': 2,
    u'廄': 2,
    u'廈': 2,
    u'廎': 2,
    u'廔': 2,
    u'廕': 2,
    u'廗': 2,
    u'廚': 2,
    u'廝': 2,
    u'廞': 2,
    u'廟': 2,
    u'廠': 2,
    u'廡': 2,
    u'廢': 2,
    u'廣': 2,
    u'廥': 2,
    u'廧': 2,
    u'廩': 2,
    u'廪': 1,
    u'廬': 2,
    u'廮': 2,
    u'廳': 2,
    u'开': 3,
    u'异': 1,
    u'弃': 3,
    u'弑': 1,
    u'弒': 2,
    u'张': 1,
    u'弥': 1,
    u'弪': 1,
    u'弯': 3,
    u'弳': 2,
    u'張': 2,
    u'強': 2,
    u'弹': 3,
    u'强': 3,
    u'彄': 2,
    u'彆': 2,
    u'彈': 2,
    u'彌': 2,
    u'彍': 2,
    u'彎': 2,
    u'归': 3,
    u'当': 3,
    u'录': 1,
    u'彙': 2,
    u'彝': 1,
    u'彞': 2,
    u'彟': 1,
    u'彠': 2,
    u'彥': 2,
    u'彦': 3,
    u'彨': 1,
    u'彲': 2,
    u'彻': 1,
    u'征': 3,
    u'径': 1,
    u'後': 2,
    u'徑': 2,
    u'徕': 1,
    u'從': 2,
    u'徠': 2,
    u'御': 3,
    u'復': 3,
    u'徵': 3,
    u'徹': 2,
    u'徿': 2,
    u'忆': 1,
    u'忏': 1,
    u'志': 3,
    u'忧': 1,
    u'忾': 1,
    u'怀': 3,
    u'态': 1,
    u'怂': 1,
    u'怃': 1,
    u'怄': 1,
    u'怅': 1,
    u'怆': 1,
    u'怜': 3,
    u'总': 1,
    u'怼': 1,
    u'怿': 1,
    u'恆': 2,
    u'恋': 3,
    u'恒': 3,
    u'恥': 2,
    u'恳': 1,
    u'恶': 1,
    u'恸': 1,
    u'恹': 1,
    u'恺': 1,
    u'恻': 1,
    u'恼': 3,
    u'恽': 1,
    u'悅': 2,
    u'悏': 2,
    u'悞': 2,
    u'悦': 1,
    u'悫': 1,
    u'悬': 1,
    u'悭': 1,
    u'悮': 1,
    u'悯': 1,
    u'悵': 2,
    u'悶': 2,
    u'惀': 2,
    u'惊': 1,
    u'惡': 2,
    u'惧': 3,
    u'惨': 1,
    u'惩': 3,
    u'惫': 1,
    u'惬': 1,
    u'惭': 1,
    u'惮': 1,
    u'惯': 1,
    u'惱': 2,
    u'惲': 2,
    u'惻': 2,
    u'愇': 2,
    u'愛': 2,
    u'愜': 2,
    u'愠': 3,
    u'愤': 1,
    u'愦': 1,
    u'愨': 2,
    u'愩': 2,
    u'愴': 2,
    u'愷': 2,
    u'愾': 2,
    u'愿': 3,
    u'慄': 2,
    u'態': 2,
    u'慍': 2,
    u'慐': 2,
    u'慑': 1,
    u'慘': 2,
    u'慙': 2,
    u'慚': 2,
    u'慟': 2,
    u'慣': 2,
    u'慤': 2,
    u'慪': 2,
    u'慫': 2,
    u'慭': 1,
    u'慮': 2,
    u'慯': 2,
    u'慱': 2,
    u'慲': 2,
    u'慳': 2,
    u'慶': 2,
    u'慸': 2,
    u'慹': 2,
    u'慺': 2,
    u'憂': 2,
    u'憊': 2,
    u'憍': 2,
    u'憐': 2,
    u'憑': 2,
    u'憒': 2,
    u'憖': 2,
    u'憚': 2,
    u'憢': 2,
    u'憤': 2,
    u'憦': 2,
    u'憪': 2,
    u'憫': 2,
    u'憮': 2,
    u'憲': 2,
    u'憴': 2,
    u'憶': 2,
    u'憸': 2,
    u'憹': 2,
    u'懀': 2,
    u'懇': 2,
    u'應': 2,
    u'懌': 2,
    u'懍': 2,
    u'懑': 1,
    u'懒': 1,
    u'懓': 2,
    u'懔': 1,
    u'懕': 2,
    u'懘': 2,
    u'懙': 2,
    u'懜': 2,
    u'懞': 2,
    u'懟': 2,
    u'懠': 2,
    u'懣': 2,
    u'懤': 2,
    u'懧': 2,
    u'懨': 2,
    u'懩': 2,
    u'懫': 2,
    u'懭': 2,
    u'懰': 2,
    u'懲': 2,
    u'懶': 2,
    u'懷': 2,
    u'懸': 2,
    u'懺': 2,
    u'懼': 2,
    u'懾': 2,
    u'戀': 2,
    u'戁': 2,
    u'戃': 2,
    u'戆': 1,
    u'戇': 2,
    u'戋': 1,
    u'戏': 3,
    u'戔': 2,
    u'戗': 1,
    u'战': 3,
    u'戠': 3,
    u'戧': 2,
    u'戩': 2,
    u'戬': 1,
    u'戯': 1,
    u'戰': 2,
    u'戱': 2,
    u'戲': 2,
    u'戶': 2,
    u'户': 3,
    u'才': 3,
    u'扑': 3,
    u'执': 3,
    u'扩': 1,
    u'扪': 1,
    u'扫': 1,
    u'扬': 1,
    u'扰': 1,
    u'折': 3,
    u'抚': 1,
    u'抛': 3,
    u'抟': 1,
    u'抠': 1,
    u'抡': 1,
    u'抢': 1,
    u'护': 1,
    u'报': 3,
    u'担': 3,
    u'拋': 2,
    u'拟': 1,
    u'拢': 1,
    u'拣': 1,
    u'拥': 1,
    u'拦': 1,
    u'拧': 1,
    u'拨': 1,
    u'择': 1,
    u'挂': 3,
    u'挙': 1,
    u'挚': 1,
    u'挛': 3,
    u'挜': 1,
    u'挝': 1,
    u'挞': 1,
    u'挟': 3,
    u'挠': 1,
    u'挡': 3,
    u'挢': 1,
    u'挣': 1,
    u'挤': 1,
    u'挥': 1,
    u'挦': 1,
    u'挩': 2,
    u'挽': 3,
    u'挾': 2,
    u'捝': 1,
    u'捞': 1,
    u'损': 1,
    u'捡': 1,
    u'换': 1,
    u'捣': 1,
    u'捨': 2,
    u'捫': 2,
    u'据': 3,
    u'捲': 2,
    u'掁': 2,
    u'掃': 2,
    u'掄': 2,
    u'掆': 2,
    u'掗': 2,
    u'掙': 2,
    u'掚': 2,
    u'掛': 2,
    u'採': 2,
    u'掳': 1,
    u'掴': 1,
    u'掷': 3,
    u'掸': 1,
    u'掺': 1,
    u'掼': 1,
    u'揀': 2,
    u'揚': 2,
    u'換': 2,
    u'揮': 2,
    u'揽': 1,
    u'揾': 3,
    u'揿': 1,
    u'搀': 1,
    u'搁': 1,
    u'搂': 1,
    u'搅': 1,
    u'搊': 2,
    u'損': 2,
    u'搎': 2,
    u'搖': 2,
    u'搗': 2,
    u'搵': 2,
    u'搶': 2,
    u'携': 3,
    u'摀': 2,
    u'摃': 2,
    u'摄': 1,
    u'摅': 1,
    u'摆': 3,
    u'摇': 1,
    u'摈': 3,
    u'摊': 3,
    u'摋': 2,
    u'摐': 2,
    u'摑': 2,
    u'摕': 2,
    u'摙': 2,
    u'摜': 2,
    u'摟': 2,
    u'摪': 2,
    u'摫': 2,
    u'摯': 2,
    u'摲': 2,
    u'摳': 2,
    u'摶': 2,
    u'摺': 3,
    u'摻': 2,
    u'摼': 2,
    u'撄': 1,
    u'撈': 2,
    u'撊': 2,
    u'撋': 2,
    u'撌': 2,
    u'撏': 2,
    u'撐': 2,
    u'撑': 3,
    u'撓': 2,
    u'撝': 2,
    u'撟': 2,
    u'撣': 2,
    u'撥': 2,
    u'撧': 2,
    u'撫': 2,
    u'撲': 2,
    u'撳': 2,
    u'撵': 1,
    u'撶': 2,
    u'撷': 1,
    u'撸': 1,
    u'撺': 1,
    u'撻': 2,
    u'撾': 2,
    u'撿': 2,
    u'擁': 2,
    u'擃': 2,
    u'擄': 2,
    u'擇': 2,
    u'擈': 2,
    u'擊': 2,
    u'擋': 2,
    u'擓': 2,
    u'擔': 2,
    u'據': 2,
    u'擜': 1,
    u'擞': 1,
    u'擟': 2,
    u'擠': 2,
    u'擣': 2,
    u'擥': 2,
    u'擧': 2,
    u'擪': 2,
    u'擫': 2,
    u'擬': 2,
    u'擯': 2,
    u'擰': 2,
    u'擱': 2,
    u'擲': 2,
    u'擳': 2,
    u'擴': 2,
    u'擷': 2,
    u'擺': 2,
    u'擻': 2,
    u'擼': 2,
    u'擽': 2,
    u'擾': 2,
    u'攄': 2,
    u'攆': 2,
    u'攋': 2,
    u'攎': 2,
    u'攏': 2,
    u'攑': 2,
    u'攒': 1,
    u'攔': 2,
    u'攖': 2,
    u'攙': 2,
    u'攛': 2,
    u'攜': 2,
    u'攝': 2,
    u'攞': 2,
    u'攢': 2,
    u'攣': 2,
    u'攤': 2,
    u'攦': 2,
    u'攧': 2,
    u'攩': 2,
    u'攪': 2,
    u'攬': 2,
    u'攳': 2,
    u'敌': 1,
    u'敗': 2,
    u'敘': 2,
    u'敛': 1,
    u'敩': 1,
    u'数': 3,
    u'敵': 2,
    u'數': 2,
    u'敺': 2,
    u'敿': 2,
    u'斁': 2,
    u'斂': 2,
    u'斃': 2,
    u'斄': 2,
    u'斅': 2,
    u'斆': 2,
    u'斋': 3,
    u'斓': 1,
    u'斕': 2,
    u'斗': 3,
    u'斩': 1,
    u'斬': 2,
    u'断': 3,
    u'斷': 2,
    u'斸': 2,
    u'於': 2,
    u'旋': 3,
    u'旝': 2,
    u'旟': 2,
    u'无': 3,
    u'旧': 1,
    u'时': 3,
    u'旷': 3,
    u'旸': 1,
    u'昙': 1,
    u'昜': 2,
    u'昼': 3,
    u'昽': 1,
    u'显': 1,
    u'時': 2,
    u'晉': 2,
    u'晋': 3,
    u'晒': 3,
    u'晓': 1,
    u'晔': 1,
    u'晕': 1,
    u'晖': 1,
    u'晛': 2,
    u'晝': 2,
    u'暂': 1,
    u'暅': 1,
    u'暈': 2,
    u'暉': 2,
    u'暐': 2,
    u'暘': 2,
    u'暟': 2,
    u'暢': 2,
    u'暧': 1,
    u'暫': 2,
    u'曄': 2,
    u'曆': 2,
    u'曇': 2,
    u'曉': 2,
    u'曊': 2,
    u'曏': 2,
    u'曖': 2,
    u'曠': 2,
    u'曥': 2,
    u'曨': 2,
    u'曬': 2,
    u'曭': 2,
    u'曮': 2,
    u'曲': 3,
    u'書': 2,
    u'會': 2,
    u'朥': 2,
    u'朧': 2,
    u'术': 3,
    u'朱': 3,
    u'朴': 3,
    u'机': 3,
    u'杀': 1,
    u'杂': 1,
    u'权': 3,
    u'杆': 3,
    u'条': 1,
    u'来': 1,
    u'杨': 1,
    u'杩': 1,
    u'杰': 3,
    u'東': 2,
    u'松': 3,
    u'板': 3,
    u'极': 3,
    u'构': 3,
    u'枞': 1,
    u'枢': 1,
    u'枣': 1,
    u'枥': 1,
    u'枧': 1,
    u'枨': 1,
    u'枪': 1,
    u'枫': 1,
    u'枭': 1,
    u'柜': 3,
    u'柠': 1,
    u'柵': 2,
    u'柽': 1,
    u'栀': 3,
    u'栅': 3,
    u'标': 3,
    u'栈': 1,
    u'栉': 1,
    u'栊': 1,
    u'栋': 1,
    u'栌': 1,
    u'栎': 1,
    u'栏': 1,
    u'树': 1,
    u'栖': 3,
    u'栗': 3,
    u'样': 1,
    u'栾': 3,
    u'桠': 1,
    u'桡': 1,
    u'桢': 1,
    u'档': 1,
    u'桤': 1,
    u'桥': 1,
    u'桦': 1,
    u'桧': 1,
    u'桨': 1,
    u'桩': 1,
    u'桪': 1,
    u'桱': 2,
    u'桿': 2,
    u'梔': 2,
    u'梖': 2,
    u'梘': 2,
    u'梜': 2,
    u'條': 2,
    u'梟': 2,
    u'梦': 3,
    u'梲': 2,
    u'梼': 1,
    u'梾': 1,
    u'梿': 1,
    u'检': 1,
    u'棁': 1,
    u'棂': 1,
    u'棄': 2,
    u'棆': 2,
    u'棖': 2,
    u'棗': 2,
    u'棟': 2,
    u'棡': 2,
    u'棧': 2,
    u'棲': 2,
    u'棶': 2,
    u'椁': 1,
    u'椏': 2,
    u'椚': 2,
    u'椝': 1,
    u'椟': 1,
    u'椠': 1,
    u'椢': 1,
    u'椤': 1,
    u'椫': 1,
    u'椭': 1,
    u'椮': 1,
    u'椲': 2,
    u'楇': 2,
    u'楊': 2,
    u'楎': 2,
    u'楓': 2,
    u'楨': 2,
    u'業': 2,
    u'極': 2,
    u'楼': 3,
    u'榄': 1,
    u'榅': 1,
    u'榇': 1,
    u'榈': 1,
    u'榉': 1,
    u'榝': 2,
    u'榪': 2,
    u'榮': 2,
    u'榯': 2,
    u'榲': 2,
    u'榿': 2,
    u'構': 2,
    u'槍': 2,
    u'槚': 1,
    u'槛': 1,
    u'槟': 1,
    u'槠': 1,
    u'槤': 2,
    u'槧': 2,
    u'槨': 2,
    u'槫': 2,
    u'槮': 2,
    u'槳': 2,
    u'槶': 2,
    u'槻': 2,
    u'槼': 2,
    u'樁': 2,
    u'樂': 2,
    u'樅': 2,
    u'樓': 2,
    u'標': 2,
    u'樞': 2,
    u'樠': 2,
    u'樢': 2,
    u'樣': 2,
    u'横': 1,
    u'樫': 2,
    u'樯': 1,
    u'樱': 1,
    u'樲': 2,
    u'樳': 2,
    u'樸': 2,
    u'樹': 2,
    u'樺': 2,
    u'樻': 2,
    u'樿': 2,
    u'橃': 2,
    u'橅': 2,
    u'橈': 2,
    u'橋': 2,
    u'橚': 2,
    u'機': 2,
    u'橢': 2,
    u'橥': 1,
    u'橨': 2,
    u'橫': 2,
    u'橯': 2,
    u'橱': 1,
    u'橹': 1,
    u'橼': 1,
    u'檁': 2,
    u'檂': 2,
    u'檉': 2,
    u'檋': 2,
    u'檒': 2,
    u'檔': 2,
    u'檛': 2,
    u'檜': 2,
    u'檟': 2,
    u'檡': 2,
    u'檢': 2,
    u'檣': 2,
    u'檥': 2,
    u'檩': 1,
    u'檭': 2,
    u'檮': 2,
    u'檯': 2,
    u'檰': 2,
    u'檲': 2,
    u'檳': 2,
    u'檵': 2,
    u'檸': 2,
    u'檻': 2,
    u'檾': 2,
    u'檿': 2,
    u'櫃': 2,
    u'櫅': 2,
    u'櫍': 2,
    u'櫎': 2,
    u'櫏': 2,
    u'櫓': 2,
    u'櫚': 2,
    u'櫛': 2,
    u'櫝': 2,
    u'櫞': 2,
    u'櫟': 2,
    u'櫠': 2,
    u'櫢': 2,
    u'櫥': 2,
    u'櫧': 2,
    u'櫨': 2,
    u'櫩': 2,
    u'櫪': 2,
    u'櫫': 2,
    u'櫬': 2,
    u'櫯': 2,
    u'櫱': 2,
    u'櫳': 2,
    u'櫴': 2,
    u'櫶': 2,
    u'櫸': 2,
    u'櫹': 2,
    u'櫻': 2,
    u'櫽': 2,
    u'欄': 2,
    u'欇': 2,
    u'權': 2,
    u'欍': 2,
    u'欏': 2,
    u'欐': 2,
    u'欑': 2,
    u'欒': 2,
    u'欓': 2,
    u'欖': 2,
    u'欘': 2,
    u'欞': 2,
    u'欢': 3,
    u'欤': 3,
    u'欧': 1,
    u'欽': 2,
    u'歄': 2,
    u'歍': 2,
    u'歐': 2,
    u'歕': 2,
    u'歗': 2,
    u'歛': 2,
    u'歞': 2,
    u'歟': 2,
    u'歡': 2,
    u'歲': 2,
    u'歷': 2,
    u'歸': 2,
    u'歼': 1,
    u'歿': 2,
    u'殁': 1,
    u'殇': 1,
    u'残': 1,
    u'殒': 1,
    u'殓': 1,
    u'殘': 2,
    u'殚': 1,
    u'殞': 2,
    u'殡': 3,
    u'殢': 2,
    u'殤': 2,
    u'殨': 2,
    u'殫': 2,
    u'殮': 2,
    u'殯': 2,
    u'殰': 2,
    u'殲': 2,
    u'殴': 1,
    u'殺': 2,
    u'殻': 2,
    u'殼': 2,
    u'毀': 2,
    u'毁': 1,
    u'毂': 1,
    u'毄': 2,
    u'毆': 2,
    u'毊': 2,
    u'毕': 1,
    u'毙': 1,
    u'毡': 3,
    u'毵': 1,
    u'毶': 1,
    u'毿': 2,
    u'氀': 2,
    u'氂': 2,
    u'氇': 1,
    u'氈': 2,
    u'氌': 2,
    u'气': 3,
    u'氢': 1,
    u'氣': 2,
    u'氩': 1,
    u'氫': 2,
    u'氬': 2,
    u'氭': 2,
    u'氲': 1,
    u'氳': 2,
    u'汇': 1,
    u'汉': 1,
    u'汤': 1,
    u'汹': 3,
    u'決': 2,
    u'沄': 3,
    u'沈': 3,
    u'沒': 2,
    u'沖': 2,
    u'沟': 1,
    u'没': 3,
    u'沣': 1,
    u'沤': 1,
    u'沥': 1,
    u'沦': 1,
    u'沧': 1,
    u'沨': 1,
    u'沩': 1,
    u'沪': 3,
    u'況': 2,
    u'泞': 1,
    u'注': 3,
    u'泪': 3,
    u'泶': 1,
    u'泷': 1,
    u'泸': 1,
    u'泺': 1,
    u'泻': 1,
    u'泼': 1,
    u'泽': 1,
    u'泾': 1,
    u'洁': 1,
    u'洒': 3,
    u'洶': 2,
    u'洼': 3,
    u'浃': 1,
    u'浅': 3,
    u'浆': 1,
    u'浇': 1,
    u'浈': 1,
    u'浉': 1,
    u'浊': 1,
    u'测': 1,
    u'浍': 1,
    u'济': 1,
    u'浏': 1,
    u'浐': 1,
    u'浑': 1,
    u'浒': 1,
    u'浓': 1,
    u'浔': 1,
    u'浕': 1,
    u'浹': 2,
    u'浿': 2,
    u'涂': 3,
    u'涇': 2,
    u'涛': 3,
    u'涝': 1,
    u'涞': 1,
    u'涟': 1,
    u'涠': 1,
    u'涡': 1,
    u'涢': 1,
    u'涣': 1,
    u'涤': 1,
    u'润': 1,
    u'涧': 1,
    u'涨': 1,
    u'涩': 1,
    u'涷': 2,
    u'涼': 2,
    u'淀': 3,
    u'淚': 2,
    u'淥': 2,
    u'淪': 2,
    u'淵': 2,
    u'淶': 2,
    u'淺': 2,
    u'渊': 3,
    u'渌': 1,
    u'渍': 1,
    u'渎': 1,
    u'渐': 1,
    u'渑': 1,
    u'渔': 1,
    u'渖': 1,
    u'渗': 1,
    u'渙': 2,
    u'減': 2,
    u'渢': 2,
    u'渦': 2,
    u'温': 3,
    u'測': 2,
    u'渾': 2,
    u'湊': 2,
    u'湋': 2,
    u'湞': 2,
    u'湯': 2,
    u'湾': 3,
    u'湿': 1,
    u'溁': 1,
    u'溃': 1,
    u'溅': 1,
    u'溆': 1,
    u'溇': 1,
    u'溈': 2,
    u'準': 2,
    u'溝': 2,
    u'溡': 2,
    u'溤': 2,
    u'溫': 2,
    u'溮': 2,
    u'溰': 2,
    u'溳': 2,
    u'滄': 2,
    u'滅': 2,
    u'滌': 2,
    u'滎': 2,
    u'滗': 1,
    u'滚': 3,
    u'滞': 1,
    u'滟': 1,
    u'滠': 1,
    u'满': 1,
    u'滢': 1,
    u'滤': 1,
    u'滥': 1,
    u'滦': 3,
    u'滨': 3,
    u'滩': 3,
    u'滪': 1,
    u'滬': 2,
    u'滭': 2,
    u'滯': 2,
    u'滲': 2,
    u'滷': 2,
    u'滸': 2,
    u'滻': 2,
    u'滾': 2,
    u'滿': 2,
    u'漁': 2,
    u'漊': 2,
    u'漍': 2,
    u'漎': 2,
    u'漐': 2,
    u'漓': 3,
    u'漙': 2,
    u'漚': 2,
    u'漢': 2,
    u'漣': 2,
    u'漬': 2,
    u'漲': 2,
    u'漵': 2,
    u'漸': 2,
    u'漿': 2,
    u'潁': 2,
    u'潆': 1,
    u'潇': 1,
    u'潋': 1,
    u'潍': 1,
    u'潑': 2,
    u'潔': 2,
    u'潕': 2,
    u'潙': 2,
    u'潚': 2,
    u'潛': 2,
    u'潜': 1,
    u'潣': 2,
    u'潤': 2,
    u'潬': 2,
    u'潯': 2,
    u'潰': 2,
    u'潴': 1,
    u'潷': 2,
    u'潿': 2,
    u'澀': 2,
    u'澅': 2,
    u'澆': 2,
    u'澇': 2,
    u'澐': 2,
    u'澒': 2,
    u'澖': 2,
    u'澗': 2,
    u'澛': 1,
    u'澜': 1,
    u'澠': 2,
    u'澢': 2,
    u'澤': 2,
    u'澦': 2,
    u'澩': 2,
    u'澫': 2,
    u'澬': 2,
    u'澮': 2,
    u'澰': 2,
    u'澱': 2,
    u'澾': 2,
    u'濁': 2,
    u'濃': 2,
    u'濄': 2,
    u'濆': 2,
    u'濇': 2,
    u'濊': 2,
    u'濑': 1,
    u'濒': 1,
    u'濕': 2,
    u'濘': 2,
    u'濚': 2,
    u'濛': 2,
    u'濜': 2,
    u'濟': 2,
    u'濤': 2,
    u'濧': 2,
    u'濫': 2,
    u'濰': 2,
    u'濱': 2,
    u'濺': 2,
    u'濼': 2,
    u'濾': 2,
    u'濿': 2,
    u'瀁': 2,
    u'瀂': 2,
    u'瀃': 2,
    u'瀄': 2,
    u'瀅': 2,
    u'瀆': 2,
    u'瀇': 2,
    u'瀈': 2,
    u'瀉': 2,
    u'瀋': 2,
    u'瀏': 2,
    u'瀕': 2,
    u'瀘': 2,
    u'瀙': 2,
    u'瀝': 2,
    u'瀟': 2,
    u'瀠': 2,
    u'瀢': 2,
    u'瀦': 2,
    u'瀧': 2,
    u'瀨': 2,
    u'瀯': 2,
    u'瀰': 2,
    u'瀲': 2,
    u'瀳': 2,
    u'瀴': 2,
    u'瀵': 2,
    u'瀾': 2,
    u'灃': 2,
    u'灄': 2,
    u'灍': 2,
    u'灏': 1,
    u'灑': 2,
    u'灒': 2,
    u'灓': 2,
    u'灕': 2,
    u'灘': 2,
    u'灙': 2,
    u'灝': 2,
    u'灟': 2,
    u'灠': 2,
    u'灡': 2,
    u'灣': 2,
    u'灤': 2,
    u'灦': 2,
    u'灧': 2,
    u'灭': 1,
    u'灯': 3,
    u'灵': 1,
    u'灶': 3,
    u'災': 2,
    u'灾': 3,
    u'灿': 1,
    u'炀': 1,
    u'炉': 3,
    u'炜': 1,
    u'炝': 1,
    u'点': 3,
    u'為': 2,
    u'炼': 1,
    u'炽': 1,
    u'烁': 1,
    u'烂': 1,
    u'烃': 1,
    u'烏': 2,
    u'烛': 3,
    u'烟': 3,
    u'烦': 1,
    u'烧': 1,
    u'烨': 1,
    u'烩': 3,
    u'烫': 1,
    u'烬': 3,
    u'热': 3,
    u'烴': 2,
    u'焕': 1,
    u'焖': 1,
    u'焘': 1,
    u'焛': 2,
    u'無': 2,
    u'煇': 2,
    u'煉': 2,
    u'煒': 2,
    u'煙': 2,
    u'煢': 2,
    u'煥': 2,
    u'煩': 2,
    u'煬': 2,
    u'煱': 2,
    u'煴': 1,
    u'煼': 2,
    u'熂': 2,
    u'熅': 2,
    u'熉': 2,
    u'熌': 2,
    u'熒': 2,
    u'熓': 2,
    u'熕': 2,
    u'熗': 2,
    u'熞': 2,
    u'熡': 2,
    u'熰': 2,
    u'熱': 2,
    u'熲': 2,
    u'熾': 2,
    u'燀': 2,
    u'燁': 2,
    u'燈': 2,
    u'燌': 2,
    u'燒': 2,
    u'燖': 2,
    u'燘': 2,
    u'燙': 2,
    u'燜': 2,
    u'營': 2,
    u'燡': 2,
    u'燦': 2,
    u'燭': 2,
    u'燰': 2,
    u'燴': 2,
    u'燵': 2,
    u'燶': 2,
    u'燼': 2,
    u'燽': 2,
    u'燾': 2,
    u'爁': 2,
    u'爃': 2,
    u'爄': 2,
    u'爍': 2,
    u'爐': 2,
    u'爓': 2,
    u'爖': 2,
    u'爛': 2,
    u'爣': 2,
    u'爥': 2,
    u'爧': 2,
    u'爭': 2,
    u'爱': 1,
    u'爲': 2,
    u'爷': 1,
    u'爺': 2,
    u'爾': 2,
    u'牆': 2,
    u'牋': 2,
    u'牍': 1,
    u'牘': 2,
    u'牦': 1,
    u'牵': 1,
    u'牺': 1,
    u'牼': 2,
    u'牽': 2,
    u'犅': 2,
    u'犊': 1,
    u'犓': 2,
    u'犖': 2,
    u'犞': 2,
    u'犢': 2,
    u'犤': 2,
    u'犧': 2,
    u'状': 1,
    u'犷': 1,
    u'犸': 1,
    u'犹': 3,
    u'狀': 2,
    u'狈': 1,
    u'狝': 1,
    u'狞': 1,
    u'独': 3,
    u'狭': 1,
    u'狮': 1,
    u'狯': 3,
    u'狰': 1,
    u'狱': 1,
    u'狲': 1,
    u'狹': 2,
    u'狽': 2,
    u'猃': 1,
    u'猌': 2,
    u'猍': 2,
    u'猎': 1,
    u'猕': 3,
    u'猙': 2,
    u'猡': 1,
    u'猧': 2,
    u'猪': 3,
    u'猫': 3,
    u'猬': 3,
    u'献': 3,
    u'猶': 2,
    u'猻': 2,
    u'獁': 2,
    u'獄': 2,
    u'獅': 2,
    u'獊': 2,
    u'獎': 2,
    u'獑': 2,
    u'獖': 2,
    u'獟': 2,
    u'獢': 2,
    u'獨': 2,
    u'獩': 2,
    u'獪': 2,
    u'獫': 2,
    u'獭': 1,
    u'獮': 2,
    u'獰': 2,
    u'獱': 2,
    u'獲': 2,
    u'獵': 2,
    u'獷': 2,
    u'獸': 2,
    u'獹': 2,
    u'獺': 2,
    u'獻': 2,
    u'獼': 2,
    u'玀': 2,
    u'玁': 2,
    u'玂': 2,
    u'玑': 1,
    u'玙': 1,
    u'玚': 1,
    u'玛': 1,
    u'玮': 1,
    u'环': 3,
    u'现': 1,
    u'玱': 1,
    u'玺': 1,
    u'珐': 3,
    u'珑': 1,
    u'珰': 1,
    u'珲': 1,
    u'珼': 2,
    u'現': 2,
    u'琎': 1,
    u'琏': 1,
    u'琐': 1,
    u'琖': 2,
    u'琺': 2,
    u'琼': 3,
    u'琿': 2,
    u'瑋': 2,
    u'瑒': 2,
    u'瑙': 2,
    u'瑣': 2,
    u'瑤': 2,
    u'瑩': 2,
    u'瑪': 2,
    u'瑲': 2,
    u'瑶': 1,
    u'瑷': 1,
    u'瑸': 1,
    u'瑻': 2,
    u'瑽': 2,
    u'璉': 2,
    u'璊': 2,
    u'璎': 1,
    u'璕': 2,
    u'璗': 2,
    u'璛': 2,
    u'璝': 2,
    u'璡': 2,
    u'璣': 2,
    u'璦': 2,
    u'璫': 2,
    u'璯': 2,
    u'環': 2,
    u'璵': 2,
    u'璸': 2,
    u'璹': 2,
    u'璼': 2,
    u'璽': 2,
    u'璾': 2,
    u'瓄': 2,
    u'瓅': 2,
    u'瓊': 2,
    u'瓏': 2,
    u'瓐': 2,
    u'瓒': 1,
    u'瓓': 2,
    u'瓔': 2,
    u'瓕': 2,
    u'瓚': 2,
    u'瓛': 2,
    u'瓯': 1,
    u'甊': 2,
    u'甌': 2,
    u'甒': 2,
    u'甖': 2,
    u'產': 2,
    u'産': 2,
    u'电': 3,
    u'画': 3,
    u'畅': 1,
    u'畝': 2,
    u'畢': 2,
    u'畫': 2,
    u'異': 2,
    u'畴': 1,
    u'當': 2,
    u'疇': 2,
    u'疊': 2,
    u'疖': 1,
    u'疗': 1,
    u'疟': 1,
    u'疠': 1,
    u'疡': 1,
    u'疬': 1,
    u'疭': 1,
    u'疮': 1,
    u'疯': 1,
    u'疱': 3,
    u'疴': 3,
    u'症': 3,
    u'痈': 1,
    u'痉': 1,
    u'痒': 3,
    u'痖': 1,
    u'痙': 2,
    u'痨': 1,
    u'痪': 1,
    u'痫': 1,
    u'痮': 2,
    u'痾': 2,
    u'瘂': 2,
    u'瘅': 1,
    u'瘆': 1,
    u'瘋': 2,
    u'瘍': 2,
    u'瘑': 2,
    u'瘒': 2,
    u'瘓': 2,
    u'瘗': 1,
    u'瘘': 3,
    u'瘞': 2,
    u'瘡': 2,
    u'瘧': 2,
    u'瘪': 1,
    u'瘫': 1,
    u'瘮': 2,
    u'瘱': 2,
    u'瘲': 2,
    u'瘺': 2,
    u'瘻': 2,
    u'瘾': 1,
    u'瘿': 1,
    u'療': 2,
    u'癆': 2,
    u'癇': 2,
    u'癈': 2,
    u'癉': 2,
    u'癎': 2,
    u'癐': 2,
    u'癘': 2,
    u'癞': 1,
    u'癟': 2,
    u'癠': 2,
    u'癢': 2,
    u'癣': 1,
    u'癤': 2,
    u'癥': 2,
    u'癧': 2,
    u'癩': 2,
    u'癪': 2,
    u'癫': 1,
    u'癬': 2,
    u'癭': 2,
    u'癮': 2,
    u'癰': 2,
    u'癱': 2,
    u'癲': 2,
    u'癴': 2,
    u'發': 2,
    u'皑': 1,
    u'皚': 2,
    u'皟': 2,
    u'皪': 2,
    u'皰': 2,
    u'皱': 3,
    u'皲': 1,
    u'皸': 2,
    u'皺': 2,
    u'皾': 2,
    u'盏': 1,
    u'盐': 1,
    u'监': 1,
    u'盖': 3,
    u'盗': 1,
    u'盘': 1,
    u'盜': 2,
    u'盞': 2,
    u'盡': 2,
    u'監': 2,
    u'盤': 2,
    u'盧': 2,
    u'盨': 2,
    u'盪': 2,
    u'眍': 1,
    u'眥': 2,
    u'眦': 3,
    u'眬': 1,
    u'眾': 2,
    u'着': 3,
    u'睁': 1,
    u'睍': 2,
    u'睏': 2,
    u'睐': 1,
    u'睑': 1,
    u'睔': 2,
    u'睜': 2,
    u'睞': 2,
    u'睪': 2,
    u'睴': 2,
    u'瞆': 1,
    u'瞒': 1,
    u'瞓': 2,
    u'瞘': 2,
    u'瞛': 2,
    u'瞜': 2,
    u'瞞': 2,
    u'瞡': 2,
    u'瞤': 2,
    u'瞩': 1,
    u'瞭': 3,
    u'瞯': 2,
    u'瞱': 2,
    u'瞶': 2,
    u'瞷': 2,
    u'瞼': 2,
    u'矇': 2,
    u'矉': 2,
    u'矊': 2,
    u'矑': 2,
    u'矓': 2,
    u'矕': 2,
    u'矖': 2,
    u'矘': 2,
    u'矚': 2,
    u'矫': 3,
    u'矯': 2,
    u'矲': 2,
    u'矶': 1,
    u'矾': 1,
    u'矿': 1,
    u'砀': 1,
    u'码': 1,
    u'砖': 1,
    u'砗': 1,
    u'砚': 1,
    u'砜': 1,
    u'砺': 1,
    u'砻': 1,
    u'砾': 1,
    u'础': 1,
    u'硁': 1,
    u'硃': 2,
    u'硕': 1,
    u'硖': 1,
    u'硗': 1,
    u'硙': 1,
    u'硚': 1,
    u'硜': 2,
    u'硤': 2,
    u'硨': 2,
    u'确': 3,
    u'硯': 2,
    u'硵': 1,
    u'硷': 1,
    u'碍': 3,
    u'碙': 2,
    u'碛': 1,
    u'碜': 1,
    u'碢': 2,
    u'碩': 2,
    u'碭': 2,
    u'碸': 2,
    u'確': 2,
    u'碼': 2,
    u'碽': 2,
    u'磑': 2,
    u'磒': 2,
    u'磚': 2,
    u'磠': 2,
    u'磣': 2,
    u'磧': 2,
    u'磯': 2,
    u'磱': 2,
    u'磵': 2,
    u'磽': 2,
    u'磾': 2,
    u'礄': 2,
    u'礆': 2,
    u'礋': 2,
    u'礎': 2,
    u'礏': 2,
    u'礐': 2,
    u'礒': 2,
    u'礙': 2,
    u'礚': 2,
    u'礛': 2,
    u'礥': 2,
    u'礦': 2,
    u'礩': 2,
    u'礪': 2,
    u'礫': 2,
    u'礬': 2,
    u'礮': 2,
    u'礰': 2,
    u'礱': 2,
    u'礲': 2,
    u'礹': 2,
    u'礼': 3,
    u'祃': 1,
    u'祎': 1,
    u'祢': 3,
    u'祯': 1,
    u'祷': 3,
    u'祸': 1,
    u'祿': 2,
    u'禀': 3,
    u'禄': 1,
    u'禅': 1,
    u'禍': 2,
    u'禎': 2,
    u'禓': 2,
    u'禕': 2,
    u'禜': 2,
    u'禡': 2,
    u'禦': 2,
    u'禪': 2,
    u'禬': 2,
    u'禮': 2,
    u'禯': 2,
    u'禰': 2,
    u'禱': 2,
    u'禵': 2,
    u'离': 1,
    u'禿': 2,
    u'秃': 3,
    u'秆': 3,
    u'秈': 2,
    u'秋': 3,
    u'种': 3,
    u'积': 1,
    u'称': 3,
    u'秽': 1,
    u'秾': 1,
    u'稅': 2,
    u'稆': 1,
    u'稈': 2,
    u'税': 1,
    u'稏': 2,
    u'稟': 2,
    u'稣': 1,
    u'種': 2,
    u'稱': 2,
    u'稳': 3,
    u'穀': 2,
    u'穇': 2,
    u'穌': 2,
    u'積': 2,
    u'穎': 2,
    u'穑': 1,
    u'穖': 2,
    u'穠': 2,
    u'穡': 2,
    u'穢': 2,
    u'穧': 2,
    u'穨': 2,
    u'穩': 2,
    u'穫': 2,
    u'穬': 2,
    u'穭': 2,
    u'穷': 3,
    u'窃': 3,
    u'窍': 1,
    u'窎': 1,
    u'窑': 1,
    u'窜': 1,
    u'窝': 1,
    u'窥': 1,
    u'窦': 1,
    u'窩': 2,
    u'窪': 2,
    u'窭': 1,
    u'窮': 2,
    u'窯': 2,
    u'窱': 2,
    u'窵': 2,
    u'窶': 2,
    u'窺': 2,
    u'竀': 2,
    u'竄': 2,
    u'竅': 2,
    u'竇': 2,
    u'竈': 2,
    u'竉': 2,
    u'竊': 2,
    u'竖': 1,
    u'竞': 1,
    u'竪': 2,
    u'竱': 2,
    u'競': 2,
    u'笃': 1,
    u'笋': 3,
    u'笔': 3,
    u'笕': 1,
    u'笺': 1,
    u'笼': 1,
    u'笾': 1,
    u'筆': 2,
    u'筍': 2,
    u'筑': 3,
    u'筚': 1,
    u'筛': 1,
    u'筜': 1,
    u'筝': 1,
    u'筧': 2,
    u'筴': 2,
    u'筹': 1,
    u'筼': 1,
    u'签': 1,
    u'简': 1,
    u'箋': 2,
    u'箏': 2,
    u'箓': 1,
    u'箦': 1,
    u'箧': 1,
    u'箨': 1,
    u'箩': 3,
    u'箪': 1,
    u'箫': 1,
    u'箹': 2,
    u'節': 2,
    u'範': 2,
    u'築': 2,
    u'篋': 2,
    u'篑': 1,
    u'篓': 3,
    u'篔': 2,
    u'篘': 2,
    u'篢': 2,
    u'篤': 2,
    u'篩': 2,
    u'篮': 1,
    u'篯': 1,
    u'篱': 3,
    u'篳': 2,
    u'篵': 2,
    u'篸': 2,
    u'篿': 2,
    u'簀': 2,
    u'簂': 2,
    u'簍': 2,
    u'簖': 1,
    u'簜': 2,
    u'簞': 2,
    u'簡': 2,
    u'簢': 2,
    u'簣': 2,
    u'簥': 2,
    u'簫': 2,
    u'簵': 2,
    u'簹': 2,
    u'簻': 2,
    u'簽': 2,
    u'簾': 2,
    u'籁': 1,
    u'籃': 2,
    u'籋': 2,
    u'籌': 2,
    u'籔': 2,
    u'籙': 2,
    u'籚': 2,
    u'籛': 2,
    u'籜': 2,
    u'籟': 2,
    u'籠': 2,
    u'籣': 2,
    u'籤': 2,
    u'籦': 2,
    u'籩': 2,
    u'籪': 2,
    u'籫': 2,
    u'籬': 2,
    u'籭': 2,
    u'籮': 2,
    u'籯': 2,
    u'籲': 2,
    u'籴': 3,
    u'类': 1,
    u'籼': 1,
    u'粜': 3,
    u'粝': 1,
    u'粤': 1,
    u'粪': 1,
    u'粮': 3,
    u'粯': 2,
    u'粵': 2,
    u'粻': 2,
    u'糁': 1,
    u'糇': 3,
    u'糝': 2,
    u'糞': 2,
    u'糧': 2,
    u'糮': 2,
    u'糰': 2,
    u'糲': 2,
    u'糴': 2,
    u'糶': 2,
    u'糷': 2,
    u'糹': 2,
    u'糺': 2,
    u'系': 3,
    u'糽': 2,
    u'糾': 2,
    u'紀': 2,
    u'紂': 2,
    u'紃': 2,
    u'約': 2,
    u'紅': 2,
    u'紆': 2,
    u'紇': 2,
    u'紈': 2,
    u'紉': 2,
    u'紋': 2,
    u'紌': 2,
    u'納': 2,
    u'紐': 2,
    u'紑': 2,
    u'紒': 2,
    u'紓': 2,
    u'純': 2,
    u'紕': 2,
    u'紖': 2,
    u'紗': 2,
    u'紘': 2,
    u'紙': 2,
    u'級': 2,
    u'紛': 2,
    u'紜': 2,
    u'紝': 2,
    u'紞': 2,
    u'紟': 2,
    u'紡': 2,
    u'紧': 1,
    u'紨': 2,
    u'紩': 2,
    u'紬': 2,
    u'紭': 2,
    u'累': 3,
    u'細': 2,
    u'紱': 2,
    u'紲': 2,
    u'紳': 2,
    u'紵': 2,
    u'紶': 2,
    u'紸': 2,
    u'紹': 2,
    u'紺': 2,
    u'紼': 2,
    u'紽': 2,
    u'紾': 2,
    u'紿': 2,
    u'絀': 2,
    u'絁': 2,
    u'終': 2,
    u'絃': 2,
    u'組': 2,
    u'絅': 2,
    u'絆': 2,
    u'絇': 2,
    u'絍': 2,
    u'絎': 2,
    u'結': 2,
    u'絑': 2,
    u'絓': 2,
    u'絕': 2,
    u'絖': 2,
    u'絘': 2,
    u'絙': 2,
    u'絚': 2,
    u'絛': 2,
    u'絝': 2,
    u'絞': 2,
    u'絟': 2,
    u'絠': 2,
    u'絡': 2,
    u'絢': 2,
    u'絣': 2,
    u'絤': 2,
    u'絥': 2,
    u'給': 2,
    u'絧': 2,
    u'絨': 2,
    u'絪': 2,
    u'絯': 2,
    u'絰': 2,
    u'統': 2,
    u'絲': 2,
    u'絳': 2,
    u'絶': 2,
    u'絷': 1,
    u'絸': 2,
    u'絹': 2,
    u'絺': 2,
    u'絻': 2,
    u'絼': 2,
    u'絽': 2,
    u'絾': 2,
    u'絿': 2,
    u'綀': 2,
    u'綁': 2,
    u'綃': 2,
    u'綄': 2,
    u'綅': 2,
    u'綆': 2,
    u'綇': 2,
    u'綈': 2,
    u'綉': 2,
    u'綊': 2,
    u'綋': 2,
    u'綌': 2,
    u'綍': 2,
    u'綎': 2,
    u'綏': 2,
    u'綐': 2,
    u'經': 2,
    u'綕': 2,
    u'綖': 2,
    u'綜': 2,
    u'綝': 2,
    u'綞': 2,
    u'綟': 2,
    u'綠': 2,
    u'綡': 2,
    u'綢': 2,
    u'綣': 2,
    u'綧': 2,
    u'綪': 2,
    u'綫': 2,
    u'綬': 2,
    u'維': 2,
    u'綯': 2,
    u'綰': 2,
    u'綱': 2,
    u'網': 2,
    u'綳': 2,
    u'綴': 2,
    u'綵': 2,
    u'綷': 2,
    u'綸': 2,
    u'綹': 2,
    u'綺': 2,
    u'綻': 2,
    u'綼': 2,
    u'綽': 2,
    u'綾': 2,
    u'綿': 2,
    u'緀': 2,
    u'緁': 2,
    u'緂': 2,
    u'緄': 2,
    u'緅': 2,
    u'緆': 2,
    u'緇': 2,
    u'緉': 2,
    u'緊': 2,
    u'緋': 2,
    u'緌': 2,
    u'緍': 2,
    u'緎': 2,
    u'総': 2,
    u'緑': 2,
    u'緒': 2,
    u'緓': 2,
    u'緔': 2,
    u'緗': 2,
    u'緘': 2,
    u'緙': 2,
    u'線': 2,
    u'緛': 2,
    u'緝': 2,
    u'緞': 2,
    u'緟': 2,
    u'締': 2,
    u'緡': 2,
    u'緢': 2,
    u'緣': 2,
    u'緤': 2,
    u'緦': 2,
    u'緧': 2,
    u'編': 2,
    u'緩': 2,
    u'緪': 2,
    u'緫': 2,
    u'緬': 2,
    u'緮': 2,
    u'緯': 2,
    u'緰': 2,
    u'緱': 2,
    u'緲': 2,
    u'練': 2,
    u'緵': 2,
    u'緶': 2,
    u'緷': 2,
    u'緸': 2,
    u'緹': 2,
    u'緺': 2,
    u'緻': 2,
    u'緼': 2,
    u'縈': 2,
    u'縉': 2,
    u'縊': 2,
    u'縋': 2,
    u'縌': 2,
    u'縍': 2,
    u'縎': 2,
    u'縐': 2,
    u'縑': 2,
    u'縒': 2,
    u'縓': 2,
    u'縕': 2,
    u'縖': 2,
    u'縗': 2,
    u'縚': 2,
    u'縛': 2,
    u'縜': 2,
    u'縝': 2,
    u'縞': 2,
    u'縟': 2,
    u'縡': 2,
    u'縣': 2,
    u'縧': 2,
    u'縩': 2,
    u'縪': 2,
    u'縫': 2,
    u'縬': 2,
    u'縭': 2,
    u'縮': 2,
    u'縯': 2,
    u'縰': 2,
    u'縱': 2,
    u'縲': 2,
    u'縳': 2,
    u'縴': 2,
    u'縵': 2,
    u'縶': 2,
    u'縷': 2,
    u'縸': 2,
    u'縹': 2,
    u'縺': 2,
    u'縼': 2,
    u'總': 2,
    u'績': 2,
    u'縿': 2,
    u'繀': 2,
    u'繂': 2,
    u'繃': 2,
    u'繅': 2,
    u'繆': 2,
    u'繈': 2,
    u'繎': 2,
    u'繏': 2,
    u'繐': 2,
    u'繑': 2,
    u'繒': 2,
    u'繓': 2,
    u'織': 2,
    u'繕': 2,
    u'繖': 2,
    u'繗': 2,
    u'繘': 2,
    u'繙': 2,
    u'繚': 2,
    u'繜': 2,
    u'繞': 2,
    u'繟': 2,
    u'繡': 2,
    u'繢': 2,
    u'繣': 2,
    u'繨': 2,
    u'繩': 2,
    u'繪': 2,
    u'繫': 2,
    u'繬': 2,
    u'繭': 2,
    u'繮': 2,
    u'繯': 2,
    u'繰': 2,
    u'繲': 2,
    u'繳': 2,
    u'繵': 2,
    u'繶': 2,
    u'繷': 2,
    u'繸': 2,
    u'繹': 2,
    u'繻': 2,
    u'繼': 2,
    u'繽': 2,
    u'繾': 2,
    u'繿': 2,
    u'纀': 2,
    u'纁': 2,
    u'纃': 2,
    u'纆': 2,
    u'纇': 2,
    u'纈': 2,
    u'纊': 2,
    u'纋': 2,
    u'續': 2,
    u'纍': 2,
    u'纏': 2,
    u'纑': 2,
    u'纓': 2,
    u'纔': 2,
    u'纕': 2,
    u'纖': 2,
    u'纗': 2,
    u'纘': 2,
    u'纚': 2,
    u'纜': 2,
    u'纟': 1,
    u'纠': 1,
    u'纡': 1,
    u'红': 1,
    u'纣': 1,
    u'纤': 1,
    u'纥': 1,
    u'约': 1,
    u'级': 1,
    u'纨': 1,
    u'纩': 1,
    u'纪': 1,
    u'纫': 1,
    u'纬': 1,
    u'纭': 1,
    u'纮': 1,
    u'纯': 1,
    u'纰': 1,
    u'纱': 1,
    u'纲': 1,
    u'纳': 1,
    u'纴': 1,
    u'纵': 1,
    u'纶': 1,
    u'纷': 1,
    u'纸': 1,
    u'纹': 1,
    u'纺': 1,
    u'纻': 1,
    u'纼': 1,
    u'纽': 1,
    u'纾': 1,
    u'线': 1,
    u'绀': 1,
    u'绁': 1,
    u'绂': 1,
    u'练': 1,
    u'组': 1,
    u'绅': 1,
    u'细': 1,
    u'织': 1,
    u'终': 1,
    u'绉': 1,
    u'绊': 1,
    u'绋': 1,
    u'绌': 1,
    u'绍': 1,
    u'绎': 1,
    u'经': 1,
    u'绐': 1,
    u'绑': 1,
    u'绒': 1,
    u'结': 1,
    u'绔': 1,
    u'绕': 1,
    u'绖': 1,
    u'绗': 1,
    u'绘': 1,
    u'给': 1,
    u'绚': 1,
    u'绛': 1,
    u'络': 1,
    u'绝': 1,
    u'绞': 1,
    u'统': 1,
    u'绠': 1,
    u'绡': 1,
    u'绢': 1,
    u'绣': 1,
    u'绤': 1,
    u'绥': 1,
    u'绦': 1,
    u'继': 1,
    u'绨': 1,
    u'绩': 1,
    u'绪': 1,
    u'绫': 1,
    u'绬': 1,
    u'续': 1,
    u'绮': 1,
    u'绯': 1,
    u'绰': 1,
    u'绱': 1,
    u'绲': 1,
    u'绳': 1,
    u'维': 1,
    u'绵': 1,
    u'绶': 1,
    u'绷': 1,
    u'绸': 1,
    u'绹': 1,
    u'绺': 1,
    u'绻': 1,
    u'综': 1,
    u'绽': 1,
    u'绾': 1,
    u'绿': 1,
    u'缀': 1,
    u'缁': 1,
    u'缂': 1,
    u'缃': 1,
    u'缄': 1,
    u'缅': 1,
    u'缆': 1,
    u'缇': 1,
    u'缈': 1,
    u'缉': 1,
    u'缊': 1,
    u'缋': 1,
    u'缌': 1,
    u'缍': 1,
    u'缎': 1,
    u'缏': 1,
    u'缐': 1,
    u'缑': 1,
    u'缒': 1,
    u'缓': 1,
    u'缔': 1,
    u'缕': 1,
    u'编': 1,
    u'缗': 1,
    u'缘': 1,
    u'缙': 1,
    u'缚': 1,
    u'缛': 1,
    u'缜': 1,
    u'缝': 1,
    u'缞': 1,
    u'缟': 1,
    u'缠': 1,
    u'缡': 1,
    u'缢': 1,
    u'缣': 1,
    u'缤': 1,
    u'缥': 1,
    u'缦': 1,
    u'缧': 1,
    u'缨': 1,
    u'缩': 1,
    u'缪': 1,
    u'缫': 1,
    u'缬': 1,
    u'缭': 1,
    u'缮': 1,
    u'缯': 1,
    u'缰': 1,
    u'缱': 1,
    u'缲': 1,
    u'缳': 1,
    u'缴': 1,
    u'缵': 1,
    u'缽': 2,
    u'罂': 1,
    u'罃': 2,
    u'罆': 2,
    u'罈': 2,
    u'罌': 2,
    u'罎': 2,
    u'罏': 2,
    u'网': 3,
    u'罗': 3,
    u'罚': 1,
    u'罢': 3,
    u'罰': 2,
    u'罴': 1,
    u'罵': 2,
    u'罷': 2,
    u'罼': 2,
    u'羁': 1,
    u'羂': 2,
    u'羅': 2,
    u'羆': 2,
    u'羈': 2,
    u'羋': 2,
    u'羟': 1,
    u'羥': 2,
    u'義': 2,
    u'羵': 2,
    u'習': 2,
    u'翘': 1,
    u'翙': 1,
    u'翚': 1,
    u'翜': 2,
    u'翬': 2,
    u'翹': 2,
    u'翽': 2,
    u'翿': 2,
    u'耢': 1,
    u'耧': 1,
    u'耬': 2,
    u'耮': 2,
    u'耸': 1,
    u'耻': 3,
    u'聂': 1,
    u'聋': 1,
    u'职': 3,
    u'聍': 1,
    u'联': 3,
    u'聖': 2,
    u'聞': 2,
    u'聩': 1,
    u'聪': 1,
    u'聯': 2,
    u'聰': 2,
    u'聲': 2,
    u'聳': 2,
    u'聵': 2,
    u'聶': 2,
    u'職': 2,
    u'聹': 2,
    u'聻': 2,
    u'聽': 2,
    u'聾': 2,
    u'肃': 1,
    u'肅': 2,
    u'肠': 1,
    u'肤': 1,
    u'肮': 3,
    u'肴': 3,
    u'肾': 1,
    u'肿': 1,
    u'胀': 1,
    u'胁': 1,
    u'胆': 3,
    u'胜': 3,
    u'胡': 3,
    u'胧': 1,
    u'胨': 1,
    u'胪': 1,
    u'胫': 1,
    u'胶': 1,
    u'脅': 2,
    u'脈': 2,
    u'脉': 3,
    u'脍': 3,
    u'脏': 1,
    u'脐': 1,
    u'脑': 1,
    u'脓': 1,
    u'脔': 3,
    u'脚': 3,
    u'脛': 2,
    u'脥': 2,
    u'脫': 2,
    u'脱': 1,
    u'脶': 1,
    u'脸': 1,
    u'脹': 2,
    u'腊': 3,
    u'腎': 2,
    u'腖': 2,
    u'腘': 1,
    u'腡': 2,
    u'腦': 2,
    u'腪': 2,
    u'腫': 2,
    u'腭': 3,
    u'腳': 2,
    u'腸': 2,
    u'腻': 1,
    u'腼': 3,
    u'腽': 1,
    u'腾': 1,
    u'膃': 2,
    u'膑': 3,
    u'膒': 2,
    u'膕': 2,
    u'膚': 2,
    u'膞': 2,
    u'膠': 2,
    u'膢': 2,
    u'膩': 2,
    u'膮': 2,
    u'膴': 2,
    u'膶': 2,
    u'膷': 2,
    u'膹': 2,
    u'膽': 2,
    u'膾': 2,
    u'膿': 2,
    u'臇': 2,
    u'臉': 2,
    u'臍': 2,
    u'臏': 2,
    u'臗': 2,
    u'臘': 2,
    u'臚': 2,
    u'臜': 1,
    u'臟': 2,
    u'臠': 2,
    u'臡': 2,
    u'臢': 2,
    u'臤': 3,
    u'臨': 2,
    u'致': 3,
    u'臺': 2,
    u'舆': 1,
    u'與': 2,
    u'興': 2,
    u'舉': 2,
    u'舊': 2,
    u'舍': 3,
    u'舣': 1,
    u'舰': 1,
    u'舱': 1,
    u'舻': 1,
    u'艙': 2,
    u'艛': 2,
    u'艜': 2,
    u'艤': 2,
    u'艦': 2,
    u'艫': 2,
    u'艭': 2,
    u'艰': 1,
    u'艱': 2,
    u'艳': 3,
    u'艷': 2,
    u'艺': 1,
    u'节': 1,
    u'芈': 1,
    u'芗': 1,
    u'芜': 1,
    u'芦': 3,
    u'芸': 3,
    u'芻': 2,
    u'苁': 1,
    u'苇': 1,
    u'苈': 1,
    u'苋': 1,
    u'苌': 1,
    u'苍': 1,
    u'苎': 1,
    u'苏': 3,
    u'苧': 2,
    u'苹': 3,
    u'范': 3,
    u'茎': 1,
    u'茏': 1,
    u'茑': 1,
    u'茔': 1,
    u'茕': 1,
    u'茧': 1,
    u'茲': 2,
    u'荆': 3,
    u'荊': 2,
    u'荐': 3,
    u'荙': 1,
    u'荚': 1,
    u'荛': 1,
    u'荜': 1,
    u'荝': 1,
    u'荞': 1,
    u'荟': 1,
    u'荠': 1,
    u'荡': 1,
    u'荣': 3,
    u'荤': 1,
    u'荥': 1,
    u'荦': 1,
    u'荧': 1,
    u'荨': 1,
    u'荩': 1,
    u'荪': 1,
    u'荫': 1,
    u'荬': 1,
    u'荭': 1,
    u'荮': 1,
    u'药': 1,
    u'莅': 3,
    u'莊': 2,
    u'莖': 2,
    u'莢': 2,
    u'莧': 2,
    u'莱': 1,
    u'莲': 1,
    u'莳': 1,
    u'莴': 1,
    u'莶': 1,
    u'获': 1,
    u'莸': 1,
    u'莹': 1,
    u'莺': 1,
    u'莼': 1,
    u'菕': 2,
    u'華': 2,
    u'萇': 2,
    u'萊': 2,
    u'萚': 1,
    u'萝': 3,
    u'萤': 1,
    u'营': 1,
    u'萦': 1,
    u'萧': 1,
    u'萨': 1,
    u'萬': 2,
    u'萯': 2,
    u'萴': 2,
    u'萵': 2,
    u'葉': 2,
    u'葒': 2,
    u'著': 3,
    u'葝': 2,
    u'葤': 2,
    u'葦': 2,
    u'葯': 2,
    u'葱': 3,
    u'葷': 2,
    u'葻': 2,
    u'蒇': 1,
    u'蒉': 1,
    u'蒋': 1,
    u'蒌': 1,
    u'蒍': 2,
    u'蒒': 2,
    u'蒓': 2,
    u'蒔': 2,
    u'蒙': 3,
    u'蒞': 2,
    u'蒭': 2,
    u'蒳': 2,
    u'蒶': 2,
    u'蒼': 2,
    u'蓀': 2,
    u'蓋': 2,
    u'蓝': 1,
    u'蓟': 1,
    u'蓠': 1,
    u'蓣': 1,
    u'蓥': 1,
    u'蓦': 1,
    u'蓮': 2,
    u'蓯': 2,
    u'蓲': 2,
    u'蓴': 2,
    u'蓽': 2,
    u'蔂': 3,
    u'蔄': 2,
    u'蔎': 2,
    u'蔑': 3,
    u'蔔': 2,
    u'蔞': 2,
    u'蔠': 2,
    u'蔣': 2,
    u'蔥': 2,
    u'蔦': 2,
    u'蔪': 2,
    u'蔭': 2,
    u'蔮': 2,
    u'蔯': 2,
    u'蔱': 2,
    u'蔷': 1,
    u'蔹': 1,
    u'蔺': 1,
    u'蔼': 1,
    u'蔿': 2,
    u'蕁': 2,
    u'蕄': 2,
    u'蕆': 2,
    u'蕎': 2,
    u'蕑': 2,
    u'蕒': 2,
    u'蕓': 2,
    u'蕕': 2,
    u'蕘': 2,
    u'蕝': 2,
    u'蕟': 2,
    u'蕡': 2,
    u'蕢': 2,
    u'蕧': 2,
    u'蕩': 2,
    u'蕪': 2,
    u'蕭': 2,
    u'蕰': 1,
    u'蕲': 1,
    u'蕳': 2,
    u'蕴': 1,
    u'蕷': 2,
    u'蕽': 2,
    u'薀': 2,
    u'薆': 2,
    u'薈': 2,
    u'薉': 2,
    u'薊': 2,
    u'薋': 2,
    u'薌': 2,
    u'薑': 2,
    u'薔': 2,
    u'薖': 2,
    u'薘': 2,
    u'薟': 2,
    u'薠': 2,
    u'薦': 2,
    u'薩': 2,
    u'薮': 1,
    u'薱': 2,
    u'薲': 2,
    u'薳': 2,
    u'薴': 2,
    u'薵': 2,
    u'薺': 2,
    u'藇': 2,
    u'藉': 3,
    u'藍': 2,
    u'藎': 2,
    u'藓': 1,
    u'藖': 2,
    u'藘': 2,
    u'藚': 2,
    u'藝': 2,
    u'藣': 2,
    u'藥': 2,
    u'藪': 2,
    u'藬': 2,
    u'藭': 2,
    u'藰': 2,
    u'藴': 2,
    u'藶': 2,
    u'藷': 2,
    u'藹': 2,
    u'藺': 2,
    u'藾': 2,
    u'蘀': 2,
    u'蘄': 2,
    u'蘆': 2,
    u'蘇': 2,
    u'蘈': 2,
    u'蘊': 2,
    u'蘋': 2,
    u'蘖': 3,
    u'蘚': 2,
    u'蘞': 2,
    u'蘟': 2,
    u'蘡': 2,
    u'蘢': 2,
    u'蘫': 2,
    u'蘬': 2,
    u'蘭': 2,
    u'蘱': 2,
    u'蘵': 2,
    u'蘹': 2,
    u'蘺': 2,
    u'蘿': 2,
    u'虅': 2,
    u'虆': 2,
    u'虉': 2,
    u'虏': 1,
    u'虑': 1,
    u'處': 2,
    u'虚': 1,
    u'虛': 2,
    u'虜': 2,
    u'號': 2,
    u'虦': 2,
    u'虧': 2,
    u'虫': 3,
    u'虬': 3,
    u'虮': 1,
    u'虯': 2,
    u'虽': 1,
    u'虾': 3,
    u'虿': 1,
    u'蚀': 1,
    u'蚁': 3,
    u'蚂': 1,
    u'蚃': 1,
    u'蚕': 3,
    u'蚬': 1,
    u'蛊': 1,
    u'蛎': 1,
    u'蛏': 1,
    u'蛮': 3,
    u'蛰': 3,
    u'蛱': 1,
    u'蛲': 1,
    u'蛳': 1,
    u'蛴': 1,
    u'蛵': 2,
    u'蛺': 2,
    u'蛻': 2,
    u'蛼': 2,
    u'蜆': 2,
    u'蜕': 1,
    u'蜗': 1,
    u'蜡': 3,
    u'蜦': 2,
    u'蜸': 2,
    u'蜽': 2,
    u'蝀': 2,
    u'蝁': 2,
    u'蝇': 1,
    u'蝈': 1,
    u'蝉': 1,
    u'蝕': 2,
    u'蝜': 2,
    u'蝟': 2,
    u'蝦': 2,
    u'蝸': 2,
    u'蝼': 3,
    u'蝾': 1,
    u'螀': 1,
    u'螄': 2,
    u'螘': 2,
    u'螞': 2,
    u'螢': 2,
    u'螨': 1,
    u'螮': 2,
    u'螴': 2,
    u'螹': 2,
    u'螻': 2,
    u'螿': 2,
    u'蟂': 2,
    u'蟄': 2,
    u'蟈': 2,
    u'蟎': 2,
    u'蟏': 1,
    u'蟘': 2,
    u'蟜': 2,
    u'蟡': 2,
    u'蟣': 2,
    u'蟦': 2,
    u'蟬': 2,
    u'蟯': 2,
    u'蟱': 2,
    u'蟲': 2,
    u'蟳': 2,
    u'蟶': 2,
    u'蟷': 2,
    u'蟻': 2,
    u'蟽': 2,
    u'蠀': 2,
    u'蠁': 2,
    u'蠅': 2,
    u'蠆': 2,
    u'蠈': 2,
    u'蠌': 2,
    u'蠐': 2,
    u'蠑': 2,
    u'蠒': 2,
    u'蠙': 2,
    u'蠞': 2,
    u'蠟': 2,
    u'蠣': 2,
    u'蠦': 2,
    u'蠨': 2,
    u'蠪': 2,
    u'蠱': 2,
    u'蠳': 2,
    u'蠶': 2,
    u'蠻': 2,
    u'蠾': 2,
    u'衅': 3,
    u'衆': 2,
    u'衊': 2,
    u'術': 2,
    u'衔': 1,
    u'衕': 2,
    u'衚': 2,
    u'衛': 2,
    u'衝': 2,
    u'补': 3,
    u'表': 3,
    u'衬': 1,
    u'衮': 3,
    u'衹': 2,
    u'袄': 3,
    u'袅': 1,
    u'袆': 1,
    u'袜': 3,
    u'袞': 2,
    u'袭': 1,
    u'袯': 1,
    u'装': 1,
    u'裆': 1,
    u'裈': 1,
    u'裊': 2,
    u'裌': 2,
    u'裏': 2,
    u'補': 2,
    u'裝': 2,
    u'裡': 3,
    u'裢': 1,
    u'裣': 1,
    u'裤': 1,
    u'裥': 1,
    u'裲': 2,
    u'製': 2,
    u'複': 2,
    u'褌': 2,
    u'褘': 2,
    u'褛': 1,
    u'褝': 1,
    u'褭': 2,
    u'褲': 2,
    u'褳': 2,
    u'褴': 1,
    u'褸': 2,
    u'褺': 2,
    u'褻': 2,
    u'襀': 2,
    u'襂': 2,
    u'襇': 2,
    u'襌': 2,
    u'襏': 2,
    u'襓': 2,
    u'襕': 1,
    u'襖': 2,
    u'襗': 2,
    u'襘': 2,
    u'襛': 2,
    u'襝': 2,
    u'襠': 2,
    u'襤': 2,
    u'襨': 2,
    u'襪': 2,
    u'襬': 2,
    u'襭': 2,
    u'襯': 2,
    u'襰': 2,
    u'襱': 2,
    u'襲': 2,
    u'襴': 2,
    u'襵': 2,
    u'襸': 2,
    u'襹': 2,
    u'襼': 2,
    u'覆': 3,
    u'見': 2,
    u'覎': 2,
    u'規': 2,
    u'覒': 2,
    u'覓': 2,
    u'覕': 2,
    u'視': 2,
    u'覗': 2,
    u'覘': 2,
    u'覛': 2,
    u'覜': 2,
    u'覟': 2,
    u'覠': 2,
    u'覡': 2,
    u'覢': 2,
    u'覤': 2,
    u'覥': 2,
    u'覦': 2,
    u'覩': 2,
    u'親': 2,
    u'覬': 2,
    u'覭': 2,
    u'覯': 2,
    u'覰': 2,
    u'覲': 2,
    u'覴': 2,
    u'覶': 2,
    u'覷': 2,
    u'覸': 2,
    u'覹': 2,
    u'覺': 2,
    u'覻': 2,
    u'覼': 2,
    u'覽': 2,
    u'覿': 2,
    u'觀': 2,
    u'见': 1,
    u'观': 1,
    u'觃': 1,
    u'规': 1,
    u'觅': 1,
    u'视': 1,
    u'觇': 1,
    u'览': 1,
    u'觉': 1,
    u'觊': 1,
    u'觋': 1,
    u'觌': 1,
    u'觍': 1,
    u'觎': 1,
    u'觏': 1,
    u'觐': 1,
    u'觑': 1,
    u'觞': 1,
    u'触': 1,
    u'觯': 1,
    u'觴': 2,
    u'觶': 2,
    u'觷': 2,
    u'觸': 2,
    u'觹': 2,
    u'觻': 2,
    u'觽': 2,
    u'訁': 2,
    u'訂': 2,
    u'訃': 2,
    u'訆': 2,
    u'計': 2,
    u'訊': 2,
    u'訌': 2,
    u'討': 2,
    u'訏': 2,
    u'訐': 2,
    u'訑': 2,
    u'訒': 2,
    u'訓': 2,
    u'訕': 2,
    u'訖': 2,
    u'託': 2,
    u'記': 2,
    u'訚': 1,
    u'訛': 2,
    u'訜': 2,
    u'訝': 2,
    u'訞': 2,
    u'訟': 2,
    u'訢': 2,
    u'訣': 2,
    u'訥': 2,
    u'訦': 2,
    u'訧': 2,
    u'訨': 2,
    u'訩': 2,
    u'訪': 2,
    u'訬': 2,
    u'設': 2,
    u'訰': 2,
    u'許': 2,
    u'訴': 2,
    u'訶': 2,
    u'訸': 2,
    u'訹': 2,
    u'診': 2,
    u'註': 2,
    u'訽': 2,
    u'詀': 2,
    u'詁': 2,
    u'詃': 2,
    u'詄': 2,
    u'詅': 2,
    u'詆': 2,
    u'詇': 2,
    u'詉': 2,
    u'詊': 2,
    u'詌': 2,
    u'詍': 2,
    u'詎': 2,
    u'詏': 2,
    u'詐': 2,
    u'詑': 2,
    u'詒': 2,
    u'詓': 2,
    u'詔': 2,
    u'評': 2,
    u'詖': 2,
    u'詗': 2,
    u'詘': 2,
    u'詛': 2,
    u'詜': 2,
    u'詝': 2,
    u'詞': 2,
    u'詟': 1,
    u'詠': 2,
    u'詡': 2,
    u'詢': 2,
    u'詣': 2,
    u'詥': 2,
    u'試': 2,
    u'詨': 2,
    u'詩': 2,
    u'詪': 2,
    u'詫': 2,
    u'詬': 2,
    u'詭': 2,
    u'詮': 2,
    u'詯': 2,
    u'詰': 2,
    u'話': 2,
    u'該': 2,
    u'詳': 2,
    u'詴': 2,
    u'詵': 2,
    u'詶': 2,
    u'詷': 2,
    u'詺': 2,
    u'詻': 2,
    u'詼': 2,
    u'詿': 2,
    u'誂': 2,
    u'誃': 2,
    u'誄': 2,
    u'誅': 2,
    u'誆': 2,
    u'誇': 2,
    u'誉': 3,
    u'誊': 1,
    u'誋': 2,
    u'誌': 2,
    u'認': 2,
    u'誎': 2,
    u'誏': 2,
    u'誐': 2,
    u'誑': 2,
    u'誒': 2,
    u'誔': 2,
    u'誕': 2,
    u'誗': 2,
    u'誘': 2,
    u'誙': 2,
    u'誚': 2,
    u'誜': 2,
    u'語': 2,
    u'誠': 2,
    u'誡': 2,
    u'誣': 2,
    u'誤': 2,
    u'誥': 2,
    u'誦': 2,
    u'誧': 2,
    u'誨': 2,
    u'說': 2,
    u'誫': 2,
    u'説': 2,
    u'誰': 2,
    u'課': 2,
    u'誳': 2,
    u'誴': 2,
    u'誶': 2,
    u'誷': 2,
    u'誹': 2,
    u'誺': 2,
    u'誻': 2,
    u'誼': 2,
    u'誽': 2,
    u'誾': 2,
    u'調': 2,
    u'諁': 2,
    u'諂': 2,
    u'諃': 2,
    u'諄': 2,
    u'諆': 2,
    u'談': 2,
    u'諈': 2,
    u'諉': 2,
    u'請': 2,
    u'諍': 2,
    u'諎': 2,
    u'諏': 2,
    u'諑': 2,
    u'諒': 2,
    u'諓': 2,
    u'諔': 2,
    u'諕': 2,
    u'論': 2,
    u'諗': 2,
    u'諛': 2,
    u'諜': 2,
    u'諝': 2,
    u'諞': 2,
    u'諟': 2,
    u'諠': 2,
    u'諢': 2,
    u'諣': 2,
    u'諤': 2,
    u'諥': 2,
    u'諦': 2,
    u'諧': 2,
    u'諩': 2,
    u'諫': 2,
    u'諭': 2,
    u'諮': 2,
    u'諯': 2,
    u'諰': 2,
    u'諱': 2,
    u'諲': 2,
    u'諳': 2,
    u'諴': 2,
    u'諶': 2,
    u'諷': 2,
    u'諸': 2,
    u'諹': 2,
    u'諺': 2,
    u'諻': 2,
    u'諼': 2,
    u'諾': 2,
    u'謀': 2,
    u'謁': 2,
    u'謂': 2,
    u'謄': 2,
    u'謅': 2,
    u'謆': 2,
    u'謉': 2,
    u'謊': 2,
    u'謋': 2,
    u'謌': 2,
    u'謍': 2,
    u'謎': 2,
    u'謏': 2,
    u'謐': 2,
    u'謑': 2,
    u'謔': 2,
    u'謖': 2,
    u'謗': 2,
    u'謙': 2,
    u'謚': 2,
    u'講': 2,
    u'謜': 2,
    u'謝': 2,
    u'謞': 2,
    u'謟': 2,
    u'謠': 2,
    u'謡': 2,
    u'謣': 2,
    u'謥': 2,
    u'謨': 2,
    u'謫': 2,
    u'謬': 2,
    u'謭': 2,
    u'謯': 2,
    u'謰': 2,
    u'謱': 2,
    u'謲': 2,
    u'謳': 2,
    u'謴': 2,
    u'謵': 2,
    u'謸': 2,
    u'謹': 2,
    u'謻': 2,
    u'謼': 2,
    u'謾': 2,
    u'譀': 2,
    u'譂': 2,
    u'譄': 2,
    u'譅': 2,
    u'譆': 2,
    u'譇': 2,
    u'譈': 2,
    u'證': 2,
    u'譊': 2,
    u'譌': 2,
    u'譎': 2,
    u'譏': 2,
    u'譐': 2,
    u'譑': 2,
    u'譓': 2,
    u'譔': 2,
    u'譖': 2,
    u'識': 2,
    u'譙': 2,
    u'譚': 2,
    u'譜': 2,
    u'譞': 2,
    u'譟': 2,
    u'譠': 2,
    u'譡': 2,
    u'譨': 2,
    u'譩': 2,
    u'譫': 2,
    u'譯': 2,
    u'議': 2,
    u'譳': 2,
    u'譴': 2,
    u'護': 2,
    u'譸': 2,
    u'譹': 2,
    u'譺': 2,
    u'譻': 2,
    u'譼': 2,
    u'譽': 2,
    u'譾': 2,
    u'譿': 2,
    u'讀': 2,
    u'讂': 2,
    u'讅': 2,
    u'讆': 2,
    u'讇': 2,
    u'讉': 2,
    u'變': 2,
    u'讋': 2,
    u'讌': 2,
    u'讎': 2,
    u'讑': 2,
    u'讒': 2,
    u'讓': 2,
    u'讔': 2,
    u'讕': 2,
    u'讖': 2,
    u'讘': 2,
    u'讙': 2,
    u'讚': 2,
    u'讛': 2,
    u'讜': 2,
    u'讝': 2,
    u'讞': 2,
    u'讟': 2,
    u'讠': 1,
    u'计': 1,
    u'订': 1,
    u'讣': 1,
    u'认': 1,
    u'讥': 1,
    u'讦': 1,
    u'讧': 1,
    u'讨': 1,
    u'让': 1,
    u'讪': 1,
    u'讫': 1,
    u'讬': 1,
    u'训': 1,
    u'议': 1,
    u'讯': 1,
    u'记': 1,
    u'讱': 1,
    u'讲': 1,
    u'讳': 1,
    u'讴': 1,
    u'讵': 1,
    u'讶': 1,
    u'讷': 1,
    u'许': 1,
    u'讹': 1,
    u'论': 1,
    u'讻': 1,
    u'讼': 1,
    u'讽': 1,
    u'设': 1,
    u'访': 1,
    u'诀': 1,
    u'证': 1,
    u'诂': 1,
    u'诃': 1,
    u'评': 1,
    u'诅': 1,
    u'识': 1,
    u'诇': 1,
    u'诈': 1,
    u'诉': 1,
    u'诊': 1,
    u'诋': 1,
    u'诌': 1,
    u'词': 1,
    u'诎': 1,
    u'诏': 1,
    u'诐': 1,
    u'译': 1,
    u'诒': 1,
    u'诓': 1,
    u'诔': 1,
    u'试': 1,
    u'诖': 1,
    u'诗': 1,
    u'诘': 1,
    u'诙': 1,
    u'诚': 1,
    u'诛': 1,
    u'诜': 1,
    u'话': 1,
    u'诞': 1,
    u'诟': 1,
    u'诠': 1,
    u'诡': 1,
    u'询': 1,
    u'诣': 1,
    u'诤': 1,
    u'该': 1,
    u'详': 1,
    u'诧': 1,
    u'诨': 1,
    u'诩': 1,
    u'诪': 1,
    u'诫': 1,
    u'诬': 1,
    u'语': 1,
    u'诮': 1,
    u'误': 1,
    u'诰': 1,
    u'诱': 1,
    u'诲': 1,
    u'诳': 1,
    u'说': 1,
    u'诵': 1,
    u'诶': 1,
    u'请': 1,
    u'诸': 1,
    u'诹': 1,
    u'诺': 1,
    u'读': 1,
    u'诼': 1,
    u'诽': 1,
    u'课': 1,
    u'诿': 1,
    u'谀': 1,
    u'谁': 1,
    u'谂': 1,
    u'调': 1,
    u'谄': 1,
    u'谅': 1,
    u'谆': 1,
    u'谇': 1,
    u'谈': 1,
    u'谉': 1,
    u'谊': 1,
    u'谋': 1,
    u'谌': 1,
    u'谍': 1,
    u'谎': 1,
    u'谏': 1,
    u'谐': 1,
    u'谑': 1,
    u'谒': 1,
    u'谓': 1,
    u'谔': 1,
    u'谕': 1,
    u'谖': 1,
    u'谗': 1,
    u'谘': 1,
    u'谙': 1,
    u'谚': 1,
    u'谛': 1,
    u'谜': 1,
    u'谝': 1,
    u'谞': 1,
    u'谟': 1,
    u'谠': 1,
    u'谡': 1,
    u'谢': 1,
    u'谣': 1,
    u'谤': 1,
    u'谥': 1,
    u'谦': 1,
    u'谧': 1,
    u'谨': 1,
    u'谩': 1,
    u'谪': 1,
    u'谫': 1,
    u'谬': 1,
    u'谭': 1,
    u'谮': 1,
    u'谯': 1,
    u'谰': 1,
    u'谱': 1,
    u'谲': 1,
    u'谳': 1,
    u'谴': 1,
    u'谵': 1,
    u'谶': 1,
    u'谷': 3,
    u'豄': 2,
    u'豅': 2,
    u'豈': 2,
    u'豎': 2,
    u'豐': 2,
    u'豬': 2,
    u'豮': 1,
    u'豵': 2,
    u'豶': 2,
    u'貓': 2,
    u'貗': 2,
    u'貙': 2,
    u'貝': 2,
    u'貞': 2,
    u'貟': 2,
    u'負': 2,
    u'財': 2,
    u'貢': 2,
    u'貣': 2,
    u'貤': 2,
    u'貦': 2,
    u'貧': 2,
    u'貨': 2,
    u'販': 2,
    u'貪': 2,
    u'貫': 2,
    u'責': 2,
    u'貯': 2,
    u'貰': 2,
    u'貱': 2,
    u'貲': 2,
    u'貳': 2,
    u'貴': 2,
    u'貶': 2,
    u'買': 2,
    u'貸': 2,
    u'貺': 2,
    u'費': 2,
    u'貼': 2,
    u'貽': 2,
    u'貾': 2,
    u'貿': 2,
    u'賀': 2,
    u'賁': 2,
    u'賂': 2,
    u'賃': 2,
    u'賄': 2,
    u'賅': 2,
    u'資': 2,
    u'賈': 2,
    u'賊': 2,
    u'賑': 2,
    u'賒': 2,
    u'賓': 2,
    u'賕': 2,
    u'賗': 2,
    u'賙': 2,
    u'賚': 2,
    u'賜': 2,
    u'賝': 2,
    u'賞': 2,
    u'賟': 2,
    u'賠': 2,
    u'賡': 2,
    u'賢': 2,
    u'賣': 2,
    u'賤': 2,
    u'賥': 2,
    u'賦': 2,
    u'賧': 2,
    u'賨': 2,
    u'質': 2,
    u'賫': 2,
    u'賬': 2,
    u'賭': 2,
    u'賮': 2,
    u'賰': 2,
    u'賴': 2,
    u'賵': 2,
    u'賶': 2,
    u'賸': 2,
    u'賹': 2,
    u'賺': 2,
    u'賻': 2,
    u'購': 2,
    u'賽': 2,
    u'賾': 2,
    u'贃': 2,
    u'贄': 2,
    u'贅': 2,
    u'贆': 2,
    u'贇': 2,
    u'贈': 2,
    u'贉': 2,
    u'贊': 2,
    u'贋': 2,
    u'贍': 2,
    u'贏': 2,
    u'贐': 2,
    u'贑': 2,
    u'贓': 2,
    u'贔': 2,
    u'贕': 2,
    u'贖': 2,
    u'贗': 2,
    u'贙': 2,
    u'贚': 2,
    u'贛': 2,
    u'贜': 2,
    u'贝': 1,
    u'贞': 1,
    u'负': 1,
    u'贠': 1,
    u'贡': 1,
    u'财': 1,
    u'责': 1,
    u'贤': 1,
    u'败': 1,
    u'账': 1,
    u'货': 1,
    u'质': 1,
    u'贩': 1,
    u'贪': 1,
    u'贫': 1,
    u'贬': 1,
    u'购': 1,
    u'贮': 1,
    u'贯': 1,
    u'贰': 1,
    u'贱': 1,
    u'贲': 1,
    u'贳': 1,
    u'贴': 1,
    u'贵': 1,
    u'贶': 1,
    u'贷': 1,
    u'贸': 1,
    u'费': 1,
    u'贺': 1,
    u'贻': 1,
    u'贼': 1,
    u'贽': 1,
    u'贾': 1,
    u'贿': 1,
    u'赀': 1,
    u'赁': 1,
    u'赂': 1,
    u'赃': 1,
    u'资': 1,
    u'赅': 1,
    u'赆': 1,
    u'赇': 1,
    u'赈': 1,
    u'赉': 1,
    u'赊': 1,
    u'赋': 1,
    u'赌': 1,
    u'赍': 1,
    u'赎': 1,
    u'赏': 1,
    u'赐': 1,
    u'赑': 1,
    u'赒': 1,
    u'赓': 1,
    u'赔': 1,
    u'赕': 1,
    u'赖': 1,
    u'赗': 1,
    u'赘': 1,
    u'赙': 1,
    u'赚': 1,
    u'赛': 1,
    u'赜': 1,
    u'赝': 1,
    u'赞': 1,
    u'赟': 1,
    u'赠': 1,
    u'赡': 1,
    u'赢': 1,
    u'赣': 1,
    u'赪': 1,
    u'赬': 2,
    u'赵': 1,
    u'赶': 3,
    u'趋': 3,
    u'趕': 2,
    u'趙': 2,
    u'趨': 2,
    u'趫': 2,
    u'趬': 2,
    u'趱': 1,
    u'趲': 2,
    u'趸': 1,
    u'跃': 1,
    u'跄': 1,
    u'跞': 1,
    u'跡': 2,
    u'践': 1,
    u'跶': 1,
    u'跷': 1,
    u'跸': 1,
    u'跹': 1,
    u'跻': 1,
    u'踊': 3,
    u'踌': 1,
    u'踐': 2,
    u'踚': 2,
    u'踪': 3,
    u'踬': 1,
    u'踯': 1,
    u'踴': 2,
    u'蹌': 2,
    u'蹑': 1,
    u'蹒': 1,
    u'蹔': 2,
    u'蹕': 2,
    u'蹛': 2,
    u'蹡': 2,
    u'蹣': 2,
    u'蹤': 2,
    u'蹥': 2,
    u'蹪': 2,
    u'蹰': 3,
    u'蹳': 2,
    u'蹺': 2,
    u'蹻': 2,
    u'蹿': 1,
    u'躀': 2,
    u'躂': 2,
    u'躉': 2,
    u'躊': 2,
    u'躋': 2,
    u'躍': 2,
    u'躎': 2,
    u'躏': 1,
    u'躑': 2,
    u'躒': 2,
    u'躓': 2,
    u'躕': 2,
    u'躘': 2,
    u'躚': 2,
    u'躜': 1,
    u'躝': 2,
    u'躡': 2,
    u'躥': 2,
    u'躦': 2,
    u'躧': 2,
    u'躪': 2,
    u'躯': 3,
    u'軀': 2,
    u'軂': 2,
    u'軃': 2,
    u'軇': 2,
    u'軉': 2,
    u'車': 2,
    u'軋': 2,
    u'軌': 2,
    u'軍': 2,
    u'軎': 2,
    u'軏': 2,
    u'軑': 2,
    u'軒': 2,
    u'軓': 2,
    u'軔': 2,
    u'軕': 2,
    u'軖': 2,
    u'軗': 2,
    u'軘': 2,
    u'軛': 2,
    u'軜': 2,
    u'軝': 2,
    u'軞': 2,
    u'軟': 2,
    u'軤': 2,
    u'軥': 2,
    u'軧': 2,
    u'軨': 2,
    u'軫': 2,
    u'軬': 2,
    u'軮': 2,
    u'軯': 2,
    u'軱': 2,
    u'軲': 2,
    u'軳': 2,
    u'軵': 2,
    u'軷': 2,
    u'軸': 2,
    u'軹': 2,
    u'軺': 2,
    u'軻': 2,
    u'軼': 2,
    u'軾': 2,
    u'軿': 2,
    u'輀': 2,
    u'輁': 2,
    u'輂': 2,
    u'較': 2,
    u'輄': 2,
    u'輅': 2,
    u'輆': 2,
    u'輇': 2,
    u'輈': 2,
    u'載': 2,
    u'輊': 2,
    u'輋': 2,
    u'輐': 2,
    u'輑': 2,
    u'輒': 2,
    u'輓': 2,
    u'輔': 2,
    u'輕': 2,
    u'輖': 2,
    u'輗': 2,
    u'輘': 2,
    u'輙': 2,
    u'輚': 2,
    u'輛': 2,
    u'輜': 2,
    u'輝': 2,
    u'輞': 2,
    u'輟': 2,
    u'輠': 2,
    u'輡': 2,
    u'輢': 2,
    u'輣': 2,
    u'輤': 2,
    u'輥': 2,
    u'輦': 2,
    u'輨': 2,
    u'輩': 2,
    u'輪': 2,
    u'輫': 2,
    u'輬': 2,
    u'輮': 2,
    u'輯': 2,
    u'輲': 2,
    u'輳': 2,
    u'輴': 2,
    u'輵': 2,
    u'輶': 2,
    u'輷': 2,
    u'輸': 2,
    u'輹': 2,
    u'輻': 2,
    u'輼': 2,
    u'輾': 2,
    u'輿': 2,
    u'轀': 2,
    u'轂': 2,
    u'轃': 2,
    u'轄': 2,
    u'轅': 2,
    u'轆': 2,
    u'轇': 2,
    u'轈': 2,
    u'轉': 2,
    u'轊': 2,
    u'轍': 2,
    u'轎': 2,
    u'轏': 2,
    u'轐': 2,
    u'轑': 2,
    u'轒': 2,
    u'轓': 2,
    u'轔': 2,
    u'轕': 2,
    u'轖': 2,
    u'轗': 2,
    u'轘': 2,
    u'轙': 2,
    u'轚': 2,
    u'轛': 2,
    u'轝': 2,
    u'轞': 2,
    u'轟': 2,
    u'轠': 2,
    u'轡': 2,
    u'轢': 2,
    u'轣': 2,
    u'轤': 2,
    u'轥': 2,
    u'车': 1,
    u'轧': 1,
    u'轨': 1,
    u'轩': 1,
    u'轪': 1,
    u'轫': 1,
    u'转': 1,
    u'轭': 1,
    u'轮': 1,
    u'软': 1,
    u'轰': 1,
    u'轱': 1,
    u'轲': 1,
    u'轳': 1,
    u'轴': 1,
    u'轵': 1,
    u'轶': 1,
    u'轷': 1,
    u'轸': 1,
    u'轹': 1,
    u'轺': 1,
    u'轻': 1,
    u'轼': 1,
    u'载': 1,
    u'轾': 1,
    u'轿': 1,
    u'辀': 1,
    u'辁': 1,
    u'辂': 1,
    u'较': 1,
    u'辄': 1,
    u'辅': 1,
    u'辆': 1,
    u'辇': 1,
    u'辈': 1,
    u'辉': 1,
    u'辊': 1,
    u'辋': 1,
    u'辌': 1,
    u'辍': 1,
    u'辎': 1,
    u'辏': 1,
    u'辐': 1,
    u'辑': 1,
    u'辒': 1,
    u'输': 1,
    u'辔': 1,
    u'辕': 1,
    u'辖': 1,
    u'辗': 1,
    u'辘': 1,
    u'辙': 1,
    u'辚': 1,
    u'辞': 3,
    u'辟': 3,
    u'辦': 2,
    u'辩': 1,
    u'辫': 1,
    u'辭': 2,
    u'辮': 2,
    u'辯': 2,
    u'農': 2,
    u'边': 3,
    u'辽': 1,
    u'达': 1,
    u'迁': 3,
    u'过': 3,
    u'迈': 1,
    u'运': 1,
    u'还': 3,
    u'这': 3,
    u'进': 1,
    u'远': 3,
    u'违': 1,
    u'连': 1,
    u'迟': 1,
    u'迩': 3,
    u'迳': 1,
    u'迴': 2,
    u'迹': 3,
    u'适': 3,
    u'选': 3,
    u'逊': 3,
    u'递': 3,
    u'逕': 2,
    u'這': 2,
    u'連': 2,
    u'逦': 1,
    u'進': 2,
    u'逻': 3,
    u'逿': 2,
    u'運': 2,
    u'過': 2,
    u'達': 2,
    u'違': 2,
    u'遗': 1,
    u'遙': 2,
    u'遜': 2,
    u'遞': 2,
    u'遠': 2,
    u'遥': 1,
    u'適': 2,
    u'遰': 2,
    u'遱': 2,
    u'遲': 2,
    u'遶': 2,
    u'遷': 2,
    u'選': 2,
    u'遺': 2,
    u'遼': 2,
    u'邁': 2,
    u'還': 2,
    u'邇': 2,
    u'邊': 2,
    u'邏': 2,
    u'邐': 2,
    u'邓': 1,
    u'邝': 1,
    u'邬': 1,
    u'邮': 1,
    u'邹': 1,
    u'邺': 1,
    u'邻': 1,
    u'郁': 3,
    u'郏': 1,
    u'郐': 1,
    u'郑': 3,
    u'郓': 1,
    u'郟': 2,
    u'郦': 1,
    u'郧': 1,
    u'郲': 2,
    u'郵': 2,
    u'郸': 1,
    u'鄆': 2,
    u'鄉': 2,
    u'鄒': 2,
    u'鄔': 2,
    u'鄖': 2,
    u'鄟': 2,
    u'鄡': 2,
    u'鄦': 2,
    u'鄧': 2,
    u'鄩': 2,
    u'鄪': 2,
    u'鄬': 2,
    u'鄭': 2,
    u'鄮': 2,
    u'鄰': 2,
    u'鄲': 2,
    u'鄳': 2,
    u'鄴': 2,
    u'鄶': 2,
    u'鄺': 2,
    u'酂': 1,
    u'酇': 2,
    u'酈': 2,
    u'酝': 1,
    u'酦': 1,
    u'酱': 1,
    u'酽': 1,
    u'酾': 1,
    u'酿': 1,
    u'醆': 2,
    u'醖': 2,
    u'醜': 2,
    u'醞': 2,
    u'醦': 2,
    u'醧': 2,
    u'醫': 2,
    u'醬': 2,
    u'醱': 2,
    u'醲': 2,
    u'醳': 2,
    u'醶': 2,
    u'釀': 2,
    u'釁': 2,
    u'釃': 2,
    u'釅': 2,
    u'采': 3,
    u'释': 1,
    u'釋': 2,
    u'里': 3,
    u'釐': 2,
    u'釒': 2,
    u'釓': 2,
    u'釔': 2,
    u'釕': 2,
    u'釗': 2,
    u'釘': 2,
    u'釙': 2,
    u'釚': 2,
    u'釛': 2,
    u'針': 2,
    u'釟': 2,
    u'釣': 2,
    u'釤': 2,
    u'釥': 2,
    u'釦': 2,
    u'釧': 2,
    u'釨': 2,
    u'釩': 2,
    u'釪': 2,
    u'釫': 2,
    u'釬': 2,
    u'釭': 2,
    u'釱': 2,
    u'釲': 2,
    u'釳': 2,
    u'釴': 2,
    u'釵': 2,
    u'釷': 2,
    u'釹': 2,
    u'釺': 2,
    u'釽': 2,
    u'釾': 2,
    u'釿': 2,
    u'鈀': 2,
    u'鈁': 2,
    u'鈂': 2,
    u'鈃': 2,
    u'鈄': 2,
    u'鈆': 2,
    u'鈇': 2,
    u'鈈': 2,
    u'鈉': 2,
    u'鈋': 2,
    u'鈍': 2,
    u'鈎': 2,
    u'鈏': 2,
    u'鈐': 2,
    u'鈑': 2,
    u'鈒': 2,
    u'鈓': 2,
    u'鈔': 2,
    u'鈕': 2,
    u'鈖': 2,
    u'鈗': 2,
    u'鈚': 2,
    u'鈛': 2,
    u'鈜': 2,
    u'鈞': 2,
    u'鈠': 2,
    u'鈣': 2,
    u'鈤': 2,
    u'鈥': 2,
    u'鈦': 2,
    u'鈧': 2,
    u'鈪': 2,
    u'鈮': 2,
    u'鈯': 2,
    u'鈰': 2,
    u'鈲': 2,
    u'鈳': 2,
    u'鈴': 2,
    u'鈵': 2,
    u'鈶': 2,
    u'鈷': 2,
    u'鈸': 2,
    u'鈹': 2,
    u'鈺': 2,
    u'鈼': 2,
    u'鈽': 2,
    u'鈾': 2,
    u'鈿': 2,
    u'鉀': 2,
    u'鉁': 2,
    u'鉅': 2,
    u'鉈': 2,
    u'鉉': 2,
    u'鉊': 2,
    u'鉋': 2,
    u'鉌': 2,
    u'鉍': 2,
    u'鉎': 2,
    u'鉏': 2,
    u'鉐': 2,
    u'鉑': 2,
    u'鉒': 2,
    u'鉔': 2,
    u'鉕': 2,
    u'鉗': 2,
    u'鉘': 2,
    u'鉙': 2,
    u'鉚': 2,
    u'鉛': 2,
    u'鉜': 2,
    u'鉝': 2,
    u'鉞': 2,
    u'鉟': 2,
    u'鉠': 2,
    u'鉡': 2,
    u'鉢': 2,
    u'鉤': 2,
    u'鉥': 2,
    u'鉦': 2,
    u'鉧': 2,
    u'鉨': 2,
    u'鉬': 2,
    u'鉭': 2,
    u'鉮': 2,
    u'鉲': 2,
    u'鉴': 1,
    u'鉵': 2,
    u'鉶': 2,
    u'鉷': 2,
    u'鉸': 2,
    u'鉹': 2,
    u'鉺': 2,
    u'鉻': 2,
    u'鉼': 2,
    u'鉽': 2,
    u'鉾': 2,
    u'鉿': 2,
    u'銀': 2,
    u'銁': 2,
    u'銂': 2,
    u'銃': 2,
    u'銅': 2,
    u'銈': 2,
    u'銊': 2,
    u'銋': 2,
    u'銍': 2,
    u'銏': 2,
    u'銑': 2,
    u'銓': 2,
    u'銔': 2,
    u'銖': 2,
    u'銗': 2,
    u'銘': 2,
    u'銙': 2,
    u'銚': 2,
    u'銛': 2,
    u'銜': 2,
    u'銠': 2,
    u'銡': 2,
    u'銣': 2,
    u'銥': 2,
    u'銦': 2,
    u'銧': 2,
    u'銨': 2,
    u'銩': 2,
    u'銪': 2,
    u'銫': 2,
    u'銬': 2,
    u'銮': 3,
    u'銱': 2,
    u'銲': 2,
    u'銳': 2,
    u'銶': 2,
    u'銷': 2,
    u'銸': 2,
    u'銹': 2,
    u'銻': 2,
    u'銼': 2,
    u'銾': 2,
    u'鋁': 2,
    u'鋂': 2,
    u'鋃': 2,
    u'鋅': 2,
    u'鋇': 2,
    u'鋉': 2,
    u'鋊': 2,
    u'鋋': 2,
    u'鋌': 2,
    u'鋍': 2,
    u'鋏': 2,
    u'鋐': 2,
    u'鋒': 2,
    u'鋗': 2,
    u'鋘': 2,
    u'鋙': 2,
    u'鋜': 2,
    u'鋝': 2,
    u'鋟': 2,
    u'鋠': 2,
    u'鋡': 2,
    u'鋣': 2,
    u'鋤': 2,
    u'鋥': 2,
    u'鋦': 2,
    u'鋧': 2,
    u'鋨': 2,
    u'鋩': 2,
    u'鋪': 2,
    u'鋭': 2,
    u'鋮': 2,
    u'鋯': 2,
    u'鋰': 2,
    u'鋱': 2,
    u'鋶': 2,
    u'鋸': 2,
    u'鋹': 2,
    u'鋼': 2,
    u'鋾': 2,
    u'錀': 2,
    u'錁': 2,
    u'錂': 2,
    u'錄': 2,
    u'錆': 2,
    u'錇': 2,
    u'錈': 2,
    u'錋': 2,
    u'錍': 2,
    u'錏': 2,
    u'錐': 2,
    u'錑': 2,
    u'錒': 2,
    u'錔': 2,
    u'錕': 2,
    u'錗': 2,
    u'錘': 2,
    u'錙': 2,
    u'錚': 2,
    u'錛': 2,
    u'錜': 2,
    u'錝': 2,
    u'錞': 2,
    u'錟': 2,
    u'錠': 2,
    u'錡': 2,
    u'錢': 2,
    u'錣': 2,
    u'錤': 2,
    u'錥': 2,
    u'錦': 2,
    u'錧': 2,
    u'錨': 2,
    u'錩': 2,
    u'錪': 2,
    u'錫': 2,
    u'錭': 2,
    u'錮': 2,
    u'錯': 2,
    u'録': 2,
    u'錳': 2,
    u'錶': 2,
    u'錸': 2,
    u'錽': 2,
    u'錾': 1,
    u'鍀': 2,
    u'鍁': 2,
    u'鍂': 2,
    u'鍃': 2,
    u'鍄': 2,
    u'鍆': 2,
    u'鍇': 2,
    u'鍈': 2,
    u'鍉': 2,
    u'鍊': 2,
    u'鍋': 2,
    u'鍍': 2,
    u'鍏': 2,
    u'鍐': 2,
    u'鍑': 2,
    u'鍒': 2,
    u'鍔': 2,
    u'鍖': 2,
    u'鍘': 2,
    u'鍚': 2,
    u'鍛': 2,
    u'鍜': 2,
    u'鍝': 2,
    u'鍟': 2,
    u'鍠': 2,
    u'鍡': 2,
    u'鍣': 2,
    u'鍤': 2,
    u'鍥': 2,
    u'鍦': 2,
    u'鍧': 2,
    u'鍨': 2,
    u'鍩': 2,
    u'鍬': 2,
    u'鍭': 2,
    u'鍮': 2,
    u'鍯': 2,
    u'鍰': 2,
    u'鍱': 2,
    u'鍴': 2,
    u'鍵': 2,
    u'鍶': 2,
    u'鍺': 2,
    u'鍼': 2,
    u'鍾': 2,
    u'鎂': 2,
    u'鎄': 2,
    u'鎅': 2,
    u'鎇': 2,
    u'鎈': 2,
    u'鎉': 2,
    u'鎊': 2,
    u'鎋': 2,
    u'鎌': 2,
    u'鎍': 2,
    u'鎑': 2,
    u'鎒': 2,
    u'鎓': 2,
    u'鎔': 2,
    u'鎕': 2,
    u'鎖': 2,
    u'鎗': 2,
    u'鎘': 2,
    u'鎙': 2,
    u'鎚': 2,
    u'鎛': 2,
    u'鎝': 2,
    u'鎞': 2,
    u'鎡': 2,
    u'鎢': 2,
    u'鎣': 2,
    u'鎦': 2,
    u'鎧': 2,
    u'鎩': 2,
    u'鎪': 2,
    u'鎬': 2,
    u'鎮': 2,
    u'鎯': 2,
    u'鎰': 2,
    u'鎲': 2,
    u'鎳': 2,
    u'鎵': 2,
    u'鎶': 2,
    u'鎷': 2,
    u'鎸': 2,
    u'鎿': 2,
    u'鏁': 2,
    u'鏂': 2,
    u'鏃': 2,
    u'鏆': 2,
    u'鏇': 2,
    u'鏈': 2,
    u'鏉': 2,
    u'鏌': 2,
    u'鏍': 2,
    u'鏏': 2,
    u'鏐': 2,
    u'鏑': 2,
    u'鏒': 2,
    u'鏓': 2,
    u'鏔': 2,
    u'鏕': 2,
    u'鏗': 2,
    u'鏘': 2,
    u'鏙': 2,
    u'鏚': 2,
    u'鏜': 2,
    u'鏝': 2,
    u'鏞': 2,
    u'鏟': 2,
    u'鏡': 2,
    u'鏢': 2,
    u'鏤': 2,
    u'鏥': 2,
    u'鏦': 2,
    u'鏨': 2,
    u'鏩': 2,
    u'鏰': 2,
    u'鏵': 2,
    u'鏷': 2,
    u'鏸': 2,
    u'鏹': 2,
    u'鏺': 2,
    u'鏻': 2,
    u'鏽': 2,
    u'鏾': 2,
    u'鐀': 2,
    u'鐁': 2,
    u'鐃': 2,
    u'鐄': 2,
    u'鐇': 2,
    u'鐈': 2,
    u'鐉': 2,
    u'鐊': 2,
    u'鐋': 2,
    u'鐍': 2,
    u'鐎': 2,
    u'鐏': 2,
    u'鐐': 2,
    u'鐒': 2,
    u'鐓': 2,
    u'鐔': 2,
    u'鐕': 2,
    u'鐖': 2,
    u'鐘': 2,
    u'鐙': 2,
    u'鐚': 2,
    u'鐝': 2,
    u'鐠': 2,
    u'鐤': 2,
    u'鐥': 2,
    u'鐦': 2,
    u'鐧': 2,
    u'鐨': 2,
    u'鐩': 2,
    u'鐪': 2,
    u'鐫': 2,
    u'鐬': 2,
    u'鐮': 2,
    u'鐯': 2,
    u'鐲': 2,
    u'鐳': 2,
    u'鐴': 2,
    u'鐵': 2,
    u'鐶': 2,
    u'鐸': 2,
    u'鐹': 2,
    u'鐺': 2,
    u'鐼': 2,
    u'鐽': 2,
    u'鐿': 2,
    u'鑀': 2,
    u'鑄': 2,
    u'鑇': 2,
    u'鑈': 2,
    u'鑉': 2,
    u'鑊': 2,
    u'鑋': 2,
    u'鑌': 2,
    u'鑏': 2,
    u'鑐': 2,
    u'鑑': 2,
    u'鑒': 2,
    u'鑔': 2,
    u'鑕': 2,
    u'鑖': 2,
    u'鑘': 2,
    u'鑙': 2,
    u'鑛': 2,
    u'鑞': 2,
    u'鑠': 2,
    u'鑡': 2,
    u'鑢': 2,
    u'鑣': 2,
    u'鑥': 2,
    u'鑨': 2,
    u'鑪': 2,
    u'鑭': 2,
    u'鑮': 2,
    u'鑯': 2,
    u'鑰': 2,
    u'鑱': 2,
    u'鑲': 2,
    u'鑴': 2,
    u'鑷': 2,
    u'鑸': 2,
    u'鑹': 2,
    u'鑼': 2,
    u'鑽': 2,
    u'鑾': 2,
    u'鑿': 2,
    u'钀': 2,
    u'钁': 2,
    u'钂': 2,
    u'钃': 2,
    u'钅': 1,
    u'钆': 1,
    u'钇': 1,
    u'针': 1,
    u'钉': 1,
    u'钊': 1,
    u'钋': 1,
    u'钌': 1,
    u'钍': 1,
    u'钎': 1,
    u'钏': 1,
    u'钐': 1,
    u'钑': 1,
    u'钒': 1,
    u'钓': 1,
    u'钔': 1,
    u'钕': 1,
    u'钖': 1,
    u'钗': 1,
    u'钘': 1,
    u'钙': 1,
    u'钚': 1,
    u'钛': 1,
    u'钜': 1,
    u'钝': 1,
    u'钞': 1,
    u'钟': 1,
    u'钠': 1,
    u'钡': 1,
    u'钢': 1,
    u'钣': 1,
    u'钤': 1,
    u'钥': 1,
    u'钦': 1,
    u'钧': 1,
    u'钨': 1,
    u'钩': 1,
    u'钪': 1,
    u'钫': 1,
    u'钬': 1,
    u'钭': 1,
    u'钮': 1,
    u'钯': 1,
    u'钰': 1,
    u'钱': 1,
    u'钲': 1,
    u'钳': 1,
    u'钴': 1,
    u'钵': 1,
    u'钶': 1,
    u'钷': 1,
    u'钸': 1,
    u'钹': 1,
    u'钺': 1,
    u'钻': 1,
    u'钼': 1,
    u'钽': 1,
    u'钾': 1,
    u'钿': 1,
    u'铀': 1,
    u'铁': 1,
    u'铂': 1,
    u'铃': 1,
    u'铄': 1,
    u'铅': 1,
    u'铆': 1,
    u'铇': 1,
    u'铈': 1,
    u'铉': 1,
    u'铊': 1,
    u'铋': 1,
    u'铌': 1,
    u'铍': 1,
    u'铎': 1,
    u'铏': 1,
    u'铐': 1,
    u'铑': 1,
    u'铒': 1,
    u'铓': 1,
    u'铔': 1,
    u'铕': 1,
    u'铖': 1,
    u'铗': 1,
    u'铘': 1,
    u'铙': 1,
    u'铚': 1,
    u'铛': 1,
    u'铜': 1,
    u'铝': 1,
    u'铞': 1,
    u'铟': 1,
    u'铠': 1,
    u'铡': 1,
    u'铢': 1,
    u'铣': 1,
    u'铤': 1,
    u'铥': 1,
    u'铦': 1,
    u'铧': 1,
    u'铨': 1,
    u'铩': 1,
    u'铪': 1,
    u'铫': 1,
    u'铬': 1,
    u'铭': 1,
    u'铮': 1,
    u'铯': 1,
    u'铰': 1,
    u'铱': 1,
    u'铲': 1,
    u'铳': 1,
    u'铴': 1,
    u'铵': 1,
    u'银': 1,
    u'铷': 1,
    u'铸': 1,
    u'铹': 1,
    u'铺': 1,
    u'铻': 1,
    u'铼': 1,
    u'铽': 1,
    u'链': 1,
    u'铿': 1,
    u'销': 1,
    u'锁': 1,
    u'锂': 1,
    u'锃': 1,
    u'锄': 1,
    u'锅': 1,
    u'锆': 1,
    u'锇': 1,
    u'锈': 1,
    u'锉': 1,
    u'锊': 1,
    u'锋': 1,
    u'锌': 1,
    u'锍': 1,
    u'锎': 1,
    u'锏': 1,
    u'锐': 1,
    u'锑': 1,
    u'锒': 1,
    u'锓': 1,
    u'锔': 1,
    u'锕': 1,
    u'锖': 1,
    u'锗': 1,
    u'锘': 1,
    u'错': 1,
    u'锚': 1,
    u'锛': 1,
    u'锜': 1,
    u'锝': 1,
    u'锞': 1,
    u'锟': 1,
    u'锠': 1,
    u'锡': 1,
    u'锢': 1,
    u'锣': 1,
    u'锤': 1,
    u'锥': 1,
    u'锦': 1,
    u'锧': 1,
    u'锨': 1,
    u'锩': 1,
    u'锪': 1,
    u'锫': 1,
    u'锬': 1,
    u'锭': 1,
    u'键': 1,
    u'锯': 1,
    u'锰': 1,
    u'锱': 1,
    u'锲': 1,
    u'锳': 1,
    u'锴': 1,
    u'锵': 1,
    u'锶': 1,
    u'锷': 1,
    u'锸': 1,
    u'锹': 1,
    u'锺': 1,
    u'锻': 1,
    u'锼': 1,
    u'锽': 1,
    u'锾': 1,
    u'锿': 1,
    u'镀': 1,
    u'镁': 1,
    u'镂': 1,
    u'镃': 1,
    u'镄': 1,
    u'镅': 1,
    u'镆': 1,
    u'镇': 1,
    u'镈': 1,
    u'镉': 1,
    u'镊': 1,
    u'镋': 1,
    u'镌': 1,
    u'镍': 1,
    u'镎': 1,
    u'镏': 1,
    u'镐': 1,
    u'镑': 1,
    u'镒': 1,
    u'镓': 1,
    u'镔': 1,
    u'镕': 1,
    u'镖': 1,
    u'镗': 1,
    u'镘': 1,
    u'镙': 1,
    u'镚': 1,
    u'镛': 1,
    u'镜': 1,
    u'镝': 1,
    u'镞': 1,
    u'镟': 1,
    u'镠': 1,
    u'镡': 1,
    u'镢': 1,
    u'镣': 1,
    u'镤': 1,
    u'镥': 1,
    u'镦': 1,
    u'镧': 1,
    u'镨': 1,
    u'镩': 1,
    u'镪': 1,
    u'镫': 1,
    u'镬': 1,
    u'镭': 1,
    u'镮': 1,
    u'镯': 1,
    u'镰': 1,
    u'镱': 1,
    u'镲': 1,
    u'镳': 1,
    u'镴': 1,
    u'镵': 1,
    u'镶': 1,
    u'長': 2,
    u'长': 1,
    u'門': 2,
    u'閂': 2,
    u'閃': 2,
    u'閄': 2,
    u'閅': 2,
    u'閆': 2,
    u'閈': 2,
    u'閉': 2,
    u'開': 2,
    u'閌': 2,
    u'閍': 2,
    u'閎': 2,
    u'閏': 2,
    u'閐': 2,
    u'閑': 2,
    u'閒': 2,
    u'間': 2,
    u'閔': 2,
    u'閕': 2,
    u'閗': 2,
    u'閘': 2,
    u'閛': 2,
    u'閜': 2,
    u'閝': 2,
    u'閞': 2,
    u'閟': 2,
    u'閡': 2,
    u'閣': 2,
    u'閤': 2,
    u'閥': 2,
    u'閦': 2,
    u'閧': 2,
    u'閨': 2,
    u'閩': 2,
    u'閫': 2,
    u'閬': 2,
    u'閭': 2,
    u'閯': 2,
    u'閱': 2,
    u'閲': 2,
    u'閵': 2,
    u'閶': 2,
    u'閷': 2,
    u'閹': 2,
    u'閻': 2,
    u'閼': 2,
    u'閽': 2,
    u'閾': 2,
    u'閿': 2,
    u'闃': 2,
    u'闄': 2,
    u'闆': 2,
    u'闇': 2,
    u'闈': 2,
    u'闉': 2,
    u'闊': 2,
    u'闋': 2,
    u'闌': 2,
    u'闍': 2,
    u'闐': 2,
    u'闑': 2,
    u'闒': 2,
    u'闓': 2,
    u'闔': 2,
    u'闕': 2,
    u'闖': 2,
    u'闚': 2,
    u'闛': 2,
    u'關': 2,
    u'闞': 2,
    u'闟': 2,
    u'闠': 2,
    u'闡': 2,
    u'闢': 2,
    u'闤': 2,
    u'闥': 2,
    u'门': 1,
    u'闩': 1,
    u'闪': 1,
    u'闫': 1,
    u'闬': 1,
    u'闭': 1,
    u'问': 1,
    u'闯': 1,
    u'闰': 1,
    u'闱': 1,
    u'闲': 1,
    u'闳': 1,
    u'间': 1,
    u'闵': 1,
    u'闶': 1,
    u'闷': 1,
    u'闸': 1,
    u'闹': 1,
    u'闺': 1,
    u'闻': 1,
    u'闼': 1,
    u'闽': 1,
    u'闾': 1,
    u'闿': 1,
    u'阀': 1,
    u'阁': 1,
    u'阂': 1,
    u'阃': 1,
    u'阄': 1,
    u'阅': 1,
    u'阆': 1,
    u'阇': 1,
    u'阈': 1,
    u'阉': 1,
    u'阊': 1,
    u'阋': 1,
    u'阌': 1,
    u'阍': 1,
    u'阎': 1,
    u'阏': 1,
    u'阐': 1,
    u'阑': 1,
    u'阒': 1,
    u'阓': 1,
    u'阔': 1,
    u'阕': 1,
    u'阖': 1,
    u'阗': 1,
    u'阘': 1,
    u'阙': 1,
    u'阚': 1,
    u'阛': 1,
    u'队': 1,
    u'阪': 2,
    u'阳': 1,
    u'阴': 1,
    u'阵': 1,
    u'阶': 1,
    u'际': 3,
    u'陆': 1,
    u'陇': 1,
    u'陈': 1,
    u'陉': 1,
    u'陕': 1,
    u'陘': 2,
    u'陝': 2,
    u'陣': 2,
    u'陦': 1,
    u'陧': 1,
    u'陨': 1,
    u'险': 1,
    u'陰': 2,
    u'陳': 2,
    u'陸': 2,
    u'陽': 2,
    u'陿': 2,
    u'隉': 2,
    u'隊': 2,
    u'階': 2,
    u'随': 3,
    u'隐': 3,
    u'隑': 2,
    u'隕': 2,
    u'隖': 2,
    u'際': 2,
    u'隤': 2,
    u'隨': 2,
    u'險': 2,
    u'隫': 2,
    u'隮': 2,
    u'隯': 2,
    u'隱': 2,
    u'隲': 2,
    u'隴': 2,
    u'隶': 3,
    u'隸': 2,
    u'隻': 2,
    u'隽': 3,
    u'难': 3,
    u'雋': 2,
    u'雏': 1,
    u'雖': 2,
    u'雙': 2,
    u'雛': 2,
    u'雜': 2,
    u'雞': 2,
    u'雠': 1,
    u'離': 2,
    u'難': 2,
    u'雲': 2,
    u'雳': 1,
    u'電': 2,
    u'雾': 1,
    u'霁': 1,
    u'霉': 3,
    u'霡': 3,
    u'霢': 2,
    u'霣': 2,
    u'霧': 2,
    u'霭': 1,
    u'霼': 2,
    u'霽': 2,
    u'靂': 2,
    u'靄': 2,
    u'靅': 2,
    u'靆': 2,
    u'靈': 2,
    u'靉': 2,
    u'靓': 1,
    u'静': 3,
    u'靚': 2,
    u'靜': 2,
    u'面': 3,
    u'靥': 1,
    u'靦': 2,
    u'靧': 2,
    u'靨': 2,
    u'鞀': 2,
    u'鞏': 2,
    u'鞑': 1,
    u'鞒': 1,
    u'鞝': 2,
    u'鞦': 2,
    u'鞯': 1,
    u'鞸': 2,
    u'鞻': 2,
    u'鞼': 2,
    u'鞽': 2,
    u'鞾': 2,
    u'韁': 2,
    u'韃': 2,
    u'韆': 2,
    u'韇': 2,
    u'韉': 2,
    u'韊': 2,
    u'韋': 2,
    u'韌': 2,
    u'韍': 2,
    u'韏': 2,
    u'韐': 2,
    u'韒': 2,
    u'韓': 2,
    u'韔': 2,
    u'韗': 2,
    u'韘': 2,
    u'韙': 2,
    u'韚': 2,
    u'韛': 2,
    u'韜': 2,
    u'韝': 2,
    u'韞': 2,
    u'韠': 2,
    u'韡': 2,
    u'韢': 2,
    u'韣': 2,
    u'韦': 1,
    u'韧': 1,
    u'韨': 1,
    u'韩': 1,
    u'韪': 1,
    u'韫': 1,
    u'韬': 1,
    u'韵': 3,
    u'韻': 2,
    u'響': 2,
    u'頁': 2,
    u'頂': 2,
    u'頃': 2,
    u'頄': 2,
    u'項': 2,
    u'順': 2,
    u'頇': 2,
    u'須': 2,
    u'頊': 2,
    u'頌': 2,
    u'頍': 2,
    u'頎': 2,
    u'頏': 2,
    u'預': 2,
    u'頑': 2,
    u'頒': 2,
    u'頓': 2,
    u'頔': 2,
    u'頕': 2,
    u'頖': 2,
    u'頗': 2,
    u'領': 2,
    u'頛': 2,
    u'頜': 2,
    u'頞': 2,
    u'頟': 2,
    u'頠': 2,
    u'頡': 2,
    u'頢': 2,
    u'頤': 2,
    u'頦': 2,
    u'頩': 2,
    u'頪': 2,
    u'頫': 2,
    u'頭': 2,
    u'頮': 2,
    u'頯': 2,
    u'頰': 2,
    u'頲': 2,
    u'頴': 2,
    u'頵': 2,
    u'頷': 2,
    u'頸': 2,
    u'頹': 2,
    u'頻': 2,
    u'頽': 2,
    u'顀': 2,
    u'顁': 2,
    u'顃': 2,
    u'顄': 2,
    u'顅': 2,
    u'顆': 2,
    u'顇': 2,
    u'顉': 2,
    u'顊': 2,
    u'顋': 2,
    u'題': 2,
    u'額': 2,
    u'顎': 2,
    u'顏': 2,
    u'顐': 2,
    u'顑': 2,
    u'顒': 2,
    u'顓': 2,
    u'顔': 2,
    u'顖': 2,
    u'顗': 2,
    u'願': 2,
    u'顙': 2,
    u'顛': 2,
    u'顜': 2,
    u'顝': 2,
    u'類': 2,
    u'顠': 2,
    u'顢': 2,
    u'顣': 2,
    u'顤': 2,
    u'顥': 2,
    u'顦': 2,
    u'顧': 2,
    u'顩': 2,
    u'顪': 2,
    u'顫': 2,
    u'顬': 2,
    u'顮': 2,
    u'顯': 2,
    u'顰': 2,
    u'顱': 2,
    u'顳': 2,
    u'顴': 2,
    u'页': 1,
    u'顶': 1,
    u'顷': 1,
    u'顸': 1,
    u'项': 1,
    u'顺': 1,
    u'须': 1,
    u'顼': 1,
    u'顽': 1,
    u'顾': 1,
    u'顿': 1,
    u'颀': 1,
    u'颁': 1,
    u'颂': 1,
    u'颃': 1,
    u'预': 1,
    u'颅': 1,
    u'领': 1,
    u'颇': 1,
    u'颈': 1,
    u'颉': 1,
    u'颊': 1,
    u'颋': 1,
    u'颌': 1,
    u'颍': 1,
    u'颎': 1,
    u'颏': 1,
    u'颐': 1,
    u'频': 1,
    u'颒': 1,
    u'颓': 1,
    u'颔': 1,
    u'颕': 1,
    u'颖': 1,
    u'颗': 1,
    u'题': 1,
    u'颙': 1,
    u'颚': 1,
    u'颛': 1,
    u'颜': 1,
    u'额': 1,
    u'颞': 1,
    u'颟': 1,
    u'颠': 1,
    u'颡': 1,
    u'颢': 1,
    u'颣': 1,
    u'颤': 1,
    u'颥': 1,
    u'颦': 1,
    u'颧': 1,
    u'風': 2,
    u'颩': 2,
    u'颬': 2,
    u'颭': 2,
    u'颮': 2,
    u'颯': 2,
    u'颰': 2,
    u'颱': 2,
    u'颲': 2,
    u'颳': 2,
    u'颴': 2,
    u'颶': 2,
    u'颷': 2,
    u'颸': 2,
    u'颹': 2,
    u'颺': 2,
    u'颻': 2,
    u'颼': 2,
    u'颽': 2,
    u'颾': 2,
    u'颿': 2,
    u'飀': 2,
    u'飁': 2,
    u'飂': 2,
    u'飄': 2,
    u'飆': 2,
    u'飇': 2,
    u'飈': 2,
    u'飉': 2,
    u'飋': 2,
    u'飍': 2,
    u'风': 3,
    u'飏': 1,
    u'飐': 1,
    u'飑': 1,
    u'飒': 1,
    u'飓': 1,
    u'飔': 1,
    u'飕': 1,
    u'飖': 1,
    u'飗': 1,
    u'飘': 1,
    u'飙': 1,
    u'飚': 1,
    u'飛': 2,
    u'飞': 1,
    u'飠': 2,
    u'飢': 2,
    u'飣': 2,
    u'飤': 2,
    u'飥': 2,
    u'飦': 2,
    u'飨': 1,
    u'飩': 2,
    u'飪': 2,
    u'飫': 2,
    u'飭': 2,
    u'飯': 2,
    u'飰': 2,
    u'飲': 2,
    u'飴': 2,
    u'飵': 2,
    u'飶': 2,
    u'飷': 2,
    u'飼': 2,
    u'飽': 2,
    u'飾': 2,
    u'飿': 2,
    u'餀': 2,
    u'餂': 2,
    u'餃': 2,
    u'餄': 2,
    u'餅': 2,
    u'餉': 2,
    u'養': 2,
    u'餌': 2,
    u'餍': 1,
    u'餎': 2,
    u'餏': 2,
    u'餑': 2,
    u'餒': 2,
    u'餓': 2,
    u'餔': 2,
    u'餕': 2,
    u'餖': 2,
    u'餗': 2,
    u'餘': 2,
    u'餚': 2,
    u'餛': 2,
    u'餜': 2,
    u'餞': 2,
    u'餟': 2,
    u'餡': 2,
    u'餢': 2,
    u'餣': 2,
    u'餤': 2,
    u'餦': 2,
    u'餧': 2,
    u'館': 2,
    u'餩': 2,
    u'餪': 2,
    u'餫': 2,
    u'餬': 2,
    u'餭': 2,
    u'餯': 2,
    u'餰': 2,
    u'餱': 2,
    u'餲': 2,
    u'餳': 2,
    u'餴': 2,
    u'餵': 2,
    u'餶': 2,
    u'餷': 2,
    u'餸': 2,
    u'餹': 2,
    u'餺': 2,
    u'餼': 2,
    u'餾': 2,
    u'餿': 2,
    u'饀': 2,
    u'饁': 2,
    u'饃': 2,
    u'饅': 2,
    u'饆': 2,
    u'饇': 2,
    u'饈': 2,
    u'饉': 2,
    u'饊': 2,
    u'饋': 2,
    u'饌': 2,
    u'饎': 2,
    u'饐': 2,
    u'饑': 2,
    u'饒': 2,
    u'饗': 2,
    u'饘': 2,
    u'饙': 2,
    u'饛': 2,
    u'饜': 2,
    u'饞': 2,
    u'饟': 2,
    u'饠': 2,
    u'饡': 2,
    u'饢': 2,
    u'饣': 1,
    u'饤': 1,
    u'饥': 1,
    u'饦': 1,
    u'饧': 1,
    u'饨': 1,
    u'饩': 1,
    u'饪': 1,
    u'饫': 1,
    u'饬': 1,
    u'饭': 1,
    u'饮': 1,
    u'饯': 1,
    u'饰': 1,
    u'饱': 1,
    u'饲': 1,
    u'饳': 1,
    u'饴': 1,
    u'饵': 1,
    u'饶': 1,
    u'饷': 1,
    u'饸': 1,
    u'饹': 1,
    u'饺': 1,
    u'饻': 1,
    u'饼': 1,
    u'饽': 1,
    u'饾': 1,
    u'饿': 1,
    u'馀': 1,
    u'馁': 1,
    u'馂': 1,
    u'馃': 1,
    u'馄': 1,
    u'馅': 1,
    u'馆': 1,
    u'馇': 1,
    u'馈': 1,
    u'馉': 1,
    u'馊': 1,
    u'馋': 1,
    u'馌': 1,
    u'馍': 1,
    u'馎': 1,
    u'馏': 1,
    u'馐': 1,
    u'馑': 1,
    u'馒': 1,
    u'馓': 1,
    u'馔': 1,
    u'馕': 1,
    u'馩': 2,
    u'馬': 2,
    u'馭': 2,
    u'馮': 2,
    u'馯': 2,
    u'馱': 2,
    u'馲': 2,
    u'馳': 2,
    u'馴': 2,
    u'馵': 2,
    u'馹': 2,
    u'馺': 2,
    u'馼': 2,
    u'馽': 2,
    u'駁': 2,
    u'駂': 2,
    u'駃': 2,
    u'駉': 2,
    u'駊': 2,
    u'駍': 2,
    u'駎': 2,
    u'駏': 2,
    u'駐': 2,
    u'駑': 2,
    u'駒': 2,
    u'駓': 2,
    u'駔': 2,
    u'駕': 2,
    u'駗': 2,
    u'駘': 2,
    u'駙': 2,
    u'駚': 2,
    u'駛': 2,
    u'駜': 2,
    u'駝': 2,
    u'駞': 2,
    u'駟': 2,
    u'駡': 2,
    u'駢': 2,
    u'駣': 2,
    u'駤': 2,
    u'駥': 2,
    u'駧': 2,
    u'駩': 2,
    u'駪': 2,
    u'駫': 2,
    u'駬': 2,
    u'駭': 2,
    u'駮': 2,
    u'駰': 2,
    u'駱': 2,
    u'駴': 2,
    u'駶': 2,
    u'駷': 2,
    u'駸': 2,
    u'駹': 2,
    u'駺': 2,
    u'駻': 2,
    u'駼': 2,
    u'駽': 2,
    u'駾': 2,
    u'駿': 2,
    u'騀': 2,
    u'騁': 2,
    u'騂': 2,
    u'騃': 2,
    u'騄': 2,
    u'騅': 2,
    u'騇': 2,
    u'騉': 2,
    u'騊': 2,
    u'騋': 2,
    u'騌': 2,
    u'騍': 2,
    u'騎': 2,
    u'騏': 2,
    u'騑': 2,
    u'騔': 2,
    u'騕': 2,
    u'騖': 2,
    u'騗': 2,
    u'騙': 2,
    u'騚': 2,
    u'騜': 2,
    u'騝': 2,
    u'騞': 2,
    u'騟': 2,
    u'騠': 2,
    u'騢': 2,
    u'騣': 2,
    u'騤': 2,
    u'騥': 2,
    u'騧': 2,
    u'騩': 2,
    u'騪': 2,
    u'騫': 2,
    u'騬': 2,
    u'騭': 2,
    u'騮': 2,
    u'騯': 2,
    u'騰': 2,
    u'騱': 2,
    u'騲': 2,
    u'騳': 2,
    u'騴': 2,
    u'騵': 2,
    u'騶': 2,
    u'騷': 2,
    u'騸': 2,
    u'騹': 2,
    u'騺': 2,
    u'騻': 2,
    u'騼': 2,
    u'騽': 2,
    u'騾': 2,
    u'驀': 2,
    u'驁': 2,
    u'驂': 2,
    u'驃': 2,
    u'驄': 2,
    u'驅': 2,
    u'驈': 2,
    u'驉': 2,
    u'驊': 2,
    u'驋': 2,
    u'驌': 2,
    u'驍': 2,
    u'驎': 2,
    u'驏': 2,
    u'驐': 2,
    u'驒': 2,
    u'驓': 2,
    u'驔': 2,
    u'驕': 2,
    u'驖': 2,
    u'驗': 2,
    u'驙': 2,
    u'驚': 2,
    u'驛': 2,
    u'驞': 2,
    u'驟': 2,
    u'驠': 2,
    u'驡': 2,
    u'驢': 2,
    u'驤': 2,
    u'驥': 2,
    u'驦': 2,
    u'驨': 2,
    u'驩': 2,
    u'驪': 2,
    u'驫': 2,
    u'马': 1,
    u'驭': 1,
    u'驮': 1,
    u'驯': 1,
    u'驰': 1,
    u'驱': 1,
    u'驲': 1,
    u'驳': 1,
    u'驴': 1,
    u'驵': 1,
    u'驶': 1,
    u'驷': 1,
    u'驸': 1,
    u'驹': 1,
    u'驺': 1,
    u'驻': 1,
    u'驼': 1,
    u'驽': 1,
    u'驾': 1,
    u'驿': 1,
    u'骀': 1,
    u'骁': 1,
    u'骂': 1,
    u'骃': 1,
    u'骄': 1,
    u'骅': 1,
    u'骆': 1,
    u'骇': 1,
    u'骈': 1,
    u'骉': 1,
    u'骊': 1,
    u'骋': 1,
    u'验': 1,
    u'骍': 1,
    u'骎': 1,
    u'骏': 1,
    u'骐': 1,
    u'骑': 1,
    u'骒': 1,
    u'骓': 1,
    u'骔': 1,
    u'骕': 1,
    u'骖': 1,
    u'骗': 1,
    u'骘': 1,
    u'骙': 1,
    u'骚': 1,
    u'骛': 1,
    u'骜': 1,
    u'骝': 1,
    u'骞': 1,
    u'骟': 1,
    u'骠': 1,
    u'骡': 1,
    u'骢': 1,
    u'骣': 1,
    u'骤': 1,
    u'骥': 1,
    u'骦': 1,
    u'骧': 1,
    u'骯': 2,
    u'髅': 1,
    u'髋': 1,
    u'髌': 1,
    u'髏': 2,
    u'髐': 2,
    u'髒': 2,
    u'體': 2,
    u'髕': 2,
    u'髖': 2,
    u'髮': 2,
    u'鬆': 2,
    u'鬍': 2,
    u'鬓': 1,
    u'鬖': 2,
    u'鬗': 2,
    u'鬚': 2,
    u'鬜': 2,
    u'鬝': 2,
    u'鬞': 2,
    u'鬠': 2,
    u'鬡': 2,
    u'鬢': 2,
    u'鬥': 2,
    u'鬧': 2,
    u'鬩': 2,
    u'鬮': 2,
    u'鬱': 2,
    u'鬶': 1,
    u'鬹': 2,
    u'鬺': 2,
    u'魇': 1,
    u'魉': 1,
    u'魎': 2,
    u'魗': 2,
    u'魘': 2,
    u'魚': 2,
    u'魛': 2,
    u'魜': 2,
    u'魝': 2,
    u'魟': 2,
    u'魠': 2,
    u'魡': 2,
    u'魢': 2,
    u'魣': 2,
    u'魥': 2,
    u'魦': 2,
    u'魧': 2,
    u'魨': 2,
    u'魪': 2,
    u'魫': 2,
    u'魬': 2,
    u'魭': 2,
    u'魮': 2,
    u'魯': 2,
    u'魱': 2,
    u'魴': 2,
    u'魵': 2,
    u'魶': 2,
    u'魷': 2,
    u'魺': 2,
    u'魻': 2,
    u'魼': 2,
    u'魽': 2,
    u'魾': 2,
    u'鮀': 2,
    u'鮁': 2,
    u'鮂': 2,
    u'鮃': 2,
    u'鮄': 2,
    u'鮅': 2,
    u'鮆': 2,
    u'鮇': 2,
    u'鮈': 2,
    u'鮊': 2,
    u'鮋': 2,
    u'鮌': 2,
    u'鮍': 2,
    u'鮎': 2,
    u'鮏': 2,
    u'鮐': 2,
    u'鮑': 2,
    u'鮒': 2,
    u'鮓': 2,
    u'鮗': 2,
    u'鮘': 2,
    u'鮚': 2,
    u'鮛': 2,
    u'鮜': 2,
    u'鮝': 2,
    u'鮞': 2,
    u'鮟': 2,
    u'鮠': 2,
    u'鮡': 2,
    u'鮣': 2,
    u'鮤': 2,
    u'鮥': 2,
    u'鮦': 2,
    u'鮧': 2,
    u'鮨': 2,
    u'鮪': 2,
    u'鮫': 2,
    u'鮬': 2,
    u'鮭': 2,
    u'鮮': 2,
    u'鮯': 2,
    u'鮰': 2,
    u'鮳': 2,
    u'鮵': 2,
    u'鮶': 2,
    u'鮷': 2,
    u'鮸': 2,
    u'鮹': 2,
    u'鮺': 2,
    u'鮻': 2,
    u'鮿': 2,
    u'鯀': 2,
    u'鯁': 2,
    u'鯄': 2,
    u'鯅': 2,
    u'鯆': 2,
    u'鯇': 2,
    u'鯈': 2,
    u'鯉': 2,
    u'鯊': 2,
    u'鯌': 2,
    u'鯒': 2,
    u'鯔': 2,
    u'鯕': 2,
    u'鯖': 2,
    u'鯗': 2,
    u'鯚': 2,
    u'鯛': 2,
    u'鯝': 2,
    u'鯞': 2,
    u'鯠': 2,
    u'鯡': 2,
    u'鯢': 2,
    u'鯤': 2,
    u'鯥': 2,
    u'鯦': 2,
    u'鯧': 2,
    u'鯨': 2,
    u'鯩': 2,
    u'鯪': 2,
    u'鯫': 2,
    u'鯬': 2,
    u'鯮': 2,
    u'鯰': 2,
    u'鯱': 2,
    u'鯴': 2,
    u'鯶': 2,
    u'鯷': 2,
    u'鯸': 2,
    u'鯹': 2,
    u'鯻': 2,
    u'鯼': 2,
    u'鯽': 2,
    u'鯾': 2,
    u'鯿': 2,
    u'鰁': 2,
    u'鰂': 2,
    u'鰃': 2,
    u'鰅': 2,
    u'鰆': 2,
    u'鰇': 2,
    u'鰈': 2,
    u'鰉': 2,
    u'鰊': 2,
    u'鰋': 2,
    u'鰌': 2,
    u'鰍': 2,
    u'鰏': 2,
    u'鰐': 2,
    u'鰑': 2,
    u'鰒': 2,
    u'鰓': 2,
    u'鰕': 2,
    u'鰗': 2,
    u'鰛': 2,
    u'鰜': 2,
    u'鰝': 2,
    u'鰟': 2,
    u'鰠': 2,
    u'鰡': 2,
    u'鰣': 2,
    u'鰤': 2,
    u'鰥': 2,
    u'鰦': 2,
    u'鰧': 2,
    u'鰨': 2,
    u'鰩': 2,
    u'鰫': 2,
    u'鰬': 2,
    u'鰭': 2,
    u'鰮': 2,
    u'鰯': 2,
    u'鰱': 2,
    u'鰲': 2,
    u'鰳': 2,
    u'鰴': 2,
    u'鰵': 2,
    u'鰶': 2,
    u'鰷': 2,
    u'鰹': 2,
    u'鰺': 2,
    u'鰻': 2,
    u'鰼': 2,
    u'鰽': 2,
    u'鰾': 2,
    u'鰿': 2,
    u'鱀': 2,
    u'鱁': 2,
    u'鱂': 2,
    u'鱃': 2,
    u'鱄': 2,
    u'鱅': 2,
    u'鱆': 2,
    u'鱇': 2,
    u'鱈': 2,
    u'鱉': 2,
    u'鱊': 2,
    u'鱋': 2,
    u'鱌': 2,
    u'鱍': 2,
    u'鱎': 2,
    u'鱏': 2,
    u'鱐': 2,
    u'鱑': 2,
    u'鱒': 2,
    u'鱓': 2,
    u'鱔': 2,
    u'鱕': 2,
    u'鱖': 2,
    u'鱗': 2,
    u'鱘': 2,
    u'鱚': 2,
    u'鱝': 2,
    u'鱞': 2,
    u'鱟': 2,
    u'鱠': 2,
    u'鱢': 2,
    u'鱣': 2,
    u'鱤': 2,
    u'鱥': 2,
    u'鱦': 2,
    u'鱧': 2,
    u'鱨': 2,
    u'鱬': 2,
    u'鱭': 2,
    u'鱮': 2,
    u'鱯': 2,
    u'鱲': 2,
    u'鱴': 2,
    u'鱵': 2,
    u'鱷': 2,
    u'鱸': 2,
    u'鱹': 2,
    u'鱺': 2,
    u'鱻': 2,
    u'鱼': 1,
    u'鱽': 1,
    u'鱾': 1,
    u'鱿': 1,
    u'鲀': 1,
    u'鲁': 1,
    u'鲂': 1,
    u'鲃': 1,
    u'鲄': 1,
    u'鲅': 1,
    u'鲆': 1,
    u'鲇': 1,
    u'鲈': 1,
    u'鲉': 1,
    u'鲊': 1,
    u'鲋': 1,
    u'鲌': 1,
    u'鲍': 1,
    u'鲎': 1,
    u'鲏': 1,
    u'鲐': 1,
    u'鲑': 1,
    u'鲒': 1,
    u'鲓': 1,
    u'鲔': 1,
    u'鲕': 1,
    u'鲖': 1,
    u'鲗': 1,
    u'鲘': 1,
    u'鲙': 1,
    u'鲚': 1,
    u'鲛': 1,
    u'鲜': 1,
    u'鲝': 1,
    u'鲞': 1,
    u'鲟': 1,
    u'鲠': 1,
    u'鲡': 1,
    u'鲢': 1,
    u'鲣': 1,
    u'鲤': 1,
    u'鲥': 1,
    u'鲦': 1,
    u'鲧': 1,
    u'鲨': 1,
    u'鲩': 1,
    u'鲪': 1,
    u'鲫': 1,
    u'鲬': 1,
    u'鲭': 1,
    u'鲮': 1,
    u'鲯': 1,
    u'鲰': 1,
    u'鲱': 1,
    u'鲲': 1,
    u'鲳': 1,
    u'鲴': 1,
    u'鲵': 1,
    u'鲶': 1,
    u'鲷': 1,
    u'鲸': 1,
    u'鲹': 1,
    u'鲺': 1,
    u'鲻': 1,
    u'鲼': 1,
    u'鲽': 1,
    u'鲾': 1,
    u'鲿': 1,
    u'鳀': 1,
    u'鳁': 1,
    u'鳂': 1,
    u'鳃': 1,
    u'鳄': 1,
    u'鳅': 1,
    u'鳆': 1,
    u'鳇': 1,
    u'鳈': 1,
    u'鳉': 1,
    u'鳊': 1,
    u'鳋': 1,
    u'鳌': 1,
    u'鳍': 1,
    u'鳎': 1,
    u'鳏': 1,
    u'鳐': 1,
    u'鳑': 1,
    u'鳒': 1,
    u'鳓': 1,
    u'鳔': 1,
    u'鳕': 1,
    u'鳖': 1,
    u'鳗': 1,
    u'鳘': 1,
    u'鳙': 1,
    u'鳚': 1,
    u'鳛': 1,
    u'鳜': 1,
    u'鳝': 1,
    u'鳞': 1,
    u'鳟': 1,
    u'鳠': 1,
    u'鳡': 1,
    u'鳢': 1,
    u'鳣': 1,
    u'鳤': 1,
    u'鳥': 2,
    u'鳦': 2,
    u'鳧': 2,
    u'鳩': 2,
    u'鳬': 2,
    u'鳭': 2,
    u'鳱': 2,
    u'鳲': 2,
    u'鳳': 2,
    u'鳴': 2,
    u'鳶': 2,
    u'鳷': 2,
    u'鳸': 2,
    u'鳺': 2,
    u'鳻': 2,
    u'鳼': 2,
    u'鳽': 2,
    u'鳾': 2,
    u'鳿': 2,
    u'鴀': 2,
    u'鴁': 2,
    u'鴂': 2,
    u'鴃': 2,
    u'鴅': 2,
    u'鴆': 2,
    u'鴇': 2,
    u'鴉': 2,
    u'鴍': 2,
    u'鴐': 2,
    u'鴒': 2,
    u'鴓': 2,
    u'鴔': 2,
    u'鴕': 2,
    u'鴗': 2,
    u'鴘': 2,
    u'鴙': 2,
    u'鴚': 2,
    u'鴛': 2,
    u'鴜': 2,
    u'鴝': 2,
    u'鴞': 2,
    u'鴟': 2,
    u'鴠': 2,
    u'鴡': 2,
    u'鴢': 2,
    u'鴣': 2,
    u'鴥': 2,
    u'鴦': 2,
    u'鴨': 2,
    u'鴩': 2,
    u'鴮': 2,
    u'鴯': 2,
    u'鴰': 2,
    u'鴱': 2,
    u'鴲': 2,
    u'鴳': 2,
    u'鴴': 2,
    u'鴶': 2,
    u'鴷': 2,
    u'鴸': 2,
    u'鴹': 2,
    u'鴺': 2,
    u'鴻': 2,
    u'鴽': 2,
    u'鴾': 2,
    u'鴿': 2,
    u'鵀': 2,
    u'鵁': 2,
    u'鵂': 2,
    u'鵃': 2,
    u'鵄': 2,
    u'鵅': 2,
    u'鵊': 2,
    u'鵋': 2,
    u'鵌': 2,
    u'鵎': 2,
    u'鵏': 2,
    u'鵐': 2,
    u'鵑': 2,
    u'鵒': 2,
    u'鵓': 2,
    u'鵔': 2,
    u'鵕': 2,
    u'鵖': 2,
    u'鵗': 2,
    u'鵙': 2,
    u'鵚': 2,
    u'鵛': 2,
    u'鵜': 2,
    u'鵝': 2,
    u'鵟': 2,
    u'鵠': 2,
    u'鵡': 2,
    u'鵧': 2,
    u'鵩': 2,
    u'鵪': 2,
    u'鵫': 2,
    u'鵬': 2,
    u'鵮': 2,
    u'鵯': 2,
    u'鵰': 2,
    u'鵱': 2,
    u'鵲': 2,
    u'鵳': 2,
    u'鵴': 2,
    u'鵵': 2,
    u'鵶': 2,
    u'鵷': 2,
    u'鵸': 2,
    u'鵹': 2,
    u'鵻': 2,
    u'鵼': 2,
    u'鵽': 2,
    u'鵾': 2,
    u'鶀': 2,
    u'鶂': 2,
    u'鶃': 2,
    u'鶄': 2,
    u'鶅': 2,
    u'鶆': 2,
    u'鶇': 2,
    u'鶉': 2,
    u'鶊': 2,
    u'鶋': 2,
    u'鶌': 2,
    u'鶒': 2,
    u'鶓': 2,
    u'鶔': 2,
    u'鶕': 2,
    u'鶖': 2,
    u'鶗': 2,
    u'鶘': 2,
    u'鶙': 2,
    u'鶚': 2,
    u'鶛': 2,
    u'鶝': 2,
    u'鶞': 2,
    u'鶟': 2,
    u'鶠': 2,
    u'鶡': 2,
    u'鶢': 2,
    u'鶣': 2,
    u'鶤': 2,
    u'鶥': 2,
    u'鶦': 2,
    u'鶨': 2,
    u'鶩': 2,
    u'鶪': 2,
    u'鶬': 2,
    u'鶭': 2,
    u'鶯': 2,
    u'鶰': 2,
    u'鶱': 2,
    u'鶲': 2,
    u'鶴': 2,
    u'鶵': 2,
    u'鶶': 2,
    u'鶷': 2,
    u'鶹': 2,
    u'鶺': 2,
    u'鶻': 2,
    u'鶼': 2,
    u'鶽': 2,
    u'鷀': 2,
    u'鷁': 2,
    u'鷂': 2,
    u'鷃': 2,
    u'鷄': 2,
    u'鷅': 2,
    u'鷇': 2,
    u'鷈': 2,
    u'鷉': 2,
    u'鷊': 2,
    u'鷋': 2,
    u'鷎': 2,
    u'鷏': 2,
    u'鷐': 2,
    u'鷑': 2,
    u'鷒': 2,
    u'鷓': 2,
    u'鷔': 2,
    u'鷕': 2,
    u'鷖': 2,
    u'鷗': 2,
    u'鷙': 2,
    u'鷚': 2,
    u'鷛': 2,
    u'鷜': 2,
    u'鷞': 2,
    u'鷟': 2,
    u'鷢': 2,
    u'鷣': 2,
    u'鷤': 2,
    u'鷥': 2,
    u'鷦': 2,
    u'鷧': 2,
    u'鷨': 2,
    u'鷩': 2,
    u'鷫': 2,
    u'鷭': 2,
    u'鷮': 2,
    u'鷯': 2,
    u'鷰': 2,
    u'鷲': 2,
    u'鷳': 2,
    u'鷵': 2,
    u'鷶': 2,
    u'鷷': 2,
    u'鷸': 2,
    u'鷹': 2,
    u'鷺': 2,
    u'鷽': 2,
    u'鷾': 2,
    u'鷿': 2,
    u'鸀': 2,
    u'鸁': 2,
    u'鸂': 2,
    u'鸃': 2,
    u'鸄': 2,
    u'鸅': 2,
    u'鸆': 2,
    u'鸇': 2,
    u'鸉': 2,
    u'鸊': 2,
    u'鸋': 2,
    u'鸌': 2,
    u'鸎': 2,
    u'鸏': 2,
    u'鸐': 2,
    u'鸑': 2,
    u'鸒': 2,
    u'鸓': 2,
    u'鸕': 2,
    u'鸖': 2,
    u'鸗': 2,
    u'鸘': 2,
    u'鸙': 2,
    u'鸚': 2,
    u'鸛': 2,
    u'鸜': 2,
    u'鸝': 2,
    u'鸞': 2,
    u'鸟': 1,
    u'鸠': 1,
    u'鸡': 1,
    u'鸢': 1,
    u'鸣': 1,
    u'鸤': 1,
    u'鸥': 1,
    u'鸦': 1,
    u'鸧': 1,
    u'鸨': 1,
    u'鸩': 1,
    u'鸪': 1,
    u'鸫': 1,
    u'鸬': 1,
    u'鸭': 1,
    u'鸮': 1,
    u'鸯': 1,
    u'鸰': 1,
    u'鸱': 1,
    u'鸲': 1,
    u'鸳': 1,
    u'鸴': 1,
    u'鸵': 1,
    u'鸶': 1,
    u'鸷': 1,
    u'鸸': 1,
    u'鸹': 1,
    u'鸺': 1,
    u'鸻': 1,
    u'鸼': 1,
    u'鸽': 1,
    u'鸾': 1,
    u'鸿': 1,
    u'鹀': 1,
    u'鹁': 1,
    u'鹂': 1,
    u'鹃': 1,
    u'鹄': 1,
    u'鹅': 1,
    u'鹆': 1,
    u'鹇': 1,
    u'鹈': 1,
    u'鹉': 1,
    u'鹊': 1,
    u'鹋': 1,
    u'鹌': 1,
    u'鹍': 1,
    u'鹎': 1,
    u'鹏': 1,
    u'鹐': 1,
    u'鹑': 1,
    u'鹒': 1,
    u'鹓': 1,
    u'鹔': 1,
    u'鹕': 1,
    u'鹖': 1,
    u'鹗': 1,
    u'鹘': 1,
    u'鹙': 1,
    u'鹚': 1,
    u'鹛': 1,
    u'鹜': 1,
    u'鹝': 1,
    u'鹞': 1,
    u'鹟': 1,
    u'鹠': 1,
    u'鹡': 1,
    u'鹢': 1,
    u'鹣': 1,
    u'鹤': 1,
    u'鹥': 1,
    u'鹦': 1,
    u'鹧': 1,
    u'鹨': 1,
    u'鹩': 1,
    u'鹪': 1,
    u'鹫': 1,
    u'鹬': 1,
    u'鹭': 1,
    u'鹮': 1,
    u'鹯': 1,
    u'鹰': 1,
    u'鹱': 1,
    u'鹲': 1,
    u'鹳': 1,
    u'鹴': 1,
    u'鹵': 2,
    u'鹹': 2,
    u'鹺': 2,
    u'鹼': 2,
    u'鹽': 2,
    u'鹾': 1,
    u'麗': 2,
    u'麡': 2,
    u'麥': 2,
    u'麦': 3,
    u'麧': 2,
    u'麨': 2,
    u'麩': 2,
    u'麬': 2,
    u'麮': 2,
    u'麯': 2,
    u'麰': 2,
    u'麱': 2,
    u'麲': 2,
    u'麳': 2,
    u'麴': 2,
    u'麵': 2,
    u'麷': 2,
    u'麸': 1,
    u'麹': 1,
    u'麼': 2,
    u'麽': 2,
    u'黂': 2,
    u'黃': 2,
    u'黄': 3,
    u'黉': 1,
    u'黌': 2,
    u'點': 2,
    u'黡': 1,
    u'黨': 2,
    u'黩': 1,
    u'黪': 1,
    u'黲': 2,
    u'黴': 2,
    u'黶': 2,
    u'黷': 2,
    u'黸': 2,
    u'黽': 2,
    u'黾': 3,
    u'黿': 2,
    u'鼀': 2,
    u'鼁': 2,
    u'鼄': 2,
    u'鼅': 2,
    u'鼆': 2,
    u'鼈': 2,
    u'鼉': 2,
    u'鼊': 2,
    u'鼋': 1,
    u'鼍': 1,
    u'鼕': 2,
    u'鼗': 3,
    u'鼚': 2,
    u'鼲': 2,
    u'鼴': 2,
    u'鼹': 3,
    u'齈': 2,
    u'齊': 2,
    u'齋': 2,
    u'齌': 2,
    u'齍': 2,
    u'齎': 2,
    u'齏': 2,
    u'齐': 1,
    u'齑': 1,
    u'齒': 2,
    u'齔': 2,
    u'齕': 2,
    u'齖': 2,
    u'齗': 2,
    u'齘': 2,
    u'齙': 2,
    u'齚': 2,
    u'齜': 2,
    u'齝': 2,
    u'齞': 2,
    u'齟': 2,
    u'齠': 2,
    u'齡': 2,
    u'齣': 2,
    u'齤': 2,
    u'齥': 2,
    u'齦': 2,
    u'齧': 2,
    u'齩': 2,
    u'齪': 2,
    u'齬': 2,
    u'齭': 2,
    u'齮': 2,
    u'齯': 2,
    u'齰': 2,
    u'齱': 2,
    u'齲': 2,
    u'齳': 2,
    u'齴': 2,
    u'齵': 2,
    u'齶': 2,
    u'齷': 2,
    u'齸': 2,
    u'齹': 2,
    u'齺': 2,
    u'齻': 2,
    u'齼': 2,
    u'齽': 2,
    u'齾': 2,
    u'齿': 1,
    u'龀': 1,
    u'龁': 1,
    u'龂': 1,
    u'龃': 1,
    u'龄': 1,
    u'龅': 1,
    u'龆': 1,
    u'龇': 1,
    u'龈': 1,
    u'龉': 1,
    u'龊': 1,
    u'龋': 1,
    u'龌': 1,
    u'龍': 2,
    u'龎': 2,
    u'龏': 2,
    u'龐': 2,
    u'龑': 2,
    u'龓': 2,
    u'龔': 2,
    u'龕': 2,
    u'龖': 2,
    u'龙': 1,
    u'龚': 1,
    u'龛': 1,
    u'龜': 2,
    u'龝': 2,
    u'龞': 2,
    u'龟': 3,
    u'龥': 2,
    u'龭': 2,
    u'龯': 2,
    u'龲': 2,
    u'龻': 2,
    u'龽': 2,
    u'鿁': 2,
    u'鿎': 1,
    u'鿏': 1,
    u'鿐': 2,
    u'鿒': 1,
    u'鿓': 2,
    u'鿔': 1,
    u'鿕': 1,
    u'鿟': 1,
    u'鿠': 2,
    u'鿭': 1,
    u'鿰': 1,
    u'鿲': 1,
    u'鿳': 2,
    u'鿴': 1,
    u'鿵': 1,
    u'鿶': 1,
    u'鿷': 1,
    u'鿸': 1,
    u'鿹': 1,
    u'鿺': 1,
    u'𠀾': 1,
    u'𠁔': 2,
    u'𠁞': 2,
    u'𠂲': 1,
    u'𠃓': 1,
    u'𠆲': 1,
    u'𠆿': 1,
    u'𠇐': 1,
    u'𠇹': 1,
    u'𠉂': 1,
    u'𠉗': 1,
    u'𠌥': 2,
    u'𠎅': 2,
    u'𠎒': 2,
    u'𠏢': 2,
    u'𠏮': 2,
    u'𠐇': 2,
    u'𠐊': 2,
    u'𠐍': 2,
    u'𠐮': 2,
    u'𠐽': 2,
    u'𠑇': 2,
    u'𠑙': 2,
    u'𠑲': 2,
    u'𠖫': 2,
    u'𠗿': 2,
    u'𠘥': 2,
    u'𠚳': 1,
    u'𠛅': 1,
    u'𠛆': 1,
    u'𠛾': 1,
    u'𠜲': 2,
    u'𠝿': 2,
    u'𠞆': 2,
    u'𠞭': 2,
    u'𠟪': 2,
    u'𠠎': 2,
    u'𠠏': 2,
    u'𠠝': 2,
    u'𠠫': 2,
    u'𠡠': 1,
    u'𠩘': 2,
    u'𠩬': 2,
    u'𠬙': 2,
    u'𠬤': 1,
    u'𠯟': 1,
    u'𠯠': 1,
    u'𠰷': 1,
    u'𠱞': 1,
    u'𠲥': 1,
    u'𠳞': 1,
    u'𠴢': 1,
    u'𠵔': 2,
    u'𠵘': 2,
    u'𠵸': 1,
    u'𠵹': 2,
    u'𠵾': 1,
    u'𠶸': 2,
    u'𠶹': 2,
    u'𠷌': 2,
    u'𠷏': 2,
    u'𠹛': 2,
    u'𠺖': 2,
    u'𠺮': 2,
    u'𠼗': 2,
    u'𠼤': 2,
    u'𠼮': 2,
    u'𠽈': 2,
    u'𠽸': 2,
    u'𠾬': 2,
    u'𠿕': 2,
    u'𠿘': 2,
    u'𠿿': 2,
    u'𡀠': 2,
    u'𡀿': 2,
    u'𡁚': 2,
    u'𡁯': 2,
    u'𡂒': 2,
    u'𡂡': 2,
    u'𡂿': 2,
    u'𡃄': 2,
    u'𡃈': 2,
    u'𡃤': 2,
    u'𡄔': 2,
    u'𡄖': 2,
    u'𡄣': 2,
    u'𡄤': 2,
    u'𡄩': 2,
    u'𡅏': 2,
    u'𡅘': 2,
    u'𡅥': 2,
    u'𡅧': 2,
    u'𡈛': 1,
    u'𡊑': 1,
    u'𡋀': 1,
    u'𡋗': 1,
    u'𡋤': 1,
    u'𡍫': 2,
    u'𡏆': 1,
    u'𡑍': 2,
    u'𡑎': 2,
    u'𡑭': 2,
    u'𡑯': 2,
    u'𡒄': 1,
    u'𡒶': 2,
    u'𡓁': 2,
    u'𡓗': 2,
    u'𡓦': 2,
    u'𡓾': 2,
    u'𡗆': 2,
    u'𡝠': 1,
    u'𡞋': 1,
    u'𡞱': 1,
    u'𡞵': 2,
    u'𡟫': 2,
    u'𡠚': 2,
    u'𡠟': 1,
    u'𡠹': 2,
    u'𡡇': 1,
    u'𡢃': 2,
    u'𡢘': 2,
    u'𡢿': 2,
    u'𡣨': 2,
    u'𡤠': 2,
    u'𡤡': 2,
    u'𡤫': 2,
    u'𡥧': 1,
    u'𡭜': 1,
    u'𡭬': 1,
    u'𡮉': 2,
    u'𡮣': 2,
    u'𡮤': 2,
    u'𡳃': 1,
    u'𡳒': 1,
    u'𡳳': 2,
    u'𡵝': 1,
    u'𡶴': 1,
    u'𡷨': 2,
    u'𡸃': 1,
    u'𡸗': 2,
    u'𡹬': 2,
    u'𡺃': 1,
    u'𡺠': 2,
    u'𡺨': 2,
    u'𡻘': 1,
    u'𡼱': 2,
    u'𡼾': 2,
    u'𡽗': 2,
    u'𡽳': 2,
    u'𡽵': 2,
    u'𡾆': 2,
    u'𡾱': 2,
    u'𡿖': 2,
    u'𢀖': 1,
    u'𢄓': 2,
    u'𢄼': 2,
    u'𢅡': 2,
    u'𢅣': 2,
    u'𢉿': 2,
    u'𢊃': 2,
    u'𢋈': 1,
    u'𢍰': 2,
    u'𢐗': 2,
    u'𢓅': 1,
    u'𢕩': 2,
    u'𢖕': 2,
    u'𢗓': 1,
    u'𢘙': 1,
    u'𢘝': 1,
    u'𢘞': 1,
    u'𢙐': 1,
    u'𢙑': 1,
    u'𢙒': 1,
    u'𢙓': 1,
    u'𢛔': 2,
    u'𢛯': 1,
    u'𢜭': 2,
    u'𢟼': 1,
    u'𢠰': 2,
    u'𢠼': 2,
    u'𢢀': 2,
    u'𢣏': 2,
    u'𢣐': 2,
    u'𢣚': 2,
    u'𢣭': 2,
    u'𢤌': 2,
    u'𢤜': 2,
    u'𢤧': 2,
    u'𢤩': 2,
    u'𢤱': 2,
    u'𢤿': 2,
    u'𢥠': 2,
    u'𢧐': 1,
    u'𢪓': 1,
    u'𢪗': 1,
    u'𢫊': 1,
    u'𢫘': 1,
    u'𢫞': 1,
    u'𢫬': 1,
    u'𢬍': 1,
    u'𢬦': 1,
    u'𢭏': 1,
    u'𢯦': 2,
    u'𢯩': 2,
    u'𢯷': 2,
    u'𢱡': 2,
    u'𢲐': 2,
    u'𢲩': 2,
    u'𢲫': 2,
    u'𢲸': 2,
    u'𢲾': 2,
    u'𢳂': 2,
    u'𢳚': 2,
    u'𢴦': 2,
    u'𢴩': 2,
    u'𢵣': 2,
    u'𢶑': 2,
    u'𢶒': 2,
    u'𢶣': 1,
    u'𢶫': 2,
    u'𢷃': 2,
    u'𢷏': 2,
    u'𢷞': 2,
    u'𢷮': 2,
    u'𢸁': 2,
    u'𢸔': 2,
    u'𢸙': 2,
    u'𢸳': 2,
    u'𢸴': 2,
    u'𢸸': 2,
    u'𢹏': 2,
    u'𢹥': 2,
    u'𢹼': 2,
    u'𢹿': 2,
    u'𢺎': 2,
    u'𢺳': 2,
    u'𢽾': 1,
    u'𢿓': 2,
    u'𢿡': 2,
    u'𣀘': 2,
    u'𣀷': 2,
    u'𣀻': 2,
    u'𣃁': 1,
    u'𣄸': 2,
    u'𣆐': 1,
    u'𣈣': 1,
    u'𣈶': 2,
    u'𣉼': 1,
    u'𣊯': 2,
    u'𣋋': 2,
    u'𣋞': 2,
    u'𣌂': 2,
    u'𣍐': 2,
    u'𣍨': 1,
    u'𣍯': 1,
    u'𣍰': 1,
    u'𣎄': 2,
    u'𣎑': 1,
    u'𣎜': 2,
    u'𣏢': 1,
    u'𣐕': 1,
    u'𣐤': 1,
    u'𣑝': 1,
    u'𣑶': 1,
    u'𣒌': 1,
    u'𣒗': 1,
    u'𣓿': 1,
    u'𣔿': 2,
    u'𣕲': 1,
    u'𣗊': 1,
    u'𣗋': 1,
    u'𣘐': 1,
    u'𣘓': 1,
    u'𣘴': 1,
    u'𣘷': 1,
    u'𣘾': 1,
    u'𣙎': 2,
    u'𣙥': 1,
    u'𣙿': 2,
    u'𣚙': 2,
    u'𣚚': 1,
    u'𣛣': 2,
    u'𣝕': 2,
    u'𣞁': 2,
    u'𣞎': 1,
    u'𣞐': 2,
    u'𣞻': 2,
    u'𣠕': 2,
    u'𣠩': 2,
    u'𣠲': 2,
    u'𣡌': 2,
    u'𣡶': 2,
    u'𣤋': 2,
    u'𣤿': 2,
    u'𣨼': 1,
    u'𣩕': 2,
    u'𣫒': 2,
    u'𣭤': 1,
    u'𣯣': 1,
    u'𣯩': 2,
    u'𣯴': 2,
    u'𣯶': 2,
    u'𣰛': 2,
    u'𣰨': 2,
    u'𣱝': 1,
    u'𣲗': 1,
    u'𣲘': 1,
    u'𣳆': 1,
    u'𣴇': 2,
    u'𣶩': 1,
    u'𣶫': 1,
    u'𣶯': 2,
    u'𣸣': 1,
    u'𣺼': 1,
    u'𣺽': 1,
    u'𣻏': 2,
    u'𣻑': 2,
    u'𣼊': 2,
    u'𣼩': 2,
    u'𣽏': 2,
    u'𣽷': 1,
    u'𣾍': 1,
    u'𣾷': 2,
    u'𣿉': 2,
    u'𤀪': 2,
    u'𤁣': 2,
    u'𤁪': 2,
    u'𤄙': 2,
    u'𤄷': 2,
    u'𤅙': 2,
    u'𤅩': 2,
    u'𤅷': 2,
    u'𤆡': 1,
    u'𤆢': 1,
    u'𤇃': 1,
    u'𤇄': 1,
    u'𤇭': 1,
    u'𤇻': 1,
    u'𤇾': 2,
    u'𤈶': 1,
    u'𤈷': 1,
    u'𤊀': 1,
    u'𤋏': 1,
    u'𤍖': 2,
    u'𤍜': 2,
    u'𤎤': 2,
    u'𤎱': 2,
    u'𤎺': 1,
    u'𤎻': 1,
    u'𤏐': 2,
    u'𤑳': 2,
    u'𤑹': 2,
    u'𤒎': 2,
    u'𤒦': 2,
    u'𤒻': 2,
    u'𤓌': 2,
    u'𤓎': 2,
    u'𤓓': 2,
    u'𤘀': 2,
    u'𤙯': 1,
    u'𤛮': 2,
    u'𤛱': 2,
    u'𤜆': 2,
    u'𤜵': 1,
    u'𤝢': 1,
    u'𤞃': 1,
    u'𤞤': 1,
    u'𤟤': 2,
    u'𤠋': 1,
    u'𤠔': 2,
    u'𤠮': 2,
    u'𤡲': 2,
    u'𤢟': 2,
    u'𤣎': 2,
    u'𤣤': 2,
    u'𤥭': 2,
    u'𤦀': 1,
    u'𤩂': 2,
    u'𤩽': 1,
    u'𤪤': 2,
    u'𤪺': 2,
    u'𤫩': 2,
    u'𤬅': 2,
    u'𤮦': 2,
    u'𤲓': 2,
    u'𤲢': 2,
    u'𤳄': 1,
    u'𤳷': 2,
    u'𤳸': 2,
    u'𤶊': 1,
    u'𤶧': 1,
    u'𤷃': 2,
    u'𤷽': 2,
    u'𤸫': 2,
    u'𤹺': 1,
    u'𤺉': 2,
    u'𤺔': 2,
    u'𤻊': 1,
    u'𤻜': 2,
    u'𤻝': 2,
    u'𤻲': 2,
    u'𤼈': 2,
    u'𤽯': 1,
    u'𤾀': 1,
    u'𤾉': 2,
    u'𤿲': 1,
    u'𥀬': 2,
    u'𥀲': 2,
    u'𥁢': 1,
    u'𥂫': 2,
    u'𥂸': 2,
    u'𥅘': 1,
    u'𥅴': 1,
    u'𥆧': 1,
    u'𥇔': 2,
    u'𥇢': 1,
    u'𥉸': 2,
    u'𥋝': 2,
    u'𥌃': 2,
    u'𥌚': 2,
    u'𥎝': 1,
    u'𥏝': 2,
    u'𥐟': 1,
    u'𥐯': 1,
    u'𥐰': 1,
    u'𥐻': 1,
    u'𥔂': 2,
    u'𥕤': 1,
    u'𥕥': 2,
    u'𥖅': 2,
    u'𥖏': 2,
    u'𥖩': 2,
    u'𥖲': 2,
    u'𥗇': 2,
    u'𥗴': 2,
    u'𥗹': 2,
    u'𥗺': 2,
    u'𥗽': 2,
    u'𥘃': 2,
    u'𥜐': 2,
    u'𥜰': 2,
    u'𥞦': 1,
    u'𥞵': 2,
    u'𥟂': 1,
    u'𥢊': 2,
    u'𥢢': 2,
    u'𥢶': 2,
    u'𥢷': 2,
    u'𥧂': 1,
    u'𥨐': 2,
    u'𥩺': 1,
    u'𥪂': 2,
    u'𥬀': 1,
    u'𥬈': 1,
    u'𥬞': 1,
    u'𥬠': 1,
    u'𥭉': 1,
    u'𥮋': 1,
    u'𥮜': 1,
    u'𥮾': 1,
    u'𥯤': 2,
    u'𥱔': 1,
    u'𥱸': 2,
    u'𥳊': 2,
    u'𥴨': 2,
    u'𥴼': 2,
    u'𥵃': 2,
    u'𥵊': 2,
    u'𥵛': 2,
    u'𥵜': 2,
    u'𥵝': 2,
    u'𥸠': 2,
    u'𥹥': 1,
    u'𥺅': 1,
    u'𥺇': 1,
    u'𥺼': 2,
    u'𥻤': 2,
    u'𥻦': 2,
    u'𥻵': 2,
    u'𥼶': 2,
    u'𥼽': 2,
    u'𥽖': 2,
    u'𥽭': 2,
    u'𥽽': 2,
    u'𥾂': 2,
    u'𥾝': 2,
    u'𥾯': 2,
    u'𥿉': 2,
    u'𥿊': 2,
    u'𥿯': 2,
    u'𦀎': 2,
    u'𦀖': 2,
    u'𦁄': 2,
    u'𦁕': 2,
    u'𦁧': 2,
    u'𦂅': 2,
    u'𦂋': 2,
    u'𦃄': 2,
    u'𦃒': 2,
    u'𦃘': 2,
    u'𦃩': 2,
    u'𦄋': 2,
    u'𦄍': 2,
    u'𦄧': 2,
    u'𦄼': 2,
    u'𦅇': 2,
    u'𦅈': 2,
    u'𦅋': 2,
    u'𦅘': 2,
    u'𦅷': 2,
    u'𦆆': 2,
    u'𦆈': 2,
    u'𦆲': 2,
    u'𦇎': 2,
    u'𦇛': 2,
    u'𦈈': 1,
    u'𦈉': 1,
    u'𦈋': 1,
    u'𦈌': 1,
    u'𦈎': 1,
    u'𦈏': 1,
    u'𦈐': 1,
    u'𦈑': 1,
    u'𦈒': 1,
    u'𦈓': 1,
    u'𦈔': 1,
    u'𦈕': 1,
    u'𦈖': 1,
    u'𦈗': 1,
    u'𦈘': 1,
    u'𦈙': 1,
    u'𦈚': 1,
    u'𦈛': 1,
    u'𦈜': 1,
    u'𦈝': 1,
    u'𦈞': 1,
    u'𦈟': 1,
    u'𦈠': 1,
    u'𦈡': 1,
    u'𦌾': 2,
    u'𦍆': 2,
    u'𦍠': 1,
    u'𦎹': 2,
    u'𦏑': 2,
    u'𦒀': 2,
    u'𦔖': 2,
    u'𦘧': 2,
    u'𦛨': 1,
    u'𦜖': 2,
    u'𦝼': 1,
    u'𦞌': 1,
    u'𦞛': 2,
    u'𦟐': 2,
    u'𦟗': 1,
    u'𦟼': 2,
    u'𦠅': 2,
    u'𦡏': 2,
    u'𦡖': 2,
    u'𦡝': 2,
    u'𦡧': 2,
    u'𦡶': 2,
    u'𦢈': 2,
    u'𦣇': 2,
    u'𦣎': 2,
    u'𦥯': 2,
    u'𦧴': 2,
    u'𦧺': 2,
    u'𦨩': 1,
    u'𦪭': 2,
    u'𦪽': 2,
    u'𦬙': 1,
    u'𦰴': 1,
    u'𦱌': 2,
    u'𦳝': 2,
    u'𦴇': 1,
    u'𦵕': 2,
    u'𦶆': 2,
    u'𦸷': 2,
    u'𦺣': 2,
    u'𦻕': 1,
    u'𦽒': 2,
    u'𦾏': 2,
    u'𦾵': 2,
    u'𦾶': 2,
    u'𦿍': 2,
    u'𧁿': 2,
    u'𧂅': 2,
    u'𧃽': 2,
    u'𧈴': 1,
    u'𧈿': 1,
    u'𧉐': 1,
    u'𧉞': 1,
    u'𧍕': 2,
    u'𧏖': 1,
    u'𧏗': 1,
    u'𧏻': 2,
    u'𧐐': 2,
    u'𧐱': 2,
    u'𧑏': 1,
    u'𧒖': 2,
    u'𧒭': 1,
    u'𧒯': 2,
    u'𧔥': 2,
    u'𧕟': 2,
    u'𧕦': 2,
    u'𧖦': 2,
    u'𧛸': 2,
    u'𧜁': 2,
    u'𧜂': 2,
    u'𧜗': 2,
    u'𧜡': 1,
    u'𧜣': 2,
    u'𧜭': 1,
    u'𧜵': 2,
    u'𧜶': 2,
    u'𧝝': 1,
    u'𧝞': 2,
    u'𧞅': 2,
    u'𧞔': 2,
    u'𧞣': 2,
    u'𧞫': 2,
    u'𧞶': 2,
    u'𧟌': 2,
    u'𧠈': 2,
    u'𧠥': 2,
    u'𧠵': 2,
    u'𧡍': 2,
    u'𧡪': 2,
    u'𧡴': 2,
    u'𧡸': 2,
    u'𧢃': 2,
    u'𧢄': 2,
    u'𧢍': 2,
    u'𧢢': 2,
    u'𧣴': 2,
    u'𧤤': 1,
    u'𧥅': 1,
    u'𧥣': 2,
    u'𧥺': 2,
    u'𧦝': 2,
    u'𧦦': 2,
    u'𧦧': 2,
    u'𧦭': 2,
    u'𧧝': 2,
    u'𧧭': 2,
    u'𧧵': 2,
    u'𧧸': 2,
    u'𧨊': 2,
    u'𧨝': 2,
    u'𧨳': 2,
    u'𧨾': 2,
    u'𧩕': 2,
    u'𧩙': 2,
    u'𧩦': 2,
    u'𧩧': 2,
    u'𧩪': 2,
    u'𧩼': 2,
    u'𧪞': 2,
    u'𧪡': 2,
    u'𧪦': 2,
    u'𧪪': 2,
    u'𧪮': 2,
    u'𧫚': 2,
    u'𧫝': 2,
    u'𧬁': 2,
    u'𧬅': 2,
    u'𧬇': 2,
    u'𧬌': 2,
    u'𧬤': 2,
    u'𧬨': 2,
    u'𧬪': 2,
    u'𧬮': 2,
    u'𧬯': 2,
    u'𧬻': 2,
    u'𧭈': 2,
    u'𧭹': 2,
    u'𧮆': 2,
    u'𧮇': 2,
    u'𧮈': 2,
    u'𧮓': 2,
    u'𧮪': 1,
    u'𧰆': 2,
    u'𧰎': 2,
    u'𧱻': 2,
    u'𧳕': 1,
    u'𧳟': 2,
    u'𧴪': 2,
    u'𧵊': 2,
    u'𧵳': 2,
    u'𧶄': 2,
    u'𧶔': 2,
    u'𧶟': 2,
    u'𧶧': 2,
    u'𧶲': 2,
    u'𧷎': 2,
    u'𧷛': 2,
    u'𧸖': 2,
    u'𧸘': 2,
    u'𧸦': 2,
    u'𧸪': 2,
    u'𧸫': 2,
    u'𧹈': 2,
    u'𧹑': 1,
    u'𧹒': 1,
    u'𧹓': 1,
    u'𧹔': 1,
    u'𧹕': 1,
    u'𧹖': 1,
    u'𧹗': 1,
    u'𧺣': 1,
    u'𧽢': 2,
    u'𧽯': 2,
    u'𧽵': 2,
    u'𧾥': 2,
    u'𧿈': 1,
    u'𧿛': 1,
    u'𨀁': 1,
    u'𨀱': 1,
    u'𨁂': 2,
    u'𨁴': 1,
    u'𨂐': 2,
    u'𨂺': 1,
    u'𨃘': 2,
    u'𨃜': 2,
    u'𨄄': 1,
    u'𨄉': 2,
    u'𨄣': 2,
    u'𨄰': 2,
    u'𨅍': 2,
    u'𨅛': 1,
    u'𨅫': 1,
    u'𨅬': 1,
    u'𨆅': 2,
    u'𨆉': 2,
    u'𨆪': 2,
    u'𨆱': 2,
    u'𨇁': 2,
    u'𨇍': 2,
    u'𨇗': 2,
    u'𨇞': 2,
    u'𨇤': 2,
    u'𨇯': 2,
    u'𨇰': 2,
    u'𨇽': 2,
    u'𨈀': 2,
    u'𨈆': 2,
    u'𨈇': 2,
    u'𨈊': 2,
    u'𨈌': 2,
    u'𨉖': 2,
    u'𨉗': 1,
    u'𨉹': 2,
    u'𨊠': 2,
    u'𨊰': 2,
    u'𨊸': 2,
    u'𨊹': 2,
    u'𨊻': 2,
    u'𨋁': 2,
    u'𨋚': 2,
    u'𨋢': 2,
    u'𨋮': 2,
    u'𨌄': 2,
    u'𨌈': 2,
    u'𨍈': 2,
    u'𨍏': 2,
    u'𨍐': 2,
    u'𨍒': 2,
    u'𨍰': 2,
    u'𨍹': 2,
    u'𨎌': 2,
    u'𨎩': 2,
    u'𨎪': 2,
    u'𨎮': 2,
    u'𨏒': 2,
    u'𨏔': 2,
    u'𨏠': 2,
    u'𨏥': 2,
    u'𨐅': 1,
    u'𨐆': 1,
    u'𨐇': 1,
    u'𨐈': 1,
    u'𨐉': 1,
    u'𨐊': 1,
    u'𨐶': 2,
    u'𨑊': 2,
    u'𨑹': 1,
    u'𨘌': 2,
    u'𨝕': 1,
    u'𨞨': 2,
    u'𨞪': 2,
    u'𨞺': 2,
    u'𨟊': 2,
    u'𨟳': 1,
    u'𨠨': 1,
    u'𨡙': 1,
    u'𨡺': 1,
    u'𨢸': 1,
    u'𨢿': 2,
    u'𨣃': 2,
    u'𨣈': 2,
    u'𨣉': 2,
    u'𨣞': 2,
    u'𨣧': 2,
    u'𨣨': 2,
    u'𨤋': 2,
    u'𨤡': 2,
    u'𨤰': 1,
    u'𨤻': 2,
    u'𨥛': 2,
    u'𨥜': 2,
    u'𨥟': 2,
    u'𨥦': 2,
    u'𨥺': 2,
    u'𨦡': 2,
    u'𨦫': 2,
    u'𨦱': 2,
    u'𨧀': 2,
    u'𨧐': 2,
    u'𨧚': 2,
    u'𨧜': 2,
    u'𨧫': 2,
    u'𨧮': 1,
    u'𨧰': 2,
    u'𨧱': 2,
    u'𨨏': 2,
    u'𨨛': 2,
    u'𨨝': 2,
    u'𨨢': 2,
    u'𨨯': 2,
    u'𨨹': 2,
    u'𨩨': 2,
    u'𨩰': 2,
    u'𨪅': 2,
    u'𨪋': 2,
    u'𨪕': 2,
    u'𨫀': 2,
    u'𨫒': 2,
    u'𨫼': 2,
    u'𨬂': 2,
    u'𨬒': 2,
    u'𨬖': 2,
    u'𨬞': 2,
    u'𨬟': 2,
    u'𨭃': 2,
    u'𨭆': 2,
    u'𨭌': 2,
    u'𨭎': 2,
    u'𨭐': 2,
    u'𨭖': 2,
    u'𨭗': 2,
    u'𨭚': 2,
    u'𨭛': 2,
    u'𨭥': 2,
    u'𨭸': 2,
    u'𨮁': 2,
    u'𨮂': 2,
    u'𨮅': 2,
    u'𨮰': 2,
    u'𨮳': 2,
    u'𨯅': 2,
    u'𨯟': 2,
    u'𨯵': 2,
    u'𨰃': 2,
    u'𨰋': 2,
    u'𨰠': 2,
    u'𨰥': 2,
    u'𨰭': 2,
    u'𨰲': 2,
    u'𨰵': 2,
    u'𨰷': 2,
    u'𨰹': 2,
    u'𨰾': 1,
    u'𨰿': 1,
    u'𨱀': 1,
    u'𨱁': 1,
    u'𨱂': 1,
    u'𨱃': 1,
    u'𨱄': 1,
    u'𨱅': 1,
    u'𨱆': 1,
    u'𨱇': 1,
    u'𨱈': 1,
    u'𨱉': 1,
    u'𨱊': 1,
    u'𨱋': 1,
    u'𨱌': 1,
    u'𨱍': 1,
    u'𨱎': 1,
    u'𨱏': 1,
    u'𨱐': 1,
    u'𨱑': 1,
    u'𨱒': 1,
    u'𨱓': 1,
    u'𨱔': 1,
    u'𨱕': 1,
    u'𨱖': 1,
    u'𨱥': 2,
    u'𨲭': 2,
    u'𨲳': 2,
    u'𨳌': 2,
    u'𨳐': 2,
    u'𨳑': 2,
    u'𨳒': 2,
    u'𨳕': 2,
    u'𨳙': 2,
    u'𨳚': 2,
    u'𨳨': 2,
    u'𨳸': 2,
    u'𨳿': 2,
    u'𨴑': 2,
    u'𨴗': 2,
    u'𨴤': 2,
    u'𨴹': 2,
    u'𨵆': 2,
    u'𨵌': 2,
    u'𨵗': 2,
    u'𨵤': 2,
    u'𨵦': 2,
    u'𨵩': 2,
    u'𨵬': 2,
    u'𨵸': 2,
    u'𨶀': 2,
    u'𨶏': 2,
    u'𨶑': 2,
    u'𨶮': 2,
    u'𨶯': 2,
    u'𨶰': 2,
    u'𨶲': 2,
    u'𨶻': 2,
    u'𨶿': 2,
    u'𨷈': 2,
    u'𨷲': 2,
    u'𨷻': 2,
    u'𨷿': 1,
    u'𨸀': 1,
    u'𨸁': 1,
    u'𨸂': 1,
    u'𨸃': 1,
    u'𨸄': 1,
    u'𨸅': 1,
    u'𨸆': 1,
    u'𨸇': 1,
    u'𨸉': 1,
    u'𨸊': 1,
    u'𨸋': 1,
    u'𨸌': 1,
    u'𨸎': 1,
    u'𨸘': 1,
    u'𨸟': 1,
    u'𨻹': 1,
    u'𨼳': 2,
    u'𨽈': 2,
    u'𨽏': 2,
    u'𩀨': 2,
    u'𩅙': 2,
    u'𩅦': 2,
    u'𩅾': 2,
    u'𩇉': 2,
    u'𩉍': 2,
    u'𩉙': 2,
    u'𩋌': 2,
    u'𩋰': 2,
    u'𩍜': 2,
    u'𩎒': 2,
    u'𩎕': 2,
    u'𩎖': 2,
    u'𩎟': 2,
    u'𩎠': 2,
    u'𩎢': 2,
    u'𩏂': 2,
    u'𩏌': 2,
    u'𩏠': 2,
    u'𩏪': 2,
    u'𩏴': 2,
    u'𩏷': 2,
    u'𩏼': 1,
    u'𩏽': 1,
    u'𩏾': 1,
    u'𩏿': 1,
    u'𩐀': 1,
    u'𩐌': 2,
    u'𩑃': 2,
    u'𩑒': 2,
    u'𩑔': 2,
    u'𩑡': 2,
    u'𩑣': 2,
    u'𩑦': 2,
    u'𩒎': 2,
    u'𩒜': 2,
    u'𩒝': 2,
    u'𩒲': 2,
    u'𩒺': 2,
    u'𩒼': 2,
    u'𩓣': 2,
    u'𩓥': 2,
    u'𩓸': 2,
    u'𩓹': 2,
    u'𩔇': 2,
    u'𩔈': 2,
    u'𩔊': 2,
    u'𩔑': 2,
    u'𩔣': 2,
    u'𩔳': 2,
    u'𩕊': 2,
    u'𩕰': 2,
    u'𩖁': 2,
    u'𩖕': 1,
    u'𩖖': 1,
    u'𩖗': 1,
    u'𩖰': 2,
    u'𩖿': 2,
    u'𩗀': 2,
    u'𩗓': 2,
    u'𩗛': 2,
    u'𩗡': 2,
    u'𩗴': 2,
    u'𩘀': 2,
    u'𩘚': 2,
    u'𩘝': 2,
    u'𩘹': 2,
    u'𩘺': 2,
    u'𩘻': 2,
    u'𩙈': 2,
    u'𩙥': 1,
    u'𩙦': 1,
    u'𩙧': 1,
    u'𩙨': 1,
    u'𩙩': 1,
    u'𩙪': 1,
    u'𩙫': 1,
    u'𩙬': 1,
    u'𩙭': 1,
    u'𩙮': 1,
    u'𩙯': 1,
    u'𩙰': 1,
    u'𩚅': 2,
    u'𩚚': 2,
    u'𩚛': 2,
    u'𩚥': 2,
    u'𩚩': 2,
    u'𩚵': 2,
    u'𩛆': 2,
    u'𩛌': 2,
    u'𩛎': 2,
    u'𩛞': 2,
    u'𩛡': 2,
    u'𩛩': 2,
    u'𩛲': 2,
    u'𩜇': 2,
    u'𩜠': 2,
    u'𩜦': 2,
    u'𩜯': 2,
    u'𩜰': 2,
    u'𩜵': 2,
    u'𩜶': 2,
    u'𩝑': 2,
    u'𩝔': 2,
    u'𩝠': 2,
    u'𩝡': 2,
    u'𩝣': 2,
    u'𩝧': 2,
    u'𩝽': 2,
    u'𩞃': 2,
    u'𩞄': 2,
    u'𩞆': 2,
    u'𩞉': 2,
    u'𩞡': 2,
    u'𩞦': 2,
    u'𩞧': 2,
    u'𩞬': 2,
    u'𩞯': 2,
    u'𩟀': 2,
    u'𩟂': 2,
    u'𩟐': 2,
    u'𩟗': 2,
    u'𩟠': 2,
    u'𩟿': 1,
    u'𩠀': 1,
    u'𩠁': 1,
    u'𩠂': 1,
    u'𩠃': 1,
    u'𩠅': 1,
    u'𩠆': 1,
    u'𩠇': 1,
    u'𩠈': 1,
    u'𩠉': 1,
    u'𩠊': 1,
    u'𩠋': 1,
    u'𩠌': 1,
    u'𩠎': 1,
    u'𩠏': 1,
    u'𩠠': 1,
    u'𩠴': 2,
    u'𩡖': 1,
    u'𩡚': 1,
    u'𩡣': 2,
    u'𩡤': 2,
    u'𩡺': 2,
    u'𩢍': 2,
    u'𩢡': 2,
    u'𩢰': 2,
    u'𩢲': 2,
    u'𩢴': 2,
    u'𩢸': 2,
    u'𩢼': 2,
    u'𩢾': 2,
    u'𩣊': 2,
    u'𩣋': 2,
    u'𩣏': 2,
    u'𩣑': 2,
    u'𩣔': 2,
    u'𩣡': 2,
    u'𩣫': 2,
    u'𩣵': 2,
    u'𩣺': 2,
    u'𩤊': 2,
    u'𩤙': 2,
    u'𩤲': 2,
    u'𩤵': 2,
    u'𩤸': 2,
    u'𩥃': 2,
    u'𩥄': 2,
    u'𩥅': 2,
    u'𩥇': 2,
    u'𩥉': 2,
    u'𩥎': 2,
    u'𩥑': 2,
    u'𩥲': 2,
    u'𩥼': 2,
    u'𩦃': 2,
    u'𩦚': 2,
    u'𩦠': 2,
    u'𩦺': 2,
    u'𩧆': 2,
    u'𩧉': 2,
    u'𩧐': 2,
    u'𩧢': 2,
    u'𩧦': 1,
    u'𩧨': 1,
    u'𩧩': 1,
    u'𩧪': 1,
    u'𩧫': 1,
    u'𩧬': 1,
    u'𩧭': 1,
    u'𩧮': 1,
    u'𩧯': 1,
    u'𩧰': 1,
    u'𩧱': 1,
    u'𩧲': 1,
    u'𩧳': 1,
    u'𩧴': 1,
    u'𩧵': 1,
    u'𩧶': 1,
    u'𩧸': 1,
    u'𩧺': 1,
    u'𩧻': 1,
    u'𩧼': 1,
    u'𩧿': 1,
    u'𩨀': 1,
    u'𩨁': 1,
    u'𩨃': 1,
    u'𩨄': 1,
    u'𩨅': 1,
    u'𩨆': 1,
    u'𩨇': 1,
    u'𩨈': 1,
    u'𩨉': 1,
    u'𩨊': 1,
    u'𩨋': 1,
    u'𩨌': 1,
    u'𩨍': 1,
    u'𩨎': 1,
    u'𩨏': 1,
    u'𩨐': 1,
    u'𩩈': 1,
    u'𩬣': 1,
    u'𩬤': 1,
    u'𩬾': 1,
    u'𩭙': 2,
    u'𩭯': 2,
    u'𩭹': 1,
    u'𩯁': 2,
    u'𩯃': 2,
    u'𩯆': 2,
    u'𩯒': 1,
    u'𩯳': 2,
    u'𩰀': 2,
    u'𩰰': 1,
    u'𩰹': 2,
    u'𩱈': 2,
    u'𩲒': 1,
    u'𩳤': 2,
    u'𩴆': 2,
    u'𩴌': 1,
    u'𩴵': 2,
    u'𩵚': 2,
    u'𩵦': 2,
    u'𩵩': 2,
    u'𩵱': 2,
    u'𩵹': 2,
    u'𩵺': 2,
    u'𩶀': 2,
    u'𩶁': 2,
    u'𩶘': 2,
    u'𩶯': 2,
    u'𩶰': 2,
    u'𩶱': 2,
    u'𩷒': 2,
    u'𩷓': 2,
    u'𩷕': 2,
    u'𩷰': 2,
    u'𩷶': 2,
    u'𩸃': 2,
    u'𩸄': 2,
    u'𩸆': 2,
    u'𩸡': 2,
    u'𩸣': 2,
    u'𩸤': 2,
    u'𩸦': 2,
    u'𩸩': 2,
    u'𩸬': 2,
    u'𩹂': 2,
    u'𩹊': 2,
    u'𩹎': 2,
    u'𩹝': 2,
    u'𩹽': 2,
    u'𩹾': 2,
    u'𩺝': 2,
    u'𩺞': 2,
    u'𩻗': 2,
    u'𩻛': 2,
    u'𩻧': 2,
    u'𩻬': 2,
    u'𩻮': 2,
    u'𩻰': 2,
    u'𩻱': 2,
    u'𩼔': 2,
    u'𩼶': 2,
    u'𩽅': 2,
    u'𩽇': 2,
    u'𩽈': 2,
    u'𩽔': 2,
    u'𩽷': 2,
    u'𩽹': 1,
    u'𩽺': 1,
    u'𩽻': 1,
    u'𩽼': 1,
    u'𩽽': 1,
    u'𩽾': 1,
    u'𩽿': 1,
    u'𩾁': 1,
    u'𩾂': 1,
    u'𩾃': 1,
    u'𩾄': 1,
    u'𩾅': 1,
    u'𩾆': 1,
    u'𩾇': 1,
    u'𩾈': 1,
    u'𩾊': 1,
    u'𩾋': 1,
    u'𩾌': 1,
    u'𩾎': 1,
    u'𩾐': 2,
    u'𩾒': 2,
    u'𩾝': 2,
    u'𩿅': 2,
    u'𩿊': 2,
    u'𩿤': 2,
    u'𩿧': 2,
    u'𩿪': 2,
    u'𩿱': 2,
    u'𩿺': 2,
    u'𪀉': 2,
    u'𪀖': 2,
    u'𪀗': 2,
    u'𪀚': 2,
    u'𪀛': 2,
    u'𪀦': 2,
    u'𪀻': 2,
    u'𪀾': 2,
    u'𪁈': 2,
    u'𪁏': 2,
    u'𪁐': 2,
    u'𪁑': 2,
    u'𪁖': 2,
    u'𪁛': 2,
    u'𪁜': 2,
    u'𪁱': 2,
    u'𪁿': 2,
    u'𪂆': 2,
    u'𪂈': 2,
    u'𪂩': 2,
    u'𪂫': 2,
    u'𪃃': 2,
    u'𪃍': 2,
    u'𪃏': 2,
    u'𪃒': 2,
    u'𪃦': 2,
    u'𪃧': 2,
    u'𪃮': 2,
    u'𪃿': 2,
    u'𪄅': 2,
    u'𪄆': 2,
    u'𪄕': 2,
    u'𪄠': 2,
    u'𪄲': 2,
    u'𪄳': 2,
    u'𪅂': 2,
    u'𪅃': 2,
    u'𪅖': 2,
    u'𪅜': 2,
    u'𪅾': 2,
    u'𪆃': 2,
    u'𪆫': 2,
    u'𪆰': 2,
    u'𪆴': 2,
    u'𪆷': 2,
    u'𪇄': 2,
    u'𪇖': 2,
    u'𪇘': 2,
    u'𪇰': 2,
    u'𪇳': 2,
    u'𪈏': 2,
    u'𪈔': 2,
    u'𪈗': 2,
    u'𪈼': 2,
    u'𪉂': 1,
    u'𪉃': 1,
    u'𪉄': 1,
    u'𪉅': 1,
    u'𪉆': 1,
    u'𪉈': 1,
    u'𪉉': 1,
    u'𪉊': 1,
    u'𪉋': 1,
    u'𪉌': 1,
    u'𪉍': 1,
    u'𪉎': 1,
    u'𪉏': 1,
    u'𪉐': 1,
    u'𪉑': 1,
    u'𪉒': 1,
    u'𪉔': 1,
    u'𪉕': 1,
    u'𪉖': 2,
    u'𪉜': 2,
    u'𪉣': 2,
    u'𪉨': 2,
    u'𪉮': 2,
    u'𪉱': 2,
    u'𪉸': 2,
    u'𪉿': 2,
    u'𪊉': 2,
    u'𪋈': 2,
    u'𪋼': 2,
    u'𪋽': 2,
    u'𪋿': 2,
    u'𪌐': 2,
    u'𪌒': 2,
    u'𪌗': 2,
    u'𪌘': 2,
    u'𪌜': 2,
    u'𪌣': 2,
    u'𪌨': 2,
    u'𪌬': 2,
    u'𪌭': 2,
    u'𪌮': 2,
    u'𪌯': 2,
    u'𪌰': 2,
    u'𪌽': 2,
    u'𪌾': 2,
    u'𪌿': 2,
    u'𪍀': 2,
    u'𪍇': 2,
    u'𪍍': 2,
    u'𪍑': 2,
    u'𪍒': 2,
    u'𪍓': 2,
    u'𪍘': 2,
    u'𪍚': 2,
    u'𪍞': 2,
    u'𪍠': 2,
    u'𪍣': 2,
    u'𪍤': 2,
    u'𪍬': 2,
    u'𪍴': 2,
    u'𪍶': 2,
    u'𪍷': 2,
    u'𪍿': 2,
    u'𪎂': 2,
    u'𪎈': 1,
    u'𪎉': 1,
    u'𪎊': 1,
    u'𪎋': 1,
    u'𪎌': 1,
    u'𪑅': 1,
    u'𪑚': 2,
    u'𪑳': 2,
    u'𪒬': 2,
    u'𪒿': 2,
    u'𪓛': 2,
    u'𪓬': 2,
    u'𪓰': 2,
    u'𪓹': 2,
    u'𪓽': 2,
    u'𪔭': 1,
    u'𪔵': 2,
    u'𪕣': 2,
    u'𪖨': 2,
    u'𪗋': 2,
    u'𪗜': 2,
    u'𪗝': 2,
    u'𪗪': 2,
    u'𪗭': 2,
    u'𪗳': 2,
    u'𪗻': 2,
    u'𪗽': 2,
    u'𪘀': 2,
    u'𪘅': 2,
    u'𪘓': 2,
    u'𪘞': 2,
    u'𪘥': 2,
    u'𪘧': 2,
    u'𪘨': 2,
    u'𪘩': 2,
    u'𪘬': 2,
    u'𪘯': 2,
    u'𪘲': 2,
    u'𪙉': 2,
    u'𪙍': 2,
    u'𪙏': 2,
    u'𪙑': 2,
    u'𪙕': 2,
    u'𪙞': 2,
    u'𪙤': 2,
    u'𪚅': 2,
    u'𪚏': 1,
    u'𪚐': 1,
    u'𪚔': 2,
    u'𪚣': 2,
    u'𪚭': 2,
    u'𪚮': 2,
    u'𪚰': 2,
    u'𪛕': 2,
    u'𪛞': 1,
    u'𪜎': 1,
    u'𪜺': 1,
    u'𪝖': 2,
    u'𪝵': 2,
    u'𪞝': 1,
    u'𪟎': 1,
    u'𪟖': 2,
    u'𪟝': 1,
    u'𪟲': 1,
    u'𪠀': 1,
    u'𪠃': 1,
    u'𪠏': 1,
    u'𪠟': 1,
    u'𪠡': 1,
    u'𪠳': 1,
    u'𪠵': 1,
    u'𪠸': 1,
    u'𪠽': 1,
    u'𪡀': 1,
    u'𪡃': 1,
    u'𪡋': 1,
    u'𪡏': 1,
    u'𪡛': 1,
    u'𪡞': 1,
    u'𪡺': 1,
    u'𪢈': 1,
    u'𪢋': 1,
    u'𪢌': 1,
    u'𪢍': 2,
    u'𪢐': 1,
    u'𪢒': 1,
    u'𪢕': 1,
    u'𪢠': 1,
    u'𪢥': 2,
    u'𪢮': 1,
    u'𪣆': 1,
    u'𪣒': 1,
    u'𪣻': 1,
    u'𪤄': 1,
    u'𪤅': 1,
    u'𪤚': 1,
    u'𪥠': 1,
    u'𪥫': 1,
    u'𪥰': 1,
    u'𪥿': 1,
    u'𪧀': 1,
    u'𪧘': 1,
    u'𪨇': 1,
    u'𪨊': 1,
    u'𪨗': 1,
    u'𪨧': 1,
    u'𪨩': 1,
    u'𪨶': 1,
    u'𪨷': 1,
    u'𪨹': 1,
    u'𪩇': 1,
    u'𪩎': 1,
    u'𪩘': 1,
    u'𪩛': 1,
    u'𪩸': 1,
    u'𪪑': 1,
    u'𪪞': 1,
    u'𪪴': 1,
    u'𪫌': 1,
    u'𪫡': 1,
    u'𪫷': 1,
    u'𪫸': 1,
    u'𪫺': 1,
    u'𪬚': 1,
    u'𪬯': 1,
    u'𪭝': 1,
    u'𪭢': 1,
    u'𪭧': 1,
    u'𪭯': 1,
    u'𪭵': 1,
    u'𪭾': 1,
    u'𪮃': 1,
    u'𪮋': 1,
    u'𪮖': 1,
    u'𪮰': 2,
    u'𪮳': 1,
    u'𪮶': 1,
    u'𪯂': 2,
    u'𪯋': 1,
    u'𪰶': 1,
    u'𪱥': 1,
    u'𪱷': 1,
    u'𪲎': 1,
    u'𪲔': 1,
    u'𪲛': 1,
    u'𪲮': 1,
    u'𪳍': 1,
    u'𪳷': 2,
    u'𪴙': 1,
    u'𪴥': 2,
    u'𪴯': 1,
    u'𪵇': 1,
    u'𪵑': 1,
    u'𪵢': 2,
    u'𪵣': 1,
    u'𪵱': 1,
    u'𪶄': 1,
    u'𪶒': 1,
    u'𪶮': 1,
    u'𪷈': 2,
    u'𪷍': 1,
    u'𪷽': 1,
    u'𪸕': 1,
    u'𪸩': 1,
    u'𪹀': 1,
    u'𪹠': 1,
    u'𪹳': 1,
    u'𪹹': 1,
    u'𪺣': 1,
    u'𪺪': 1,
    u'𪺭': 1,
    u'𪺷': 1,
    u'𪺸': 1,
    u'𪺻': 1,
    u'𪺽': 1,
    u'𪻐': 1,
    u'𪻨': 1,
    u'𪻲': 1,
    u'𪻺': 1,
    u'𪼋': 1,
    u'𪼴': 1,
    u'𪽂': 1,
    u'𪽝': 1,
    u'𪽪': 1,
    u'𪽭': 1,
    u'𪽮': 1,
    u'𪽴': 1,
    u'𪽷': 1,
    u'𪾔': 1,
    u'𪾢': 1,
    u'𪾦': 1,
    u'𪾸': 1,
    u'𪿊': 1,
    u'𪿞': 1,
    u'𪿫': 1,
    u'𪿵': 1,
    u'𫀌': 1,
    u'𫀓': 1,
    u'𫀨': 1,
    u'𫀬': 1,
    u'𫀮': 1,
    u'𫁂': 1,
    u'𫁟': 1,
    u'𫁡': 1,
    u'𫁲': 1,
    u'𫁳': 1,
    u'𫁷': 1,
    u'𫁺': 1,
    u'𫂃': 1,
    u'𫂆': 1,
    u'𫂈': 1,
    u'𫂖': 1,
    u'𫂿': 1,
    u'𫃐': 2,
    u'𫃑': 2,
    u'𫃗': 1,
    u'𫃞': 2,
    u'𫃥': 2,
    u'𫃷': 2,
    u'𫄇': 2,
    u'𫄙': 1,
    u'𫄚': 1,
    u'𫄛': 1,
    u'𫄜': 1,
    u'𫄝': 1,
    u'𫄞': 1,
    u'𫄟': 1,
    u'𫄠': 1,
    u'𫄡': 1,
    u'𫄢': 1,
    u'𫄣': 1,
    u'𫄤': 1,
    u'𫄥': 1,
    u'𫄦': 1,
    u'𫄧': 1,
    u'𫄨': 1,
    u'𫄩': 1,
    u'𫄪': 1,
    u'𫄫': 1,
    u'𫄬': 1,
    u'𫄭': 1,
    u'𫄮': 1,
    u'𫄯': 1,
    u'𫄰': 1,
    u'𫄱': 1,
    u'𫄲': 1,
    u'𫄳': 1,
    u'𫄴': 1,
    u'𫄵': 1,
    u'𫄶': 1,
    u'𫄷': 1,
    u'𫄸': 1,
    u'𫄹': 1,
    u'𫅅': 1,
    u'𫅗': 1,
    u'𫅥': 1,
    u'𫅭': 1,
    u'𫅼': 1,
    u'𫆏': 1,
    u'𫆝': 1,
    u'𫆫': 1,
    u'𫇘': 1,
    u'𫇠': 2,
    u'𫇦': 1,
    u'𫇪': 1,
    u'𫇭': 1,
    u'𫇴': 1,
    u'𫇽': 1,
    u'𫈉': 1,
    u'𫈎': 1,
    u'𫈟': 1,
    u'𫈵': 1,
    u'𫈹': 2,
    u'𫉁': 1,
    u'𫉄': 1,
    u'𫉍': 2,
    u'𫊪': 1,
    u'𫊮': 1,
    u'𫊱': 1,
    u'𫊸': 1,
    u'𫊹': 1,
    u'𫊻': 1,
    u'𫋇': 1,
    u'𫋌': 1,
    u'𫋐': 2,
    u'𫋧': 2,
    u'𫋲': 1,
    u'𫋷': 1,
    u'𫋹': 1,
    u'𫋻': 1,
    u'𫌀': 1,
    u'𫌇': 1,
    u'𫌋': 1,
    u'𫌙': 2,
    u'𫌨': 1,
    u'𫌩': 1,
    u'𫌪': 1,
    u'𫌫': 1,
    u'𫌬': 1,
    u'𫌭': 1,
    u'𫌯': 1,
    u'𫍏': 1,
    u'𫍐': 1,
    u'𫍘': 2,
    u'𫍙': 1,
    u'𫍚': 1,
    u'𫍛': 1,
    u'𫍜': 1,
    u'𫍞': 1,
    u'𫍟': 1,
    u'𫍠': 1,
    u'𫍡': 1,
    u'𫍢': 1,
    u'𫍣': 1,
    u'𫍤': 1,
    u'𫍥': 1,
    u'𫍦': 1,
    u'𫍧': 1,
    u'𫍨': 1,
    u'𫍩': 1,
    u'𫍪': 1,
    u'𫍫': 1,
    u'𫍬': 1,
    u'𫍭': 1,
    u'𫍮': 1,
    u'𫍯': 1,
    u'𫍰': 1,
    u'𫍱': 1,
    u'𫍲': 1,
    u'𫍳': 1,
    u'𫍴': 1,
    u'𫍵': 1,
    u'𫍶': 1,
    u'𫍷': 1,
    u'𫍸': 1,
    u'𫍹': 1,
    u'𫍺': 1,
    u'𫍻': 1,
    u'𫍼': 1,
    u'𫍽': 1,
    u'𫍾': 1,
    u'𫍿': 1,
    u'𫎆': 1,
    u'𫎌': 1,
    u'𫎦': 1,
    u'𫎧': 1,
    u'𫎨': 1,
    u'𫎩': 1,
    u'𫎪': 1,
    u'𫎫': 1,
    u'𫎬': 1,
    u'𫎭': 1,
    u'𫎱': 1,
    u'𫎳': 1,
    u'𫎸': 1,
    u'𫎺': 1,
    u'𫏃': 1,
    u'𫏆': 1,
    u'𫏋': 1,
    u'𫏌': 1,
    u'𫏐': 1,
    u'𫏑': 1,
    u'𫏕': 1,
    u'𫏞': 1,
    u'𫏨': 1,
    u'𫐄': 1,
    u'𫐅': 1,
    u'𫐆': 1,
    u'𫐇': 1,
    u'𫐈': 1,
    u'𫐉': 1,
    u'𫐊': 1,
    u'𫐋': 1,
    u'𫐌': 1,
    u'𫐍': 1,
    u'𫐎': 1,
    u'𫐏': 1,
    u'𫐐': 1,
    u'𫐑': 1,
    u'𫐒': 1,
    u'𫐓': 1,
    u'𫐔': 1,
    u'𫐕': 1,
    u'𫐖': 1,
    u'𫐗': 1,
    u'𫐘': 1,
    u'𫐙': 1,
    u'𫐷': 1,
    u'𫑘': 1,
    u'𫑡': 1,
    u'𫑷': 1,
    u'𫒞': 2,
    u'𫒡': 2,
    u'𫒢': 2,
    u'𫒷': 2,
    u'𫓥': 1,
    u'𫓦': 1,
    u'𫓧': 1,
    u'𫓨': 1,
    u'𫓩': 1,
    u'𫓪': 1,
    u'𫓫': 1,
    u'𫓬': 1,
    u'𫓭': 1,
    u'𫓮': 1,
    u'𫓯': 1,
    u'𫓰': 1,
    u'𫓱': 1,
    u'𫓲': 1,
    u'𫓳': 1,
    u'𫓴': 1,
    u'𫓵': 1,
    u'𫓶': 1,
    u'𫓷': 1,
    u'𫓸': 1,
    u'𫓹': 1,
    u'𫓺': 1,
    u'𫓻': 1,
    u'𫓼': 1,
    u'𫓽': 1,
    u'𫓾': 1,
    u'𫓿': 1,
    u'𫔀': 1,
    u'𫔁': 1,
    u'𫔂': 1,
    u'𫔃': 1,
    u'𫔄': 1,
    u'𫔅': 1,
    u'𫔆': 1,
    u'𫔇': 1,
    u'𫔈': 1,
    u'𫔉': 1,
    u'𫔊': 1,
    u'𫔋': 1,
    u'𫔌': 1,
    u'𫔍': 1,
    u'𫔎': 1,
    u'𫔏': 1,
    u'𫔐': 1,
    u'𫔑': 1,
    u'𫔒': 1,
    u'𫔓': 1,
    u'𫔔': 1,
    u'𫔕': 1,
    u'𫔖': 1,
    u'𫔘': 2,
    u'𫔡': 2,
    u'𫔭': 1,
    u'𫔯': 1,
    u'𫔰': 1,
    u'𫔱': 1,
    u'𫔲': 1,
    u'𫔴': 1,
    u'𫔵': 1,
    u'𫔶': 1,
    u'𫔽': 1,
    u'𫕚': 1,
    u'𫕥': 1,
    u'𫕨': 1,
    u'𫖃': 1,
    u'𫖅': 1,
    u'𫖇': 1,
    u'𫖑': 1,
    u'𫖒': 1,
    u'𫖓': 1,
    u'𫖔': 1,
    u'𫖕': 1,
    u'𫖖': 1,
    u'𫖞': 2,
    u'𫖪': 1,
    u'𫖫': 1,
    u'𫖬': 1,
    u'𫖭': 1,
    u'𫖮': 1,
    u'𫖯': 1,
    u'𫖰': 1,
    u'𫖱': 1,
    u'𫖲': 1,
    u'𫖳': 1,
    u'𫖴': 1,
    u'𫖵': 1,
    u'𫖶': 1,
    u'𫖷': 1,
    u'𫖸': 1,
    u'𫖹': 1,
    u'𫖺': 1,
    u'𫗇': 1,
    u'𫗈': 1,
    u'𫗉': 1,
    u'𫗊': 1,
    u'𫗋': 1,
    u'𫗑': 2,
    u'𫗕': 2,
    u'𫗚': 1,
    u'𫗞': 1,
    u'𫗟': 1,
    u'𫗠': 1,
    u'𫗡': 1,
    u'𫗢': 1,
    u'𫗣': 1,
    u'𫗤': 1,
    u'𫗥': 1,
    u'𫗦': 1,
    u'𫗧': 1,
    u'𫗨': 1,
    u'𫗩': 1,
    u'𫗪': 1,
    u'𫗫': 1,
    u'𫗬': 1,
    u'𫗭': 1,
    u'𫗮': 1,
    u'𫗯': 1,
    u'𫗰': 1,
    u'𫗱': 1,
    u'𫗲': 1,
    u'𫗳': 1,
    u'𫗴': 1,
    u'𫗵': 1,
    u'𫗻': 2,
    u'𫘛': 1,
    u'𫘜': 1,
    u'𫘝': 1,
    u'𫘞': 1,
    u'𫘟': 1,
    u'𫘠': 1,
    u'𫘡': 1,
    u'𫘣': 1,
    u'𫘤': 1,
    u'𫘥': 1,
    u'𫘦': 1,
    u'𫘧': 1,
    u'𫘨': 1,
    u'𫘩': 1,
    u'𫘪': 1,
    u'𫘫': 1,
    u'𫘬': 1,
    u'𫘭': 1,
    u'𫘮': 1,
    u'𫘯': 1,
    u'𫘰': 1,
    u'𫘱': 1,
    u'𫘽': 1,
    u'𫙂': 1,
    u'𫚈': 1,
    u'𫚉': 1,
    u'𫚊': 1,
    u'𫚋': 1,
    u'𫚌': 1,
    u'𫚍': 1,
    u'𫚎': 1,
    u'𫚏': 1,
    u'𫚐': 1,
    u'𫚑': 1,
    u'𫚒': 1,
    u'𫚓': 1,
    u'𫚔': 1,
    u'𫚕': 1,
    u'𫚖': 1,
    u'𫚗': 1,
    u'𫚘': 1,
    u'𫚙': 1,
    u'𫚚': 1,
    u'𫚛': 1,
    u'𫚜': 1,
    u'𫚝': 1,
    u'𫚞': 1,
    u'𫚟': 1,
    u'𫚠': 1,
    u'𫚡': 1,
    u'𫚢': 1,
    u'𫚣': 1,
    u'𫚤': 1,
    u'𫚥': 1,
    u'𫚦': 1,
    u'𫚧': 1,
    u'𫚨': 1,
    u'𫚩': 1,
    u'𫚪': 1,
    u'𫚫': 1,
    u'𫚬': 1,
    u'𫚭': 1,
    u'𫛚': 1,
    u'𫛛': 1,
    u'𫛜': 1,
    u'𫛝': 1,
    u'𫛞': 1,
    u'𫛟': 1,
    u'𫛠': 1,
    u'𫛡': 1,
    u'𫛢': 1,
    u'𫛣': 1,
    u'𫛤': 1,
    u'𫛥': 1,
    u'𫛦': 1,
    u'𫛧': 1,
    u'𫛨': 1,
    u'𫛩': 1,
    u'𫛪': 1,
    u'𫛫': 1,
    u'𫛬': 1,
    u'𫛭': 1,
    u'𫛮': 1,
    u'𫛯': 1,
    u'𫛰': 1,
    u'𫛱': 1,
    u'𫛲': 1,
    u'𫛳': 1,
    u'𫛴': 1,
    u'𫛵': 1,
    u'𫛶': 1,
    u'𫛷': 1,
    u'𫛸': 1,
    u'𫛹': 1,
    u'𫛺': 1,
    u'𫛻': 1,
    u'𫛼': 1,
    u'𫛽': 1,
    u'𫛾': 1,
    u'𫜀': 1,
    u'𫜁': 1,
    u'𫜂': 1,
    u'𫜃': 1,
    u'𫜄': 1,
    u'𫜅': 1,
    u'𫜊': 1,
    u'𫜑': 1,
    u'𫜒': 1,
    u'𫜓': 1,
    u'𫜔': 1,
    u'𫜕': 1,
    u'𫜙': 1,
    u'𫜟': 1,
    u'𫜦': 2,
    u'𫜨': 1,
    u'𫜩': 1,
    u'𫜪': 1,
    u'𫜫': 1,
    u'𫜬': 1,
    u'𫜭': 1,
    u'𫜮': 1,
    u'𫜯': 1,
    u'𫜰': 1,
    u'𫜲': 1,
    u'𫜳': 1,
    u'𫜷': 1,
    u'𫝈': 1,
    u'𫝋': 1,
    u'𫝡': 1,
    u'𫝦': 1,
    u'𫝧': 1,
    u'𫝨': 1,
    u'𫝩': 1,
    u'𫝪': 1,
    u'𫝫': 1,
    u'𫝬': 1,
    u'𫝭': 1,
    u'𫝮': 1,
    u'𫝵': 1,
    u'𫞅': 1,
    u'𫞗': 1,
    u'𫞚': 1,
    u'𫞛': 1,
    u'𫞝': 1,
    u'𫞠': 1,
    u'𫞡': 1,
    u'𫞢': 1,
    u'𫞣': 1,
    u'𫞥': 1,
    u'𫞦': 1,
    u'𫞧': 1,
    u'𫞨': 1,
    u'𫞩': 1,
    u'𫞷': 1,
    u'𫟃': 1,
    u'𫟄': 1,
    u'𫟅': 1,
    u'𫟆': 1,
    u'𫟇': 1,
    u'𫟑': 1,
    u'𫟕': 1,
    u'𫟞': 1,
    u'𫟟': 1,
    u'𫟠': 1,
    u'𫟡': 1,
    u'𫟢': 1,
    u'𫟤': 1,
    u'𫟥': 1,
    u'𫟦': 1,
    u'𫟫': 1,
    u'𫟬': 1,
    u'𫟲': 1,
    u'𫟳': 1,
    u'𫟴': 1,
    u'𫟵': 1,
    u'𫟶': 1,
    u'𫟷': 1,
    u'𫟸': 1,
    u'𫟹': 1,
    u'𫟺': 1,
    u'𫟻': 1,
    u'𫟼': 1,
    u'𫟽': 1,
    u'𫟾': 1,
    u'𫟿': 1,
    u'𫠀': 1,
    u'𫠁': 1,
    u'𫠂': 1,
    u'𫠅': 1,
    u'𫠆': 1,
    u'𫠇': 1,
    u'𫠈': 1,
    u'𫠊': 1,
    u'𫠋': 1,
    u'𫠌': 1,
    u'𫠏': 1,
    u'𫠐': 1,
    u'𫠑': 1,
    u'𫠒': 1,
    u'𫠖': 1,
    u'𫠜': 1,
    u'𫡬': 1,
    u'𫡶': 1,
    u'𫢒': 1,
    u'𫢔': 1,
    u'𫢘': 1,
    u'𫢙': 1,
    u'𫢜': 1,
    u'𫢟': 1,
    u'𫢨': 1,
    u'𫢪': 1,
    u'𫢬': 1,
    u'𫢭': 1,
    u'𫢲': 1,
    u'𫢸': 1,
    u'𫢹': 1,
    u'𫢺': 1,
    u'𫣉': 1,
    u'𫣊': 1,
    u'𫣛': 1,
    u'𫣫': 1,
    u'𫣴': 2,
    u'𫤸': 1,
    u'𫤽': 1,
    u'𫥍': 1,
    u'𫥔': 1,
    u'𫥝': 2,
    u'𫥳': 1,
    u'𫥵': 1,
    u'𫥺': 1,
    u'𫥼': 1,
    u'𫥽': 1,
    u'𫦁': 1,
    u'𫦅': 1,
    u'𫦉': 1,
    u'𫦋': 1,
    u'𫦌': 1,
    u'𫦔': 2,
    u'𫦙': 2,
    u'𫦩': 1,
    u'𫦰': 1,
    u'𫦳': 1,
    u'𫦸': 2,
    u'𫧃': 1,
    u'𫧝': 2,
    u'𫧮': 1,
    u'𫧯': 1,
    u'𫧷': 1,
    u'𫧿': 1,
    u'𫨆': 1,
    u'𫨑': 2,
    u'𫩕': 1,
    u'𫩖': 1,
    u'𫩚': 1,
    u'𫩛': 1,
    u'𫩤': 1,
    u'𫩥': 1,
    u'𫩩': 1,
    u'𫩫': 1,
    u'𫩯': 1,
    u'𫩳': 1,
    u'𫩸': 1,
    u'𫩺': 1,
    u'𫪀': 1,
    u'𫪁': 1,
    u'𫪂': 1,
    u'𫪃': 1,
    u'𫪄': 1,
    u'𫪅': 1,
    u'𫪑': 1,
    u'𫪘': 1,
    u'𫪚': 1,
    u'𫪛': 2,
    u'𫪧': 1,
    u'𫪪': 1,
    u'𫪺': 1,
    u'𫪽': 1,
    u'𫫇': 1,
    u'𫫏': 1,
    u'𫫦': 1,
    u'𫫵': 1,
    u'𫫾': 1,
    u'𫬆': 2,
    u'𫬐': 1,
    u'𫬙': 1,
    u'𫬟': 1,
    u'𫬱': 2,
    u'𫭞': 1,
    u'𫭟': 1,
    u'𫭢': 1,
    u'𫭨': 1,
    u'𫭪': 1,
    u'𫭮': 1,
    u'𫭯': 1,
    u'𫭲': 1,
    u'𫭼': 1,
    u'𫮃': 1,
    u'𫮅': 1,
    u'𫮜': 1,
    u'𫯒': 1,
    u'𫯓': 2,
    u'𫯥': 1,
    u'𫯶': 1,
    u'𫰂': 1,
    u'𫰍': 1,
    u'𫰛': 1,
    u'𫰠': 1,
    u'𫰡': 1,
    u'𫰢': 1,
    u'𫰣': 1,
    u'𫰨': 1,
    u'𫰰': 1,
    u'𫰹': 1,
    u'𫱕': 1,
    u'𫱿': 1,
    u'𫲗': 1,
    u'𫲴': 2,
    u'𫲸': 1,
    u'𫳃': 1,
    u'𫴼': 1,
    u'𫵵': 1,
    u'𫵶': 1,
    u'𫵷': 1,
    u'𫵸': 1,
    u'𫵹': 1,
    u'𫶄': 1,
    u'𫶅': 1,
    u'𫶇': 1,
    u'𫶊': 1,
    u'𫶕': 1,
    u'𫶦': 2,
    u'𫶲': 1,
    u'𫷅': 1,
    u'𫷈': 1,
    u'𫷉': 1,
    u'𫷌': 1,
    u'𫷘': 1,
    u'𫷬': 1,
    u'𫷮': 1,
    u'𫷷': 1,
    u'𫷹': 1,
    u'𫷾': 1,
    u'𫸩': 1,
    u'𫹮': 1,
    u'𫹴': 1,
    u'𫹷': 1,
    u'𫹼': 1,
    u'𫹽': 1,
    u'𫺁': 1,
    u'𫺂': 1,
    u'𫺆': 1,
    u'𫺊': 1,
    u'𫺌': 1,
    u'𫺒': 1,
    u'𫺓': 1,
    u'𫺘': 1,
    u'𫺪': 1,
    u'𫺫': 1,
    u'𫺷': 1,
    u'𫺹': 1,
    u'𫻁': 1,
    u'𫻇': 1,
    u'𫻑': 2,
    u'𫼗': 1,
    u'𫼝': 1,
    u'𫼣': 1,
    u'𫼤': 1,
    u'𫼥': 1,
    u'𫼧': 1,
    u'𫼫': 1,
    u'𫼮': 1,
    u'𫼱': 1,
    u'𫼲': 1,
    u'𫼵': 1,
    u'𫼶': 1,
    u'𫼽': 1,
    u'𫼾': 1,
    u'𫽀': 1,
    u'𫽁': 1,
    u'𫽇': 1,
    u'𫽊': 1,
    u'𫽋': 1,
    u'𫽐': 1,
    u'𫽔': 1,
    u'𫽙': 1,
    u'𫽢': 1,
    u'𫽣': 1,
    u'𫽥': 1,
    u'𫽧': 1,
    u'𫽫': 1,
    u'𫽮': 1,
    u'𫽲': 1,
    u'𫽳': 1,
    u'𫾁': 1,
    u'𫾃': 1,
    u'𫾉': 1,
    u'𫾏': 1,
    u'𫾡': 2,
    u'𫾲': 1,
    u'𫾳': 1,
    u'𫿂': 1,
    u'𫿗': 1,
    u'𬀥': 1,
    u'𬀩': 1,
    u'𬀪': 1,
    u'𬀮': 1,
    u'𬀱': 1,
    u'𬁑': 1,
    u'𬁘': 1,
    u'𬁳': 1,
    u'𬁵': 1,
    u'𬁸': 1,
    u'𬁺': 1,
    u'𬁽': 1,
    u'𬂀': 1,
    u'𬂂': 1,
    u'𬂅': 1,
    u'𬂉': 1,
    u'𬂠': 1,
    u'𬂩': 1,
    u'𬂮': 1,
    u'𬂰': 1,
    u'𬂱': 1,
    u'𬂻': 1,
    u'𬃀': 1,
    u'𬃊': 1,
    u'𬃏': 1,
    u'𬃘': 1,
    u'𬃛': 1,
    u'𬃦': 1,
    u'𬃫': 1,
    u'𬃮': 1,
    u'𬃲': 1,
    u'𬃳': 1,
    u'𬄝': 2,
    u'𬄞': 1,
    u'𬄩': 1,
    u'𬄬': 1,
    u'𬅢': 1,
    u'𬅥': 1,
    u'𬅫': 1,
    u'𬆂': 1,
    u'𬆉': 2,
    u'𬆙': 1,
    u'𬆦': 1,
    u'𬆮': 1,
    u'𬆾': 1,
    u'𬇃': 1,
    u'𬇄': 1,
    u'𬇇': 1,
    u'𬇕': 1,
    u'𬇘': 1,
    u'𬇙': 1,
    u'𬇬': 1,
    u'𬇰': 1,
    u'𬇹': 1,
    u'𬇼': 1,
    u'𬈁': 1,
    u'𬈏': 1,
    u'𬈕': 1,
    u'𬈧': 1,
    u'𬈱': 1,
    u'𬈾': 1,
    u'𬉂': 1,
    u'𬉇': 1,
    u'𬉋': 1,
    u'𬉠': 1,
    u'𬉤': 2,
    u'𬉧': 2,
    u'𬉼': 1,
    u'𬊂': 1,
    u'𬊈': 1,
    u'𬊉': 1,
    u'𬊍': 1,
    u'𬊎': 1,
    u'𬊖': 1,
    u'𬊗': 1,
    u'𬊜': 1,
    u'𬊤': 1,
    u'𬊦': 1,
    u'𬊵': 1,
    u'𬊶': 1,
    u'𬊺': 1,
    u'𬊾': 1,
    u'𬋃': 1,
    u'𬋍': 1,
    u'𬌝': 1,
    u'𬌠': 1,
    u'𬌦': 2,
    u'𬌮': 1,
    u'𬌴': 1,
    u'𬌵': 1,
    u'𬌷': 1,
    u'𬍁': 2,
    u'𬍙': 1,
    u'𬍛': 1,
    u'𬍡': 1,
    u'𬍤': 1,
    u'𬎆': 1,
    u'𬎑': 1,
    u'𬎧': 1,
    u'𬎬': 1,
    u'𬏜': 1,
    u'𬏟': 1,
    u'𬏤': 1,
    u'𬏦': 1,
    u'𬏫': 1,
    u'𬏮': 1,
    u'𬏲': 2,
    u'𬏷': 1,
    u'𬐠': 1,
    u'𬑆': 1,
    u'𬑇': 1,
    u'𬑍': 1,
    u'𬑏': 1,
    u'𬑒': 1,
    u'𬑓': 1,
    u'𬑕': 1,
    u'𬑗': 1,
    u'𬑙': 1,
    u'𬑡': 2,
    u'𬑧': 1,
    u'𬒄': 1,
    u'𬒆': 1,
    u'𬒇': 1,
    u'𬒈': 1,
    u'𬒊': 1,
    u'𬒍': 1,
    u'𬒎': 1,
    u'𬒒': 2,
    u'𬒓': 1,
    u'𬒕': 1,
    u'𬒗': 1,
    u'𬓠': 1,
    u'𬓡': 2,
    u'𬓫': 1,
    u'𬓱': 1,
    u'𬓸': 1,
    u'𬓼': 1,
    u'𬔯': 1,
    u'𬔹': 1,
    u'𬕂': 1,
    u'𬕄': 1,
    u'𬕊': 1,
    u'𬕛': 1,
    u'𬕦': 1,
    u'𬕬': 1,
    u'𬖃': 1,
    u'𬖑': 1,
    u'𬖖': 1,
    u'𬖘': 1,
    u'𬖞': 1,
    u'𬖟': 1,
    u'𬖠': 1,
    u'𬖮': 1,
    u'𬖺': 1,
    u'𬗏': 2,
    u'𬗺': 2,
    u'𬘓': 1,
    u'𬘔': 1,
    u'𬘕': 1,
    u'𬘖': 1,
    u'𬘗': 1,
    u'𬘘': 1,
    u'𬘙': 1,
    u'𬘚': 1,
    u'𬘛': 1,
    u'𬘜': 1,
    u'𬘝': 1,
    u'𬘞': 1,
    u'𬘟': 1,
    u'𬘠': 1,
    u'𬘡': 1,
    u'𬘢': 1,
    u'𬘣': 1,
    u'𬘤': 1,
    u'𬘥': 1,
    u'𬘦': 1,
    u'𬘧': 1,
    u'𬘨': 1,
    u'𬘩': 1,
    u'𬘪': 1,
    u'𬘫': 1,
    u'𬘬': 1,
    u'𬘭': 1,
    u'𬘮': 1,
    u'𬘯': 1,
    u'𬘰': 1,
    u'𬘱': 1,
    u'𬘲': 1,
    u'𬘳': 1,
    u'𬘴': 1,
    u'𬘵': 1,
    u'𬘶': 1,
    u'𬘷': 1,
    u'𬘸': 1,
    u'𬘹': 1,
    u'𬘺': 1,
    u'𬘻': 1,
    u'𬘼': 1,
    u'𬘽': 1,
    u'𬘾': 1,
    u'𬘿': 1,
    u'𬙀': 1,
    u'𬙁': 1,
    u'𬙂': 1,
    u'𬙃': 1,
    u'𬙄': 1,
    u'𬙅': 1,
    u'𬙆': 1,
    u'𬙇': 1,
    u'𬙈': 1,
    u'𬙉': 1,
    u'𬙊': 1,
    u'𬙋': 1,
    u'𬙎': 1,
    u'𬙏': 1,
    u'𬙔': 2,
    u'𬙝': 1,
    u'𬙪': 1,
    u'𬙫': 1,
    u'𬙭': 1,
    u'𬚄': 1,
    u'𬛕': 2,
    u'𬛹': 1,
    u'𬛼': 1,
    u'𬜔': 1,
    u'𬜥': 1,
    u'𬜧': 1,
    u'𬜨': 1,
    u'𬜬': 1,
    u'𬜯': 1,
    u'𬜸': 1,
    u'𬜺': 1,
    u'𬜾': 1,
    u'𬜿': 1,
    u'𬝁': 1,
    u'𬝃': 1,
    u'𬝊': 1,
    u'𬝋': 1,
    u'𬝖': 1,
    u'𬝠': 1,
    u'𬝯': 1,
    u'𬝴': 1,
    u'𬞋': 1,
    u'𬞕': 1,
    u'𬞘': 1,
    u'𬞟': 1,
    u'𬞣': 1,
    u'𬞫': 1,
    u'𬟁': 1,
    u'𬟪': 1,
    u'𬟺': 1,
    u'𬟽': 1,
    u'𬠃': 1,
    u'𬠅': 1,
    u'𬠈': 1,
    u'𬠐': 2,
    u'𬠠': 1,
    u'𬠱': 1,
    u'𬠷': 1,
    u'𬡇': 1,
    u'𬡍': 1,
    u'𬡎': 1,
    u'𬡒': 1,
    u'𬡓': 1,
    u'𬡔': 1,
    u'𬡕': 1,
    u'𬡠': 1,
    u'𬡦': 1,
    u'𬡱': 1,
    u'𬡷': 1,
    u'𬡻': 1,
    u'𬢇': 1,
    u'𬢈': 1,
    u'𬢉': 1,
    u'𬢊': 1,
    u'𬢋': 1,
    u'𬢌': 1,
    u'𬢍': 1,
    u'𬢎': 1,
    u'𬢏': 1,
    u'𬢐': 1,
    u'𬢑': 1,
    u'𬢒': 1,
    u'𬢓': 1,
    u'𬢔': 1,
    u'𬢕': 1,
    u'𬢪': 1,
    u'𬢯': 1,
    u'𬢳': 1,
    u'𬣀': 1,
    u'𬣍': 2,
    u'𬣘': 2,
    u'𬣙': 1,
    u'𬣚': 1,
    u'𬣛': 1,
    u'𬣜': 1,
    u'𬣝': 1,
    u'𬣞': 1,
    u'𬣟': 1,
    u'𬣠': 1,
    u'𬣡': 1,
    u'𬣢': 1,
    u'𬣣': 1,
    u'𬣤': 1,
    u'𬣥': 1,
    u'𬣦': 1,
    u'𬣧': 1,
    u'𬣨': 1,
    u'𬣩': 1,
    u'𬣪': 1,
    u'𬣫': 1,
    u'𬣬': 1,
    u'𬣭': 1,
    u'𬣮': 1,
    u'𬣯': 1,
    u'𬣰': 1,
    u'𬣱': 1,
    u'𬣲': 1,
    u'𬣳': 1,
    u'𬣴': 1,
    u'𬣵': 1,
    u'𬣶': 1,
    u'𬣷': 1,
    u'𬣸': 1,
    u'𬣹': 1,
    u'𬣺': 1,
    u'𬣻': 1,
    u'𬣼': 1,
    u'𬣽': 1,
    u'𬣾': 1,
    u'𬣿': 1,
    u'𬤀': 1,
    u'𬤁': 1,
    u'𬤂': 1,
    u'𬤃': 1,
    u'𬤄': 1,
    u'𬤅': 1,
    u'𬤆': 1,
    u'𬤇': 1,
    u'𬤈': 1,
    u'𬤉': 1,
    u'𬤊': 1,
    u'𬤋': 1,
    u'𬤌': 1,
    u'𬤍': 1,
    u'𬤎': 1,
    u'𬤏': 1,
    u'𬤐': 1,
    u'𬤑': 1,
    u'𬤒': 1,
    u'𬤓': 1,
    u'𬤔': 1,
    u'𬤕': 1,
    u'𬤖': 1,
    u'𬤗': 1,
    u'𬤘': 1,
    u'𬤙': 1,
    u'𬤚': 1,
    u'𬤛': 1,
    u'𬤜': 1,
    u'𬤝': 1,
    u'𬤞': 1,
    u'𬤟': 1,
    u'𬤠': 1,
    u'𬤡': 1,
    u'𬤢': 1,
    u'𬤣': 1,
    u'𬤤': 1,
    u'𬤥': 1,
    u'𬤦': 1,
    u'𬤧': 1,
    u'𬤨': 1,
    u'𬤩': 1,
    u'𬤪': 1,
    u'𬤫': 1,
    u'𬤬': 1,
    u'𬤭': 1,
    u'𬤮': 1,
    u'𬤯': 1,
    u'𬤰': 1,
    u'𬤱': 1,
    u'𬤷': 1,
    u'𬥄': 1,
    u'𬥈': 1,
    u'𬥲': 2,
    u'𬥳': 1,
    u'𬥴': 1,
    u'𬥵': 1,
    u'𬥶': 1,
    u'𬥷': 1,
    u'𬥸': 1,
    u'𬥹': 1,
    u'𬥺': 1,
    u'𬥻': 1,
    u'𬥼': 1,
    u'𬥽': 1,
    u'𬥾': 1,
    u'𬥿': 1,
    u'𬦀': 1,
    u'𬦅': 1,
    u'𬦆': 1,
    u'𬦣': 1,
    u'𬦥': 1,
    u'𬦧': 1,
    u'𬦩': 1,
    u'𬦫': 1,
    u'𬦯': 1,
    u'𬦴': 1,
    u'𬦵': 1,
    u'𬦹': 1,
    u'𬦻': 1,
    u'𬦾': 1,
    u'𬧀': 1,
    u'𬧃': 1,
    u'𬧑': 1,
    u'𬧔': 1,
    u'𬧙': 2,
    u'𬧚': 1,
    u'𬧛': 1,
    u'𬧢': 1,
    u'𬧤': 1,
    u'𬧩': 1,
    u'𬨁': 1,
    u'𬨂': 1,
    u'𬨃': 1,
    u'𬨄': 1,
    u'𬨅': 1,
    u'𬨆': 1,
    u'𬨇': 1,
    u'𬨈': 1,
    u'𬨉': 1,
    u'𬨋': 1,
    u'𬨌': 1,
    u'𬨍': 1,
    u'𬨎': 1,
    u'𬨏': 1,
    u'𬨐': 1,
    u'𬨑': 1,
    u'𬨒': 1,
    u'𬨓': 1,
    u'𬨔': 1,
    u'𬩎': 1,
    u'𬩽': 1,
    u'𬩾': 1,
    u'𬪍': 1,
    u'𬪧': 1,
    u'𬪨': 1,
    u'𬪩': 1,
    u'𬪫': 1,
    u'𬪯': 1,
    u'𬪺': 1,
    u'𬬇': 1,
    u'𬬧': 1,
    u'𬬨': 1,
    u'𬬩': 1,
    u'𬬪': 1,
    u'𬬫': 1,
    u'𬬬': 1,
    u'𬬭': 1,
    u'𬬮': 1,
    u'𬬯': 1,
    u'𬬰': 1,
    u'𬬱': 1,
    u'𬬲': 1,
    u'𬬳': 1,
    u'𬬴': 1,
    u'𬬵': 1,
    u'𬬶': 1,
    u'𬬷': 1,
    u'𬬸': 1,
    u'𬬹': 1,
    u'𬬺': 1,
    u'𬬻': 1,
    u'𬬼': 1,
    u'𬬽': 1,
    u'𬬾': 1,
    u'𬬿': 1,
    u'𬭀': 1,
    u'𬭁': 1,
    u'𬭂': 1,
    u'𬭃': 1,
    u'𬭅': 1,
    u'𬭆': 1,
    u'𬭇': 1,
    u'𬭈': 1,
    u'𬭉': 1,
    u'𬭊': 1,
    u'𬭋': 1,
    u'𬭌': 1,
    u'𬭍': 1,
    u'𬭎': 1,
    u'𬭏': 1,
    u'𬭐': 1,
    u'𬭑': 1,
    u'𬭓': 1,
    u'𬭔': 1,
    u'𬭕': 1,
    u'𬭖': 1,
    u'𬭗': 1,
    u'𬭘': 1,
    u'𬭙': 1,
    u'𬭚': 1,
    u'𬭛': 1,
    u'𬭜': 1,
    u'𬭝': 1,
    u'𬭞': 1,
    u'𬭟': 1,
    u'𬭠': 1,
    u'𬭡': 1,
    u'𬭢': 1,
    u'𬭣': 1,
    u'𬭤': 1,
    u'𬭥': 1,
    u'𬭦': 1,
    u'𬭨': 1,
    u'𬭩': 1,
    u'𬭪': 1,
    u'𬭫': 1,
    u'𬭬': 1,
    u'𬭭': 1,
    u'𬭯': 1,
    u'𬭰': 1,
    u'𬭱': 1,
    u'𬭲': 1,
    u'𬭳': 1,
    u'𬭴': 1,
    u'𬭵': 1,
    u'𬭶': 1,
    u'𬭷': 1,
    u'𬭸': 1,
    u'𬭹': 1,
    u'𬭺': 1,
    u'𬭻': 1,
    u'𬭼': 1,
    u'𬭽': 1,
    u'𬭾': 1,
    u'𬭿': 1,
    u'𬮀': 1,
    u'𬮁': 1,
    u'𬮂': 1,
    u'𬮃': 1,
    u'𬮄': 1,
    u'𬮇': 2,
    u'𬮍': 2,
    u'𬮘': 1,
    u'𬮙': 1,
    u'𬮜': 1,
    u'𬮝': 1,
    u'𬮟': 1,
    u'𬮠': 1,
    u'𬮡': 1,
    u'𬮢': 1,
    u'𬮣': 1,
    u'𬮤': 1,
    u'𬮥': 1,
    u'𬮧': 1,
    u'𬮨': 1,
    u'𬮩': 1,
    u'𬮪': 1,
    u'𬮬': 1,
    u'𬮭': 1,
    u'𬮮': 1,
    u'𬮯': 1,
    u'𬮰': 1,
    u'𬮱': 1,
    u'𬮲': 1,
    u'𬮳': 1,
    u'𬮴': 1,
    u'𬮵': 1,
    u'𬮸': 1,
    u'𬮹': 1,
    u'𬮺': 1,
    u'𬮻': 1,
    u'𬮿': 1,
    u'𬯀': 1,
    u'𬯅': 1,
    u'𬯊': 1,
    u'𬯎': 1,
    u'𬯘': 2,
    u'𬰡': 1,
    u'𬰣': 1,
    u'𬰤': 1,
    u'𬰥': 1,
    u'𬰱': 1,
    u'𬰲': 1,
    u'𬰳': 1,
    u'𬰴': 1,
    u'𬰵': 1,
    u'𬰶': 1,
    u'𬰷': 1,
    u'𬰸': 1,
    u'𬰺': 1,
    u'𬱂': 2,
    u'𬱈': 2,
    u'𬱓': 1,
    u'𬱔': 1,
    u'𬱕': 1,
    u'𬱖': 1,
    u'𬱗': 1,
    u'𬱘': 1,
    u'𬱙': 1,
    u'𬱚': 1,
    u'𬱛': 1,
    u'𬱜': 1,
    u'𬱝': 1,
    u'𬱞': 1,
    u'𬱟': 1,
    u'𬱠': 1,
    u'𬱡': 1,
    u'𬱢': 1,
    u'𬱣': 1,
    u'𬱤': 1,
    u'𬱥': 1,
    u'𬱦': 1,
    u'𬱧': 1,
    u'𬱨': 1,
    u'𬱩': 1,
    u'𬱪': 1,
    u'𬱫': 1,
    u'𬱬': 1,
    u'𬱭': 1,
    u'𬱮': 1,
    u'𬱯': 1,
    u'𬱰': 1,
    u'𬱱': 1,
    u'𬱲': 1,
    u'𬱳': 1,
    u'𬱵': 1,
    u'𬱷': 1,
    u'𬱸': 1,
    u'𬱺': 1,
    u'𬱼': 1,
    u'𬱽': 1,
    u'𬱾': 1,
    u'𬱿': 1,
    u'𬲀': 1,
    u'𬲅': 1,
    u'𬲆': 1,
    u'𬲕': 1,
    u'𬲚': 2,
    u'𬲛': 2,
    u'𬲥': 1,
    u'𬲦': 1,
    u'𬲧': 1,
    u'𬲨': 1,
    u'𬲩': 1,
    u'𬲪': 1,
    u'𬲫': 1,
    u'𬲬': 1,
    u'𬲭': 1,
    u'𬲮': 1,
    u'𬲯': 1,
    u'𬲰': 1,
    u'𬲱': 1,
    u'𬲲': 1,
    u'𬲳': 1,
    u'𬲴': 1,
    u'𬲵': 1,
    u'𬲶': 1,
    u'𬲷': 1,
    u'𬲸': 1,
    u'𬲹': 1,
    u'𬲺': 1,
    u'𬲻': 1,
    u'𬲼': 1,
    u'𬲽': 1,
    u'𬲾': 1,
    u'𬲿': 1,
    u'𬳀': 1,
    u'𬳁': 1,
    u'𬳂': 1,
    u'𬳃': 1,
    u'𬳄': 1,
    u'𬳅': 1,
    u'𬳆': 1,
    u'𬳇': 1,
    u'𬳈': 1,
    u'𬳉': 1,
    u'𬳊': 1,
    u'𬳋': 1,
    u'𬳌': 1,
    u'𬳍': 1,
    u'𬳎': 1,
    u'𬳐': 1,
    u'𬳑': 1,
    u'𬳒': 1,
    u'𬳓': 1,
    u'𬳔': 1,
    u'𬳙': 1,
    u'𬳟': 1,
    u'𬳳': 1,
    u'𬳴': 1,
    u'𬳵': 1,
    u'𬳶': 1,
    u'𬳷': 1,
    u'𬳸': 1,
    u'𬳹': 1,
    u'𬳺': 1,
    u'𬳻': 1,
    u'𬳼': 1,
    u'𬳽': 1,
    u'𬳾': 1,
    u'𬳿': 1,
    u'𬴀': 1,
    u'𬴁': 1,
    u'𬴂': 1,
    u'𬴃': 1,
    u'𬴄': 1,
    u'𬴅': 1,
    u'𬴆': 1,
    u'𬴇': 1,
    u'𬴈': 1,
    u'𬴉': 1,
    u'𬴊': 1,
    u'𬴋': 1,
    u'𬴌': 1,
    u'𬴍': 1,
    u'𬴎': 1,
    u'𬴏': 1,
    u'𬴐': 1,
    u'𬴨': 1,
    u'𬴩': 1,
    u'𬵂': 2,
    u'𬵃': 2,
    u'𬵨': 2,
    u'𬵮': 2,
    u'𬶀': 1,
    u'𬶁': 1,
    u'𬶂': 1,
    u'𬶃': 1,
    u'𬶄': 1,
    u'𬶅': 1,
    u'𬶆': 1,
    u'𬶇': 1,
    u'𬶈': 1,
    u'𬶉': 1,
    u'𬶊': 1,
    u'𬶋': 1,
    u'𬶌': 1,
    u'𬶍': 1,
    u'𬶎': 1,
    u'𬶏': 1,
    u'𬶐': 1,
    u'𬶑': 1,
    u'𬶒': 1,
    u'𬶓': 1,
    u'𬶔': 1,
    u'𬶕': 1,
    u'𬶖': 1,
    u'𬶗': 1,
    u'𬶙': 1,
    u'𬶚': 1,
    u'𬶛': 1,
    u'𬶜': 1,
    u'𬶝': 1,
    u'𬶞': 1,
    u'𬶟': 1,
    u'𬶠': 1,
    u'𬶡': 1,
    u'𬶢': 1,
    u'𬶣': 1,
    u'𬶤': 1,
    u'𬶥': 1,
    u'𬶦': 1,
    u'𬶧': 1,
    u'𬶨': 1,
    u'𬶩': 1,
    u'𬶪': 1,
    u'𬶫': 1,
    u'𬶬': 1,
    u'𬶭': 1,
    u'𬶮': 1,
    u'𬶯': 1,
    u'𬶰': 1,
    u'𬶱': 1,
    u'𬶲': 1,
    u'𬶳': 1,
    u'𬶴': 1,
    u'𬶵': 1,
    u'𬶶': 1,
    u'𬶷': 1,
    u'𬶸': 1,
    u'𬶹': 1,
    u'𬶺': 1,
    u'𬶻': 1,
    u'𬶼': 2,
    u'𬷕': 1,
    u'𬷻': 1,
    u'𬷼': 1,
    u'𬷽': 1,
    u'𬷾': 1,
    u'𬷿': 1,
    u'𬸀': 1,
    u'𬸁': 1,
    u'𬸂': 1,
    u'𬸃': 1,
    u'𬸄': 1,
    u'𬸅': 1,
    u'𬸆': 1,
    u'𬸈': 1,
    u'𬸉': 1,
    u'𬸊': 1,
    u'𬸋': 1,
    u'𬸌': 1,
    u'𬸍': 1,
    u'𬸎': 1,
    u'𬸏': 1,
    u'𬸐': 1,
    u'𬸑': 1,
    u'𬸒': 1,
    u'𬸓': 1,
    u'𬸔': 1,
    u'𬸕': 1,
    u'𬸖': 1,
    u'𬸗': 1,
    u'𬸘': 1,
    u'𬸙': 1,
    u'𬸚': 1,
    u'𬸛': 1,
    u'𬸜': 1,
    u'𬸝': 1,
    u'𬸞': 1,
    u'𬸟': 1,
    u'𬸠': 1,
    u'𬸡': 1,
    u'𬸢': 1,
    u'𬸣': 1,
    u'𬸤': 1,
    u'𬸥': 1,
    u'𬸦': 1,
    u'𬸧': 1,
    u'𬸨': 1,
    u'𬸩': 1,
    u'𬸪': 1,
    u'𬸫': 1,
    u'𬸬': 1,
    u'𬸭': 1,
    u'𬸮': 1,
    u'𬸯': 1,
    u'𬸰': 1,
    u'𬸱': 1,
    u'𬸵': 1,
    u'𬸶': 1,
    u'𬸷': 1,
    u'𬸸': 1,
    u'𬸹': 1,
    u'𬸾': 1,
    u'𬹂': 2,
    u'𬹅': 1,
    u'𬹆': 1,
    u'𬹇': 1,
    u'𬹈': 1,
    u'𬹉': 1,
    u'𬹊': 1,
    u'𬹋': 1,
    u'𬹌': 1,
    u'𬹍': 1,
    u'𬹎': 1,
    u'𬹕': 1,
    u'𬹖': 1,
    u'𬹗': 1,
    u'𬹘': 1,
    u'𬹣': 1,
    u'𬹤': 1,
    u'𬹭': 1,
    u'𬹺': 1,
    u'𬹻': 1,
    u'𬹼': 1,
    u'𬹽': 1,
    u'𬹾': 1,
    u'𬹿': 1,
    u'𬺀': 1,
    u'𬺁': 1,
    u'𬺂': 1,
    u'𬺃': 1,
    u'𬺄': 1,
    u'𬺅': 1,
    u'𬺆': 1,
    u'𬺇': 1,
    u'𬺈': 1,
    u'𬺉': 1,
    u'𬺊': 1,
    u'𬺋': 1,
    u'𬺌': 1,
    u'𬺍': 1,
    u'𬺎': 1,
    u'𬺏': 1,
    u'𬺐': 1,
    u'𬺑': 1,
    u'𬺒': 1,
    u'𬺓': 1,
    u'𬺔': 1,
    u'𬺕': 1,
    u'𬺖': 1,
    u'𬺛': 1,
    u'𬺜': 1,
    u'𬺝': 1,
    u'𬺟': 1,
    u'𬻮': 1,
    u'𬾖': 1,
    u'𬾣': 1,
    u'𭂖': 2,
    u'𭄛': 1,
    u'𭇀': 1,
    u'𭇉': 1,
    u'𭇙': 1,
    u'𭇜': 1,
    u'𭇡': 1,
    u'𭇯': 1,
    u'𭇴': 1,
    u'𭈈': 1,
    u'𭈉': 1,
    u'𭈜': 1,
    u'𭈟': 1,
    u'𭈮': 1,
    u'𭉗': 1,
    u'𭉨': 1,
    u'𭉼': 1,
    u'𭉾': 2,
    u'𭊸': 1,
    u'𭎂': 1,
    u'𭎜': 1,
    u'𭏦': 1,
    u'𭏸': 1,
    u'𭑙': 2,
    u'𭑸': 1,
    u'𭑹': 1,
    u'𭓀': 1,
    u'𭕆': 1,
    u'𭗡': 2,
    u'𭘓': 1,
    u'𭘚': 1,
    u'𭚦': 1,
    u'𭝋': 1,
    u'𭝫': 1,
    u'𭞄': 1,
    u'𭠙': 1,
    u'𭠽': 1,
    u'𭡆': 1,
    u'𭡜': 1,
    u'𭡵': 1,
    u'𭢋': 1,
    u'𭢒': 2,
    u'𭢕': 1,
    u'𭢝': 1,
    u'𭣇': 1,
    u'𭣧': 1,
    u'𭤎': 1,
    u'𭤰': 1,
    u'𭥓': 1,
    u'𭧋': 1,
    u'𭧒': 2,
    u'𭧖': 2,
    u'𭨡': 2,
    u'𭩚': 1,
    u'𭩛': 1,
    u'𭩰': 1,
    u'𭪆': 1,
    u'𭫀': 1,
    u'𭫙': 1,
    u'𭫝': 1,
    u'𭭈': 1,
    u'𭰎': 1,
    u'𭰒': 1,
    u'𭰗': 1,
    u'𭰥': 1,
    u'𭱀': 1,
    u'𭱊': 1,
    u'𭱘': 2,
    u'𭲫': 1,
    u'𭴊': 1,
    u'𭴳': 1,
    u'𭶙': 2,
    u'𭹜': 1,
    u'𭻍': 1,
    u'𭻔': 1,
    u'𮀡': 1,
    u'𮀤': 1,
    u'𮀪': 1,
    u'𮀲': 1,
    u'𮅎': 1,
    u'𮆏': 1,
    u'𮇔': 1,
    u'𮇤': 1,
    u'𮉠': 1,
    u'𮉡': 1,
    u'𮉢': 1,
    u'𮉣': 1,
    u'𮉤': 1,
    u'𮉥': 1,
    u'𮉧': 1,
    u'𮉨': 1,
    u'𮉩': 1,
    u'𮉪': 1,
    u'𮉫': 1,
    u'𮉬': 1,
    u'𮉭': 1,
    u'𮉮': 1,
    u'𮉯': 1,
    u'𮌌': 1,
    u'𮎍': 1,
    u'𮏀': 1,
    u'𮏺': 1,
    u'𮐚': 1,
    u'𮐨': 1,
    u'𮔂': 1,
    u'𮔅': 1,
    u'𮔊': 1,
    u'𮖁': 1,
    u'𮖃': 1,
    u'𮖱': 1,
    u'𮙊': 1,
    u'𮙋': 1,
    u'𮛗': 1,
    u'𮜗': 2,
    u'𮜶': 1,
    u'𮝴': 1,
    u'𮝵': 1,
    u'𮝷': 1,
    u'𮝸': 1,
    u'𮝹': 1,
    u'𮝺': 1,
    u'𮟽': 2,
    u'𮠞': 1,
    u'𮠳': 1,
    u'𮡈': 2,
    u'𮣲': 1,
    u'𮣳': 1,
    u'𮣴': 1,
    u'𮣵': 1,
    u'𮣶': 1,
    u'𮤏': 2,
    u'𮤒': 2,
    u'𮤫': 1,
    u'𮤬': 1,
    u'𮤭': 1,
    u'𮤮': 1,
    u'𮤯': 1,
    u'𮤲': 1,
    u'𮤳': 1,
    u'𮤶': 1,
    u'𮤷': 1,
    u'𮤸': 1,
    u'𮦅': 1,
    u'𮦗': 2,
    u'𮦚': 1,
    u'𮧴': 1,
    u'𮧵': 1,
    u'𮨭': 2,
    u'𮨴': 1,
    u'𮨵': 1,
    u'𮨻': 2,
    u'𮩛': 1,
    u'𮩜': 1,
    u'𮩝': 1,
    u'𮩞': 1,
    u'𮪡': 1,
    u'𮪢': 1,
    u'𮪣': 1,
    u'𮪤': 1,
    u'𮪥': 1,
    u'𮫂': 1,
    u'𮬛': 1,
    u'𮬜': 1,
    u'𮬝': 1,
    u'𮬞': 1,
    u'𮬟': 1,
    u'𮬠': 1,
    u'𮬡': 1,
    u'𮬢': 1,
    u'𮬣': 1,
    u'𮬤': 1,
    u'𮭡': 1,
    u'𮭢': 1,
    u'𮭤': 1,
    u'𮭥': 1,
    u'𮭦': 1,
    u'𮭨': 1,
    u'𮭪': 1,
    u'𮭰': 1,
    u'𮮅': 1,
    u'𮮇': 1,
    u'𮯙': 1,
    u'𰀡': 1,
    u'𰀢': 1,
    u'𰁈': 1,
    u'𰁜': 1,
    u'𰁧': 1,
    u'𰁸': 1,
    u'𰁾': 1,
    u'𰂁': 1,
    u'𰂃': 1,
    u'𰂋': 1,
    u'𰂎': 1,
    u'𰂏': 1,
    u'𰂗': 1,
    u'𰂜': 1,
    u'𰂠': 2,
    u'𰂦': 1,
    u'𰂭': 1,
    u'𰂴': 2,
    u'𰂻': 1,
    u'𰃆': 1,
    u'𰃮': 1,
    u'𰃳': 1,
    u'𰃴': 2,
    u'𰃶': 1,
    u'𰃷': 1,
    u'𰃻': 1,
    u'𰃿': 1,
    u'𰄁': 1,
    u'𰄞': 1,
    u'𰄭': 1,
    u'𰅔': 1,
    u'𰅥': 1,
    u'𰅦': 1,
    u'𰅻': 1,
    u'𰆕': 1,
    u'𰆙': 1,
    u'𰆚': 1,
    u'𰇀': 1,
    u'𰇊': 1,
    u'𰇎': 1,
    u'𰇕': 1,
    u'𰇖': 1,
    u'𰇘': 1,
    u'𰇠': 1,
    u'𰇡': 1,
    u'𰇣': 1,
    u'𰇥': 1,
    u'𰇲': 1,
    u'𰇼': 1,
    u'𰈆': 1,
    u'𰈇': 1,
    u'𰈊': 1,
    u'𰈍': 1,
    u'𰈓': 1,
    u'𰈝': 2,
    u'𰈮': 1,
    u'𰈯': 1,
    u'𰈶': 1,
    u'𰉀': 2,
    u'𰉁': 1,
    u'𰉄': 1,
    u'𰉘': 1,
    u'𰉙': 1,
    u'𰉚': 1,
    u'𰉣': 1,
    u'𰉥': 1,
    u'𰉩': 1,
    u'𰉪': 1,
    u'𰉱': 1,
    u'𰉽': 1,
    u'𰊂': 1,
    u'𰊅': 1,
    u'𰊈': 1,
    u'𰊑': 1,
    u'𰊛': 1,
    u'𰊟': 1,
    u'𰊡': 1,
    u'𰊢': 1,
    u'𰋆': 2,
    u'𰋖': 1,
    u'𰋸': 1,
    u'𰋹': 1,
    u'𰋽': 1,
    u'𰋾': 1,
    u'𰌀': 1,
    u'𰌂': 1,
    u'𰌆': 1,
    u'𰌇': 1,
    u'𰌉': 1,
    u'𰌙': 1,
    u'𰌦': 1,
    u'𰌷': 1,
    u'𰎌': 1,
    u'𰎎': 1,
    u'𰎏': 1,
    u'𰎐': 1,
    u'𰎑': 1,
    u'𰎔': 1,
    u'𰎖': 1,
    u'𰎛': 1,
    u'𰎝': 1,
    u'𰎞': 1,
    u'𰎠': 1,
    u'𰎢': 1,
    u'𰎦': 1,
    u'𰎫': 1,
    u'𰎴': 1,
    u'𰎷': 1,
    u'𰎹': 1,
    u'𰎼': 2,
    u'𰏁': 1,
    u'𰏓': 1,
    u'𰏕': 1,
    u'𰏜': 1,
    u'𰏟': 1,
    u'𰏲': 1,
    u'𰏶': 1,
    u'𰏼': 1,
    u'𰏽': 1,
    u'𰐚': 1,
    u'𰐾': 1,
    u'𰑁': 1,
    u'𰑄': 1,
    u'𰑅': 1,
    u'𰑔': 1,
    u'𰑕': 1,
    u'𰑙': 1,
    u'𰑟': 1,
    u'𰑥': 1,
    u'𰑧': 1,
    u'𰑪': 1,
    u'𰑫': 1,
    u'𰑬': 1,
    u'𰑵': 1,
    u'𰑸': 1,
    u'𰑿': 1,
    u'𰒆': 1,
    u'𰒒': 1,
    u'𰒖': 1,
    u'𰓄': 1,
    u'𰓆': 1,
    u'𰓔': 1,
    u'𰓕': 1,
    u'𰓗': 1,
    u'𰓙': 1,
    u'𰓜': 1,
    u'𰓝': 1,
    u'𰓟': 1,
    u'𰓤': 1,
    u'𰓧': 1,
    u'𰓬': 1,
    u'𰓱': 1,
    u'𰓷': 1,
    u'𰓻': 1,
    u'𰓼': 1,
    u'𰔇': 1,
    u'𰔋': 1,
    u'𰔠': 2,
    u'𰔫': 2,
    u'𰔲': 1,
    u'𰔶': 1,
    u'𰔺': 2,
    u'𰕁': 1,
    u'𰕅': 1,
    u'𰕈': 1,
    u'𰕐': 1,
    u'𰕭': 1,
    u'𰖈': 1,
    u'𰖏': 1,
    u'𰖚': 1,
    u'𰖠': 1,
    u'𰖩': 1,
    u'𰖻': 2,
    u'𰗅': 1,
    u'𰗆': 1,
    u'𰗓': 1,
    u'𰗖': 1,
    u'𰗘': 1,
    u'𰗙': 1,
    u'𰗚': 1,
    u'𰗛': 1,
    u'𰗜': 1,
    u'𰗡': 1,
    u'𰗢': 1,
    u'𰗦': 1,
    u'𰗨': 1,
    u'𰗬': 1,
    u'𰗵': 1,
    u'𰗹': 1,
    u'𰗺': 1,
    u'𰘀': 1,
    u'𰘅': 1,
    u'𰘈': 1,
    u'𰘓': 1,
    u'𰘠': 1,
    u'𰘣': 1,
    u'𰘩': 1,
    u'𰘯': 2,
    u'𰘳': 1,
    u'𰘶': 1,
    u'𰘸': 1,
    u'𰙋': 1,
    u'𰙎': 1,
    u'𰙑': 1,
    u'𰙕': 1,
    u'𰚂': 2,
    u'𰚍': 1,
    u'𰚔': 1,
    u'𰚣': 2,
    u'𰚦': 1,
    u'𰚪': 1,
    u'𰚬': 1,
    u'𰚱': 1,
    u'𰛉': 1,
    u'𰛊': 1,
    u'𰛏': 1,
    u'𰛒': 1,
    u'𰛛': 1,
    u'𰛡': 1,
    u'𰛣': 1,
    u'𰛤': 1,
    u'𰛥': 1,
    u'𰛦': 1,
    u'𰛨': 1,
    u'𰛩': 1,
    u'𰛪': 1,
    u'𰛮': 1,
    u'𰛱': 1,
    u'𰛲': 1,
    u'𰛵': 1,
    u'𰛺': 1,
    u'𰛻': 1,
    u'𰛽': 1,
    u'𰜐': 1,
    u'𰜜': 1,
    u'𰜝': 1,
    u'𰜢': 1,
    u'𰜨': 1,
    u'𰜳': 1,
    u'𰝅': 1,
    u'𰝋': 1,
    u'𰝍': 1,
    u'𰝗': 1,
    u'𰝜': 1,
    u'𰝞': 1,
    u'𰝟': 1,
    u'𰝢': 2,
    u'𰝤': 1,
    u'𰝾': 1,
    u'𰞇': 1,
    u'𰞉': 1,
    u'𰞍': 1,
    u'𰞤': 1,
    u'𰞲': 1,
    u'𰞳': 1,
    u'𰞷': 1,
    u'𰞻': 1,
    u'𰟄': 1,
    u'𰟘': 1,
    u'𰟫': 2,
    u'𰠛': 1,
    u'𰠫': 1,
    u'𰠲': 1,
    u'𰠴': 1,
    u'𰠹': 1,
    u'𰡄': 1,
    u'𰡉': 1,
    u'𰡊': 1,
    u'𰡋': 1,
    u'𰡎': 1,
    u'𰡏': 1,
    u'𰡐': 1,
    u'𰡓': 2,
    u'𰡔': 1,
    u'𰡞': 1,
    u'𰡢': 1,
    u'𰡩': 1,
    u'𰡰': 1,
    u'𰡵': 1,
    u'𰡻': 1,
    u'𰡽': 1,
    u'𰢄': 1,
    u'𰢢': 1,
    u'𰢤': 1,
    u'𰢦': 1,
    u'𰣢': 1,
    u'𰣦': 1,
    u'𰣩': 1,
    u'𰣫': 1,
    u'𰣬': 1,
    u'𰣯': 1,
    u'𰣶': 1,
    u'𰣼': 1,
    u'𰣽': 1,
    u'𰤓': 1,
    u'𰤕': 1,
    u'𰤨': 1,
    u'𰤫': 1,
    u'𰤬': 1,
    u'𰤽': 1,
    u'𰥊': 1,
    u'𰥒': 1,
    u'𰥛': 1,
    u'𰥞': 1,
    u'𰥠': 1,
    u'𰥢': 1,
    u'𰥣': 1,
    u'𰥨': 1,
    u'𰥪': 1,
    u'𰥭': 1,
    u'𰥹': 1,
    u'𰦔': 1,
    u'𰦜': 1,
    u'𰦦': 1,
    u'𰦨': 1,
    u'𰦭': 1,
    u'𰦰': 1,
    u'𰦴': 1,
    u'𰦷': 1,
    u'𰦾': 1,
    u'𰦿': 1,
    u'𰧃': 1,
    u'𰧇': 1,
    u'𰧈': 1,
    u'𰧉': 1,
    u'𰧎': 1,
    u'𰧔': 1,
    u'𰧘': 1,
    u'𰧰': 1,
    u'𰧻': 1,
    u'𰧾': 1,
    u'𰨖': 1,
    u'𰨜': 1,
    u'𰨦': 1,
    u'𰨳': 1,
    u'𰩅': 1,
    u'𰩏': 1,
    u'𰩓': 1,
    u'𰩧': 1,
    u'𰩮': 1,
    u'𰩲': 1,
    u'𰩸': 1,
    u'𰩹': 1,
    u'𰩺': 1,
    u'𰩻': 1,
    u'𰪊': 1,
    u'𰪏': 1,
    u'𰪣': 1,
    u'𰪪': 1,
    u'𰪫': 1,
    u'𰪭': 1,
    u'𰪶': 1,
    u'𰪼': 1,
    u'𰪿': 1,
    u'𰫆': 2,
    u'𰫋': 1,
    u'𰫏': 2,
    u'𰫖': 1,
    u'𰫛': 2,
    u'𰫳': 2,
    u'𰫼': 1,
    u'𰫽': 1,
    u'𰫿': 1,
    u'𰬀': 1,
    u'𰬁': 1,
    u'𰬂': 1,
    u'𰬃': 1,
    u'𰬅': 1,
    u'𰬆': 1,
    u'𰬇': 1,
    u'𰬈': 1,
    u'𰬉': 1,
    u'𰬋': 1,
    u'𰬌': 1,
    u'𰬍': 1,
    u'𰬎': 1,
    u'𰬏': 1,
    u'𰬐': 1,
    u'𰬑': 1,
    u'𰬒': 1,
    u'𰬓': 1,
    u'𰬔': 1,
    u'𰬖': 1,
    u'𰬗': 1,
    u'𰬘': 1,
    u'𰬙': 1,
    u'𰬚': 1,
    u'𰬛': 1,
    u'𰬜': 1,
    u'𰬝': 1,
    u'𰬞': 1,
    u'𰬟': 1,
    u'𰬠': 1,
    u'𰬡': 1,
    u'𰬢': 1,
    u'𰬣': 1,
    u'𰬤': 1,
    u'𰬥': 1,
    u'𰬦': 1,
    u'𰬧': 1,
    u'𰬨': 1,
    u'𰬩': 1,
    u'𰬪': 1,
    u'𰬫': 1,
    u'𰬬': 1,
    u'𰬭': 1,
    u'𰬮': 1,
    u'𰬯': 1,
    u'𰬰': 1,
    u'𰬱': 1,
    u'𰬲': 1,
    u'𰬳': 1,
    u'𰬴': 1,
    u'𰬵': 1,
    u'𰬶': 1,
    u'𰬷': 1,
    u'𰬸': 1,
    u'𰬹': 1,
    u'𰬺': 1,
    u'𰬻': 1,
    u'𰬼': 1,
    u'𰬽': 1,
    u'𰬾': 1,
    u'𰬿': 1,
    u'𰭀': 1,
    u'𰭁': 1,
    u'𰭄': 1,
    u'𰭔': 1,
    u'𰭗': 1,
    u'𰭚': 1,
    u'𰭢': 1,
    u'𰭣': 1,
    u'𰭹': 1,
    u'𰮅': 1,
    u'𰮇': 1,
    u'𰮙': 1,
    u'𰮝': 1,
    u'𰮭': 1,
    u'𰮲': 1,
    u'𰯂': 1,
    u'𰯋': 1,
    u'𰯎': 1,
    u'𰯲': 2,
    u'𰰆': 1,
    u'𰰋': 1,
    u'𰰌': 1,
    u'𰰏': 1,
    u'𰰑': 1,
    u'𰰠': 1,
    u'𰰢': 1,
    u'𰰤': 1,
    u'𰰨': 1,
    u'𰰮': 1,
    u'𰰱': 1,
    u'𰰳': 1,
    u'𰰴': 1,
    u'𰰵': 1,
    u'𰰶': 1,
    u'𰰷': 1,
    u'𰰹': 1,
    u'𰰺': 1,
    u'𰰾': 1,
    u'𰰿': 1,
    u'𰱀': 1,
    u'𰱇': 1,
    u'𰱈': 1,
    u'𰱉': 1,
    u'𰱊': 1,
    u'𰱌': 1,
    u'𰱍': 1,
    u'𰱐': 1,
    u'𰱑': 1,
    u'𰱛': 1,
    u'𰱝': 1,
    u'𰱟': 1,
    u'𰱦': 1,
    u'𰱩': 1,
    u'𰱮': 1,
    u'𰱯': 1,
    u'𰱱': 1,
    u'𰱲': 1,
    u'𰱾': 1,
    u'𰲁': 1,
    u'𰲂': 1,
    u'𰲒': 1,
    u'𰲖': 1,
    u'𰲟': 1,
    u'𰲠': 1,
    u'𰲫': 1,
    u'𰲬': 1,
    u'𰲮': 1,
    u'𰲯': 1,
    u'𰲰': 1,
    u'𰲲': 1,
    u'𰲳': 1,
    u'𰲴': 1,
    u'𰲵': 1,
    u'𰲶': 1,
    u'𰲸': 1,
    u'𰲹': 1,
    u'𰲺': 1,
    u'𰲻': 1,
    u'𰳁': 1,
    u'𰳂': 1,
    u'𰳄': 1,
    u'𰳆': 1,
    u'𰳊': 1,
    u'𰳗': 1,
    u'𰳚': 1,
    u'𰳲': 1,
    u'𰳵': 1,
    u'𰳸': 1,
    u'𰳹': 1,
    u'𰳺': 1,
    u'𰳻': 1,
    u'𰳼': 1,
    u'𰴂': 1,
    u'𰴏': 2,
    u'𰴕': 1,
    u'𰴖': 1,
    u'𰴗': 1,
    u'𰴘': 1,
    u'𰴙': 1,
    u'𰴚': 1,
    u'𰴛': 1,
    u'𰴜': 1,
    u'𰴝': 1,
    u'𰴞': 1,
    u'𰴢': 1,
    u'𰴣': 1,
    u'𰴤': 1,
    u'𰴥': 1,
    u'𰴦': 2,
    u'𰴯': 1,
    u'𰴽': 2,
    u'𰵊': 1,
    u'𰵌': 1,
    u'𰵍': 1,
    u'𰵎': 1,
    u'𰵏': 1,
    u'𰵐': 1,
    u'𰵑': 1,
    u'𰵒': 1,
    u'𰵓': 1,
    u'𰵔': 1,
    u'𰵖': 1,
    u'𰵗': 1,
    u'𰵘': 1,
    u'𰵙': 1,
    u'𰵚': 1,
    u'𰵛': 1,
    u'𰵜': 1,
    u'𰵝': 1,
    u'𰵞': 1,
    u'𰵠': 1,
    u'𰵡': 1,
    u'𰵢': 1,
    u'𰵣': 1,
    u'𰵤': 1,
    u'𰵥': 1,
    u'𰵦': 1,
    u'𰵧': 1,
    u'𰵨': 1,
    u'𰵩': 1,
    u'𰵪': 1,
    u'𰵫': 1,
    u'𰵬': 1,
    u'𰵭': 1,
    u'𰵮': 1,
    u'𰵯': 1,
    u'𰵰': 1,
    u'𰵱': 1,
    u'𰵲': 1,
    u'𰵳': 1,
    u'𰵴': 1,
    u'𰵵': 1,
    u'𰵶': 1,
    u'𰵷': 1,
    u'𰵸': 1,
    u'𰵹': 1,
    u'𰵺': 1,
    u'𰵻': 1,
    u'𰵼': 1,
    u'𰵽': 1,
    u'𰵾': 1,
    u'𰵿': 1,
    u'𰶀': 1,
    u'𰶁': 1,
    u'𰶂': 1,
    u'𰶃': 1,
    u'𰶄': 1,
    u'𰶅': 1,
    u'𰶆': 1,
    u'𰶇': 1,
    u'𰶈': 1,
    u'𰶉': 1,
    u'𰶊': 1,
    u'𰶋': 1,
    u'𰶌': 1,
    u'𰶍': 1,
    u'𰶎': 1,
    u'𰶏': 1,
    u'𰶑': 1,
    u'𰶔': 1,
    u'𰶨': 1,
    u'𰶬': 1,
    u'𰷞': 1,
    u'𰷠': 1,
    u'𰷡': 1,
    u'𰷢': 1,
    u'𰷤': 1,
    u'𰷥': 1,
    u'𰷦': 1,
    u'𰷧': 1,
    u'𰷨': 1,
    u'𰷩': 1,
    u'𰷪': 1,
    u'𰷫': 1,
    u'𰷬': 1,
    u'𰷭': 1,
    u'𰷮': 1,
    u'𰷴': 1,
    u'𰷵': 1,
    u'𰷶': 1,
    u'𰷸': 1,
    u'𰸇': 1,
    u'𰸈': 1,
    u'𰸊': 1,
    u'𰸎': 1,
    u'𰸐': 1,
    u'𰸔': 1,
    u'𰸚': 1,
    u'𰸛': 1,
    u'𰸞': 1,
    u'𰸦': 1,
    u'𰹀': 1,
    u'𰹈': 2,
    u'𰹯': 1,
    u'𰹱': 1,
    u'𰹲': 1,
    u'𰹳': 1,
    u'𰹴': 1,
    u'𰹵': 1,
    u'𰹶': 1,
    u'𰹷': 1,
    u'𰹸': 1,
    u'𰹺': 1,
    u'𰹻': 1,
    u'𰹼': 1,
    u'𰹽': 1,
    u'𰹾': 1,
    u'𰹿': 1,
    u'𰺀': 1,
    u'𰺁': 1,
    u'𰺂': 1,
    u'𰺃': 1,
    u'𰺄': 1,
    u'𰺅': 1,
    u'𰺆': 1,
    u'𰺇': 1,
    u'𰺈': 1,
    u'𰺉': 1,
    u'𰺊': 1,
    u'𰺋': 1,
    u'𰺌': 1,
    u'𰺍': 1,
    u'𰺎': 1,
    u'𰺏': 1,
    u'𰺐': 1,
    u'𰺑': 1,
    u'𰺒': 1,
    u'𰺓': 1,
    u'𰺔': 1,
    u'𰺕': 1,
    u'𰺖': 1,
    u'𰺗': 1,
    u'𰺘': 1,
    u'𰺙': 1,
    u'𰺚': 1,
    u'𰺛': 1,
    u'𰺜': 1,
    u'𰺝': 1,
    u'𰺞': 1,
    u'𰺟': 1,
    u'𰺠': 1,
    u'𰺡': 1,
    u'𰺢': 1,
    u'𰺣': 1,
    u'𰺤': 1,
    u'𰺨': 1,
    u'𰺭': 1,
    u'𰺲': 1,
    u'𰺷': 1,
    u'𰻆': 1,
    u'𰻝': 1,
    u'𰻞': 2,
    u'𰻡': 1,
    u'𰻦': 1,
    u'𰻨': 1,
    u'𰻮': 1,
    u'𰻳': 1,
    u'𰼅': 1,
    u'𰼋': 1,
    u'𰼏': 1,
    u'𰼑': 1,
    u'𰼻': 1,
    u'𰽕': 1,
    u'𰽖': 1,
    u'𰽗': 1,
    u'𰽘': 1,
    u'𰽚': 1,
    u'𰽛': 1,
    u'𰽜': 1,
    u'𰽝': 1,
    u'𰽞': 1,
    u'𰽠': 1,
    u'𰽡': 1,
    u'𰽢': 1,
    u'𰽣': 1,
    u'𰽥': 1,
    u'𰽦': 1,
    u'𰽧': 1,
    u'𰽨': 1,
    u'𰽩': 1,
    u'𰽫': 1,
    u'𰽬': 1,
    u'𰽭': 1,
    u'𰽮': 1,
    u'𰽯': 1,
    u'𰽰': 1,
    u'𰽱': 1,
    u'𰽲': 1,
    u'𰽳': 1,
    u'𰽴': 1,
    u'𰽵': 1,
    u'𰽶': 1,
    u'𰽷': 1,
    u'𰽸': 1,
    u'𰽹': 1,
    u'𰽺': 1,
    u'𰽻': 1,
    u'𰽼': 1,
    u'𰽽': 1,
    u'𰽾': 1,
    u'𰽿': 1,
    u'𰾀': 1,
    u'𰾁': 1,
    u'𰾃': 1,
    u'𰾄': 1,
    u'𰾅': 1,
    u'𰾆': 1,
    u'𰾇': 1,
    u'𰾈': 1,
    u'𰾉': 1,
    u'𰾊': 1,
    u'𰾋': 1,
    u'𰾌': 1,
    u'𰾍': 1,
    u'𰾎': 1,
    u'𰾏': 1,
    u'𰾐': 1,
    u'𰾑': 1,
    u'𰾒': 1,
    u'𰾓': 1,
    u'𰾕': 1,
    u'𰾖': 1,
    u'𰾗': 1,
    u'𰾘': 1,
    u'𰾙': 1,
    u'𰾚': 1,
    u'𰾛': 1,
    u'𰾜': 1,
    u'𰾝': 1,
    u'𰾞': 1,
    u'𰾟': 1,
    u'𰾡': 1,
    u'𰾢': 1,
    u'𰾣': 1,
    u'𰾤': 1,
    u'𰾥': 1,
    u'𰾦': 1,
    u'𰾧': 1,
    u'𰾨': 1,
    u'𰾩': 1,
    u'𰾪': 1,
    u'𰾫': 1,
    u'𰾬': 1,
    u'𰾭': 1,
    u'𰾮': 1,
    u'𰾯': 1,
    u'𰾰': 1,
    u'𰾱': 1,
    u'𰾲': 1,
    u'𰾳': 1,
    u'𰾴': 1,
    u'𰾵': 1,
    u'𰾶': 1,
    u'𰾷': 1,
    u'𰾸': 1,
    u'𰾹': 1,
    u'𰾺': 1,
    u'𰾻': 1,
    u'𰾼': 1,
    u'𰾽': 1,
    u'𰾾': 1,
    u'𰾿': 1,
    u'𰿀': 1,
    u'𰿁': 1,
    u'𰿂': 1,
    u'𰿃': 1,
    u'𰿄': 1,
    u'𰿅': 1,
    u'𰿆': 1,
    u'𰿇': 1,
    u'𰿈': 1,
    u'𰿉': 1,
    u'𰿊': 1,
    u'𰿖': 1,
    u'𰿢': 2,
    u'𰿥': 1,
    u'𰿦': 1,
    u'𰿧': 1,
    u'𰿨': 1,
    u'𰿩': 1,
    u'𰿪': 1,
    u'𰿫': 1,
    u'𰿬': 1,
    u'𰿭': 1,
    u'𰿯': 1,
    u'𰿰': 1,
    u'𰿳': 1,
    u'𰿴': 1,
    u'𰿵': 1,
    u'𰿸': 1,
    u'𰿹': 1,
    u'𰿺': 1,
    u'𰿻': 1,
    u'𰿾': 1,
    u'𱀑': 1,
    u'𱀡': 1,
    u'𱁒': 1,
    u'𱁞': 1,
    u'𱁱': 1,
    u'𱁳': 1,
    u'𱁴': 1,
    u'𱁶': 1,
    u'𱁷': 1,
    u'𱁹': 1,
    u'𱁺': 1,
    u'𱁽': 1,
    u'𱁾': 1,
    u'𱂃': 1,
    u'𱂄': 1,
    u'𱂅': 1,
    u'𱂆': 1,
    u'𱂇': 1,
    u'𱂈': 1,
    u'𱂉': 1,
    u'𱂊': 1,
    u'𱂋': 1,
    u'𱂌': 1,
    u'𱂍': 1,
    u'𱂎': 1,
    u'𱂐': 1,
    u'𱂠': 1,
    u'𱂡': 1,
    u'𱂢': 1,
    u'𱂣': 1,
    u'𱂤': 1,
    u'𱂥': 1,
    u'𱂦': 1,
    u'𱂧': 1,
    u'𱂨': 1,
    u'𱂩': 1,
    u'𱂫': 1,
    u'𱂬': 1,
    u'𱂭': 1,
    u'𱂮': 1,
    u'𱂯': 1,
    u'𱂰': 1,
    u'𱂱': 1,
    u'𱂲': 1,
    u'𱂳': 1,
    u'𱂴': 1,
    u'𱂵': 1,
    u'𱂶': 1,
    u'𱂷': 1,
    u'𱂸': 1,
    u'𱂺': 1,
    u'𱂻': 1,
    u'𱃔': 1,
    u'𱃕': 1,
    u'𱃖': 1,
    u'𱃗': 1,
    u'𱃘': 1,
    u'𱃙': 1,
    u'𱃚': 1,
    u'𱃛': 1,
    u'𱃜': 1,
    u'𱃝': 1,
    u'𱃞': 1,
    u'𱃟': 1,
    u'𱃠': 1,
    u'𱃡': 2,
    u'𱃢': 2,
    u'𱃪': 2,
    u'𱃱': 1,
    u'𱃲': 1,
    u'𱃳': 1,
    u'𱃴': 1,
    u'𱃵': 1,
    u'𱃷': 1,
    u'𱃸': 1,
    u'𱃹': 1,
    u'𱃺': 1,
    u'𱃼': 1,
    u'𱃽': 1,
    u'𱃾': 1,
    u'𱃿': 1,
    u'𱄀': 1,
    u'𱄁': 1,
    u'𱄂': 1,
    u'𱄃': 1,
    u'𱄄': 1,
    u'𱄅': 1,
    u'𱄆': 1,
    u'𱄇': 1,
    u'𱄈': 1,
    u'𱄉': 1,
    u'𱄊': 1,
    u'𱄼': 1,
    u'𱄽': 1,
    u'𱄾': 1,
    u'𱄿': 1,
    u'𱅀': 1,
    u'𱅁': 1,
    u'𱅂': 1,
    u'𱅃': 1,
    u'𱅄': 1,
    u'𱅅': 1,
    u'𱅇': 1,
    u'𱅈': 1,
    u'𱅉': 1,
    u'𱅊': 1,
    u'𱅋': 1,
    u'𱅍': 1,
    u'𱅎': 1,
    u'𱅏': 1,
    u'𱅐': 1,
    u'𱅒': 1,
    u'𱅓': 1,
    u'𱅔': 1,
    u'𱅕': 1,
    u'𱅖': 1,
    u'𱅗': 1,
    u'𱅘': 1,
    u'𱅙': 1,
    u'𱅚': 1,
    u'𱅛': 1,
    u'𱅜': 1,
    u'𱅝': 1,
    u'𱅞': 1,
    u'𱅟': 1,
    u'𱅠': 1,
    u'𱅡': 1,
    u'𱅢': 1,
    u'𱅣': 1,
    u'𱅤': 1,
    u'𱅥': 1,
    u'𱅦': 1,
    u'𱅧': 1,
    u'𱅨': 1,
    u'𱅩': 1,
    u'𱅪': 1,
    u'𱅫': 1,
    u'𱅬': 1,
    u'𱅮': 1,
    u'𱆀': 1,
    u'𱆁': 1,
    u'𱆃': 1,
    u'𱆄': 1,
    u'𱆅': 1,
    u'𱆆': 1,
    u'𱆈': 1,
    u'𱆌': 1,
    u'𱆍': 1,
    u'𱆖': 1,
    u'𱆙': 1,
    u'𱆚': 1,
    u'𱆛': 1,
    u'𱆥': 2,
    u'𱇋': 2,
    u'𱇍': 1,
    u'𱇎': 1,
    u'𱇏': 1,
    u'𱇐': 1,
    u'𱇑': 1,
    u'𱇒': 1,
    u'𱇓': 1,
    u'𱇔': 1,
    u'𱇕': 1,
    u'𱇖': 1,
    u'𱇗': 1,
    u'𱇘': 1,
    u'𱇙': 1,
    u'𱇚': 1,
    u'𱇛': 1,
    u'𱇜': 1,
    u'𱇝': 1,
    u'𱇞': 1,
    u'𱇟': 1,
    u'𱇠': 1,
    u'𱇡': 1,
    u'𱇢': 1,
    u'𱇣': 1,
    u'𱇤': 1,
    u'𱇥': 1,
    u'𱇦': 1,
    u'𱇧': 1,
    u'𱇨': 1,
    u'𱇩': 1,
    u'𱇪': 1,
    u'𱇫': 1,
    u'𱇬': 1,
    u'𱇭': 1,
    u'𱇮': 1,
    u'𱇯': 1,
    u'𱇰': 1,
    u'𱇱': 1,
    u'𱇲': 1,
    u'𱇳': 1,
    u'𱇴': 1,
    u'𱇵': 1,
    u'𱇶': 1,
    u'𱇷': 1,
    u'𱇸': 1,
    u'𱇹': 1,
    u'𱇺': 1,
    u'𱇻': 1,
    u'𱇼': 1,
    u'𱇽': 1,
    u'𱇾': 1,
    u'𱇿': 1,
    u'𱈀': 1,
    u'𱈁': 1,
    u'𱈂': 1,
    u'𱈃': 1,
    u'𱈄': 1,
    u'𱈅': 1,
    u'𱈆': 1,
    u'𱈇': 1,
    u'𱈈': 1,
    u'𱈉': 1,
    u'𱈊': 1,
    u'𱈋': 1,
    u'𱈌': 1,
    u'𱈍': 1,
    u'𱈎': 1,
    u'𱈏': 1,
    u'𱈐': 1,
    u'𱈑': 1,
    u'𱈒': 1,
    u'𱈓': 1,
    u'𱈔': 1,
    u'𱈕': 1,
    u'𱈖': 1,
    u'𱈗': 1,
    u'𱈘': 1,
    u'𱈙': 1,
    u'𱈚': 1,
    u'𱈛': 1,
    u'𱈜': 1,
    u'𱉇': 1,
    u'𱉈': 1,
    u'𱉉': 1,
    u'𱉊': 1,
    u'𱉋': 1,
    u'𱉌': 1,
    u'𱉍': 1,
    u'𱉎': 1,
    u'𱉏': 1,
    u'𱉐': 1,
    u'𱉑': 1,
    u'𱉒': 1,
    u'𱉓': 1,
    u'𱉔': 1,
    u'𱉕': 1,
    u'𱉖': 1,
    u'𱉗': 1,
    u'𱉘': 1,
    u'𱉙': 1,
    u'𱉚': 1,
    u'𱉛': 1,
    u'𱉜': 1,
    u'𱉝': 1,
    u'𱉞': 1,
    u'𱉟': 1,
    u'𱉠': 1,
    u'𱉡': 1,
    u'𱉢': 1,
    u'𱉣': 1,
    u'𱉤': 1,
    u'𱉥': 1,
    u'𱉦': 1,
    u'𱉧': 1,
    u'𱉨': 1,
    u'𱉩': 1,
    u'𱉪': 1,
    u'𱉫': 1,
    u'𱉬': 1,
    u'𱉭': 1,
    u'𱉮': 1,
    u'𱉯': 1,
    u'𱉱': 1,
    u'𱉲': 1,
    u'𱉳': 1,
    u'𱉴': 1,
    u'𱉵': 1,
    u'𱉶': 1,
    u'𱉷': 1,
    u'𱉸': 1,
    u'𱉹': 1,
    u'𱉺': 1,
    u'𱉻': 1,
    u'𱉼': 1,
    u'𱉽': 1,
    u'𱉾': 1,
    u'𱉿': 1,
    u'𱊀': 1,
    u'𱊁': 1,
    u'𱊂': 1,
    u'𱊃': 1,
    u'𱊄': 1,
    u'𱊅': 1,
    u'𱊆': 1,
    u'𱊇': 1,
    u'𱊈': 1,
    u'𱊉': 1,
    u'𱊊': 1,
    u'𱊋': 1,
    u'𱊌': 1,
    u'𱊍': 1,
    u'𱊎': 1,
    u'𱊏': 1,
    u'𱊐': 1,
    u'𱊑': 1,
    u'𱊒': 1,
    u'𱊓': 1,
    u'𱊔': 1,
    u'𱊕': 1,
    u'𱊖': 1,
    u'𱊗': 1,
    u'𱊘': 1,
    u'𱊙': 1,
    u'𱊚': 1,
    u'𱊛': 1,
    u'𱊜': 1,
    u'𱊝': 1,
    u'𱊞': 1,
    u'𱊟': 1,
    u'𱊠': 1,
    u'𱊡': 1,
    u'𱊢': 1,
    u'𱊣': 1,
    u'𱊤': 1,
    u'𱊥': 1,
    u'𱊦': 1,
    u'𱊧': 1,
    u'𱊨': 1,
    u'𱊩': 1,
    u'𱊪': 1,
    u'𱊫': 1,
    u'𱊬': 1,
    u'𱊭': 1,
    u'𱊮': 1,
    u'𱊯': 1,
    u'𱊰': 1,
    u'𱊱': 1,
    u'𱊲': 1,
    u'𱊳': 1,
    u'𱊴': 1,
    u'𱊵': 1,
    u'𱊺': 1,
    u'𱊻': 1,
    u'𱊼': 1,
    u'𱊽': 1,
    u'𱋂': 1,
    u'𱋄': 1,
    u'𱋅': 1,
    u'𱋆': 1,
    u'𱋇': 1,
    u'𱋈': 1,
    u'𱋉': 1,
    u'𱋊': 1,
    u'𱋋': 1,
    u'𱋌': 1,
    u'𱋍': 1,
    u'𱋎': 1,
    u'𱋐': 1,
    u'𱋑': 1,
    u'𱋓': 1,
    u'𱋔': 1,
    u'𱋕': 1,
    u'𱋖': 1,
    u'𱋗': 1,
    u'𱋘': 1,
    u'𱋙': 1,
    u'𱋚': 1,
    u'𱋜': 1,
    u'𱋝': 1,
    u'𱋟': 1,
    u'𱋠': 1,
    u'𱋡': 1,
    u'𱋢': 1,
    u'𱋣': 1,
    u'𱋤': 1,
    u'𱋥': 1,
    u'𱋦': 1,
    u'𱋨': 1,
    u'𱋪': 1,
    u'𱋫': 1,
    u'𱋬': 1,
    u'𱋭': 1,
    u'𱋮': 1,
    u'𱋱': 1,
    u'𱋴': 1,
    u'𱋶': 1,
    u'𱋾': 1,
    u'𱋿': 1,
    u'𱌀': 1,
    u'𱌁': 1,
    u'𱌃': 1,
    u'𱌄': 1,
    u'𱌅': 1,
    u'𱌆': 1,
    u'𱌇': 1,
    u'𱌈': 1,
    u'𱌉': 1,
    u'𱌊': 1,
    u'𱌏': 1,
    u'𱌕': 1,
    u'𱌖': 1,
    u'𱌗': 1,
    u'𱌘': 1,
    u'𱌙': 1,
    u'𱌫': 1,
    u'𱌬': 1,
    u'𱌭': 1,
    u'𱌮': 1,
    u'𱌯': 1,
    u'𱌰': 1,
    u'𱌱': 1,
    u'𱌲': 1,
    u'𱌳': 1,
    u'𱌴': 1,
    u'𱌵': 1,
    u'𱌶': 1,
    u'𱌷': 1,
    u'𱌸': 1,
    u'𱌹': 1,
    u'𱌺': 1,
    u'𱌼': 1,
    u'𱌽': 1,
    u'𱍁': 1,
    u'𱍂': 1,
    u'𱍄': 1,
    u'𱍅': 1,
    u'𱍆': 1,
    u'𱍇': 1,
    u'𱍈': 1,
    u'𱍉': 1,
    }

def detect_chinese_category(phrase: str) -> int:
    '''
    New function using Unihan data to guess whether a text is
    simplified Chinese, traditional Chinese, both, or something rare
    like a mixture of exclusively simplified with exclusively traditional
    characters.

    Meaning of the bits in the category value returned by this function:
    1 = 1 << 0       simplified Chinese
    2 = 1 << 1       traditional Chinese
    3 = (1 | 1 << 1) used both in simplified *and* traditional Chinese
    4 = 1 << 2       mixture of simplified and traditional Chinese
    '''
    # make sure that we got a unicode string
    if phrase in VARIANTS_TABLE:
        # the complete phrase is in VARIANTS_TABLE, just return the
        # value found:
        return VARIANTS_TABLE[phrase]
    category = 0xFF
    for char in phrase:
        if char in VARIANTS_TABLE:
            category &= VARIANTS_TABLE[char]
        else:
            # If it is not listed in VARIANTS_TABLE, assume it is
            # both simplified and traditional Chinese.
            # It could be something non-Chinese as well then, but
            # if it is non-Chinese, it should also be allowed to
            # occur in any Chinese text and thus classified as
            # both simplified *and* traditional Chinese (the emoji
            # table for example uses many non-Chinese characters)
            category &= (1 | 1 << 1)
    if category == 0:
        # If category is 0 after binary & of the categories of all the
        # characters in the phrase, it means that the phrase contained
        # exclusively simplified *and* exclusively traditional
        # characters at the same time.  For example if the phrase is
        # “乌烏” then “乌” gets category 1 (simplified Chinese)
        # and “烏” gets category 2 (traditional Chinese), the result
        # of the binary & is thus 0. In that case, classify it as
        # category 4 which is for weird, excentric, rare stuff. If the
        # user selects one of the modes “all characters but
        # simplified Chinese first” or “all characters but
        # traditional Chinese first”, phrases with category 4 will be
        # shown but filtered to be shown only at the end of the
        # candidate list.
        category = 1 << 2
    return category
